# Module `occSDL` - Interface to foreign library occSDL

Interface to foreign library `occSDL`. Generated automatically using SWIG 1.3.31.

## Index

- Constant `AUDIO.S16` - Foreign int constant AUDIO_S16
- Constant `AUDIO.S16LSB` - Foreign int constant AUDIO_S16LSB
- Constant `AUDIO.S16MSB` - Foreign int constant AUDIO_S16MSB
- Constant `AUDIO.S8` - Foreign int constant AUDIO_S8
- Constant `AUDIO.U16` - Foreign int constant AUDIO_U16
- Constant `AUDIO.U16LSB` - Foreign int constant AUDIO_U16LSB
- Constant `AUDIO.U16MSB` - Foreign int constant AUDIO_U16MSB
- Constant `AUDIO.U8` - Foreign int constant AUDIO_U8
- Channel type `CT.SDLJOY` - Joystick server channel-type
  - Variable `in?` - Commands to joystick server
  - Variable `out!` - Responses from joystick server
- Channel type `CT.SDLJS` - Joystick channel-type
  - Variable `in?` - Commands to joystick
  - Variable `out!` - responses from joystick
- Channel type `CT.SDLJSCALIBRATE` - Joystick calibration channel-type
  - Variable `in?` - Commands to calibrator process
  - Variable `out!` - Responses from calibrator process
- Channel type `CT.SDLJSEVENT` - Joystick event channel-type
  - Variable `in?` - Commands to control joystick events
  - Variable `out!` - Joystick events
- Protocol `P.SDLJOY.IN` - Joystick server input protocol
  - Tag `connect` - Connect to specified joystick
  - Tag `num.sticks` - Report number of joysticks present
  - Tag `query.stick` - Query characteristics of a particular stick
  - Tag `quit` - Tell the server process to terminate
- Protocol `P.SDLJOY.OUT` - Joystick server output protocol
  - Tag `error` - General error result
  - Tag `joystick` - Connection to joystick handler
  - Tag `num.sticks` - Number of sticks
  - Tag `query` - Query result
- Protocol `P.SDLJS.EVENT` - Joystick event protocol
  - Tag `change` - Reporting change in joystick status
  - Tag `quit` - Joystick server process terminating
- Protocol `P.SDLJS.EVENT.IN` - Joystick event input protocol
  - Tag `force.event` - Pretend a change happened and generate a new event
- Protocol `P.SDLJS.IN` - Joystick input protocol
  - Tag `disable` - Disable joystick data capture
  - Tag `enable` - Enable joystick data capture, returns client channel-end
  - Tag `query` - Query joystick (number of axes and buttons)
- Protocol `P.SDLJS.OUT` - Joystick output protocol
  - Tag `event.chan` - Channel-end on which events are received
  - Tag `query` - Number of axes and buttons
- Protocol `P.SDLJSCALIBRATE.IN` - Joystick calibration input protocol
  - Tag `calibrate` - Start joystick calibration
- Protocol `P.SDLJSCALIBRATE.OUT` - Joystick calibration output protocol
  - Tag `done` - Calibration complete
  - Tag `message` - Message to be reported to the user
- Constant `SDL.ALL.HOTKEYS` - Foreign int constant SDL_ALL_HOTKEYS
- Constant `SDL.ALLEVENTS` - Foreign int constant SDL_ALLEVENTS
- Constant `SDL.ALPHA.OPAQUE` - Foreign int constant SDL_ALPHA_OPAQUE
- Constant `SDL.ALPHA.TRANSPARENT` - Foreign int constant SDL_ALPHA_TRANSPARENT
- Constant `SDL.ANYFORMAT` - Foreign int constant SDL_ANYFORMAT
- Constant `SDL.ASYNCBLIT` - Foreign int constant SDL_ASYNCBLIT
- Data type `SDL.ActiveEvent` - Foreign structure pointer type SDL_ActiveEvent
- Data type `SDL.AudioCVT` - Foreign structure pointer type SDL_AudioCVT
- Process `SDL.AudioDriverName` - Foreign function SDL_AudioDriverName
- Data type `SDL.AudioSpec` - Foreign structure pointer type SDL_AudioSpec
- Process `SDL.BlitSurface` - Foreign function SDL_BlitSurface
- Process `SDL.BuildAudioCVT` - Foreign function SDL_BuildAudioCVT
- Process `SDL.ClearError` - Foreign function SDL_ClearError
- Process `SDL.CloseAudio` - Foreign function SDL_CloseAudio
- Data type `SDL.Color` - Foreign structure pointer type SDL_Color
- Process `SDL.ConvertAudio` - Foreign function SDL_ConvertAudio
- Process `SDL.ConvertSurface` - Foreign function SDL_ConvertSurface
- Process `SDL.CreateRGBSurface` - Foreign function SDL_CreateRGBSurface
- Process `SDL.CreateRGBSurfaceFrom` - Foreign function SDL_CreateRGBSurfaceFrom
- Process `SDL.CreateYUVOverlay` - Foreign function SDL_CreateYUVOverlay
- Constant `SDL.DEFAULT.REPEAT.DELAY` - Foreign int constant SDL_DEFAULT_REPEAT_DELAY
- Constant `SDL.DEFAULT.REPEAT.INTERVAL` - Foreign int constant SDL_DEFAULT_REPEAT_INTERVAL
- Constant `SDL.DISABLE` - Foreign int constant SDL_DISABLE
- Constant `SDL.DOUBLEBUF` - Foreign int constant SDL_DOUBLEBUF
- Group `SDL.DUMMY.ENUM` - Foreign enumeration SDL_DUMMY_ENUM
- Process `SDL.DisplayFormat` - Foreign function SDL_DisplayFormat
- Process `SDL.DisplayFormatAlpha` - Foreign function SDL_DisplayFormatAlpha
- Process `SDL.DisplayYUVOverlay` - Foreign function SDL_DisplayYUVOverlay
- Constant `SDL.ENABLE` - Foreign int constant SDL_ENABLE
- Process `SDL.EnableKeyRepeat` - Foreign function SDL_EnableKeyRepeat
- Process `SDL.EnableUNICODE` - Foreign function SDL_EnableUNICODE
- Data type `SDL.Event` - Foreign union pointer type SDL.Event
- Process `SDL.EventState` - Foreign function SDL_EventState
- Data type `SDL.ExposeEvent` - Foreign structure pointer type SDL_ExposeEvent
- Constant `SDL.FULLSCREEN` - Foreign int constant SDL_FULLSCREEN
- Process `SDL.FillRect` - Foreign function SDL_FillRect
- Process `SDL.Flip` - Foreign function SDL_Flip
- Process `SDL.FreeSurface` - Foreign function SDL_FreeSurface
- Process `SDL.FreeWAV` - Foreign function SDL_FreeWAV
- Process `SDL.FreeYUVOverlay` - Foreign function SDL_FreeYUVOverlay
- Process `SDL.GL.GetAttribute` - Foreign function SDL_GL_GetAttribute
- Process `SDL.GL.GetProcAddress` - Foreign function SDL_GL_GetProcAddress
- Process `SDL.GL.LoadLibrary` - Foreign function SDL_GL_LoadLibrary
- Process `SDL.GL.Lock` - Foreign function SDL_GL_Lock
- Process `SDL.GL.SetAttribute` - Foreign function SDL_GL_SetAttribute
- Process `SDL.GL.SwapBuffers` - Foreign function SDL_GL_SwapBuffers
- Process `SDL.GL.Unlock` - Foreign function SDL_GL_Unlock
- Process `SDL.GL.UpdateRects` - Foreign function SDL_GL_UpdateRects
- Group `SDL.GLattr` - Foreign enumeration SDL_GLattr
- Process `SDL.GetAudioStatus` - Foreign function SDL_GetAudioStatus
- Process `SDL.GetClipRect` - Foreign function SDL_GetClipRect
- Process `SDL.GetGammaRamp` - Foreign function SDL_GetGammaRamp
- Process `SDL.GetKeyName` - Foreign function SDL_GetKeyName
- Process `SDL.GetKeyState` - Foreign function SDL_GetKeyState
- Process `SDL.GetModState` - Foreign function SDL_GetModState
- Process `SDL.GetRGB` - Foreign function SDL_GetRGB
- Process `SDL.GetRGBA` - Foreign function SDL_GetRGBA
- Process `SDL.GetVideoInfo` - Foreign function SDL_GetVideoInfo
- Process `SDL.GetVideoSurface` - Foreign function SDL_GetVideoSurface
- Group `SDL.GrabMode` - Foreign enumeration SDL_GrabMode
- Constant `SDL.HAT.CENTERED` - Foreign int constant SDL_HAT_CENTERED
- Constant `SDL.HAT.DOWN` - Foreign int constant SDL_HAT_DOWN
- Constant `SDL.HAT.LEFT` - Foreign int constant SDL_HAT_LEFT
- Constant `SDL.HAT.RIGHT` - Foreign int constant SDL_HAT_RIGHT
- Constant `SDL.HAT.UP` - Foreign int constant SDL_HAT_UP
- Constant `SDL.HWACCEL` - Foreign int constant SDL_HWACCEL
- Constant `SDL.HWPALETTE` - Foreign int constant SDL_HWPALETTE
- Constant `SDL.HWSURFACE` - Foreign int constant SDL_HWSURFACE
- Constant `SDL.IGNORE` - Foreign int constant SDL_IGNORE
- Constant `SDL.INIT.AUDIO` - Foreign int constant SDL_INIT_AUDIO
- Constant `SDL.INIT.CDROM` - Foreign int constant SDL_INIT_CDROM
- Constant `SDL.INIT.EVENTTHREAD` - Foreign int constant SDL_INIT_EVENTTHREAD
- Constant `SDL.INIT.EVERYTHING` - Foreign int constant SDL_INIT_EVERYTHING
- Constant `SDL.INIT.JOYSTICK` - Foreign int constant SDL_INIT_JOYSTICK
- Constant `SDL.INIT.NOPARACHUTE` - Foreign int constant SDL_INIT_NOPARACHUTE
- Constant `SDL.INIT.TIMER` - Foreign int constant SDL_INIT_TIMER
- Constant `SDL.INIT.VIDEO` - Foreign int constant SDL_INIT_VIDEO
- Constant `SDL.IYUV.OVERLAY` - Foreign int constant SDL_IYUV_OVERLAY
- Process `SDL.Init` - Foreign function SDL_Init
- Process `SDL.InitSubSystem` - Foreign function SDL_InitSubSystem
- Data type `SDL.JoyAxisEvent` - Foreign structure pointer type SDL_JoyAxisEvent
- Data type `SDL.JoyBallEvent` - Foreign structure pointer type SDL_JoyBallEvent
- Data type `SDL.JoyButtonEvent` - Foreign structure pointer type SDL_JoyButtonEvent
- Data type `SDL.JoyHatEvent` - Foreign structure pointer type SDL_JoyHatEvent
- Data type `SDL.Joystick` - Foreign structure pointer type SDL_Joystick
- Process `SDL.JoystickClose` - Foreign function SDL_JoystickClose
- Process `SDL.JoystickEventState` - Foreign function SDL_JoystickEventState
- Process `SDL.JoystickGetAxis` - Foreign function SDL_JoystickGetAxis
- Process `SDL.JoystickGetBall` - Foreign function SDL_JoystickGetBall
- Process `SDL.JoystickGetButton` - Foreign function SDL_JoystickGetButton
- Process `SDL.JoystickGetHat` - Foreign function SDL_JoystickGetHat
- Process `SDL.JoystickIndex` - Foreign function SDL_JoystickIndex
- Process `SDL.JoystickName` - Foreign function SDL_JoystickName
- Process `SDL.JoystickNumAxes` - Foreign function SDL_JoystickNumAxes
- Process `SDL.JoystickNumBalls` - Foreign function SDL_JoystickNumBalls
- Process `SDL.JoystickNumButtons` - Foreign function SDL_JoystickNumButtons
- Process `SDL.JoystickNumHats` - Foreign function SDL_JoystickNumHats
- Process `SDL.JoystickOpen` - Foreign function SDL_JoystickOpen
- Process `SDL.JoystickOpened` - Foreign function SDL_JoystickOpened
- Process `SDL.JoystickUpdate` - Foreign function SDL_JoystickUpdate
- Data type `SDL.KeyboardEvent` - Foreign structure pointer type SDL_KeyboardEvent
- Constant `SDL.LOGPAL` - Foreign int constant SDL_LOGPAL
- Process `SDL.ListModes` - Foreign function SDL_ListModes
- Process `SDL.LockAudio` - Foreign function SDL_LockAudio
- Process `SDL.LockSurface` - Foreign function SDL_LockSurface
- Process `SDL.LockYUVOverlay` - Foreign function SDL_LockYUVOverlay
- Process `SDL.LowerBlit` - Foreign function SDL_LowerBlit
- Constant `SDL.MIX.MAXVOLUME` - Foreign int constant SDL_MIX_MAXVOLUME
- Process `SDL.MapRGB` - Foreign function SDL_MapRGB
- Process `SDL.MapRGBA` - Foreign function SDL_MapRGBA
- Process `SDL.MixAudio` - Foreign function SDL_MixAudio
- Data type `SDL.MouseButtonEvent` - Foreign structure pointer type SDL_MouseButtonEvent
- Data type `SDL.MouseMotionEvent` - Foreign structure pointer type SDL_MouseMotionEvent
- Constant `SDL.NOFRAME` - Foreign int constant SDL_NOFRAME
- Process `SDL.NumJoysticks` - Foreign function SDL_NumJoysticks
- Constant `SDL.OPENGL` - Foreign int constant SDL_OPENGL
- Constant `SDL.OPENGLBLIT` - Foreign int constant SDL_OPENGLBLIT
- Process `SDL.OpenAudio` - Foreign function SDL_OpenAudio
- Data type `SDL.Overlay` - Foreign structure pointer type SDL_Overlay
- Constant `SDL.PHYSPAL` - Foreign int constant SDL_PHYSPAL
- Constant `SDL.PREALLOC` - Foreign int constant SDL_PREALLOC
- Data type `SDL.Palette` - Foreign structure pointer type SDL_Palette
- Process `SDL.PauseAudio` - Foreign function SDL_PauseAudio
- Process `SDL.PeepEvents` - Foreign function SDL_PeepEvents
- Data type `SDL.PixelFormat` - Foreign structure pointer type SDL_PixelFormat
- Process `SDL.PollEvent` - Foreign function SDL_PollEvent
- Process `SDL.PumpEvents` - Foreign function SDL_PumpEvents
- Process `SDL.PushEvent` - Foreign function SDL_PushEvent
- Constant `SDL.QUERY` - Foreign int constant SDL_QUERY
- Process `SDL.Quit` - Foreign function SDL_Quit
- Data type `SDL.QuitEvent` - Foreign structure pointer type SDL_QuitEvent
- Process `SDL.QuitSubSystem` - Foreign function SDL_QuitSubSystem
- Constant `SDL.RESIZABLE` - Foreign int constant SDL_RESIZABLE
- Constant `SDL.RLEACCEL` - Foreign int constant SDL_RLEACCEL
- Constant `SDL.RLEACCELOK` - Foreign int constant SDL_RLEACCELOK
- Data type `SDL.Rect` - Foreign structure pointer type SDL_Rect
- Data type `SDL.ResizeEvent` - Foreign structure pointer type SDL_ResizeEvent
- Constant `SDL.SRCALPHA` - Foreign int constant SDL_SRCALPHA
- Constant `SDL.SRCCOLORKEY` - Foreign int constant SDL_SRCCOLORKEY
- Constant `SDL.SWSURFACE` - Foreign int constant SDL_SWSURFACE
- Process `SDL.SetAlpha` - Foreign function SDL_SetAlpha
- Process `SDL.SetClipRect` - Foreign function SDL_SetClipRect
- Process `SDL.SetColorKey` - Foreign function SDL_SetColorKey
- Process `SDL.SetColors` - Foreign function SDL_SetColors
- Process `SDL.SetGamma` - Foreign function SDL_SetGamma
- Process `SDL.SetGammaRamp` - Foreign function SDL_SetGammaRamp
- Process `SDL.SetModState` - Foreign function SDL_SetModState
- Process `SDL.SetPalette` - Foreign function SDL_SetPalette
- Process `SDL.SetVideoMode` - Foreign function SDL_SetVideoMode
- Process `SDL.SoftStretch` - Foreign function SDL_SoftStretch
- Data type `SDL.Surface` - Foreign structure pointer type SDL_Surface
- Data type `SDL.SysWMEvent` - Foreign structure pointer type SDL_SysWMEvent
- Data type `SDL.SysWMmsg` - Foreign structure pointer type SDL_SysWMmsg
- Constant `SDL.UYVY.OVERLAY` - Foreign int constant SDL_UYVY_OVERLAY
- Process `SDL.UnlockAudio` - Foreign function SDL_UnlockAudio
- Process `SDL.UnlockSurface` - Foreign function SDL_UnlockSurface
- Process `SDL.UnlockYUVOverlay` - Foreign function SDL_UnlockYUVOverlay
- Process `SDL.UpdateRect` - Foreign function SDL_UpdateRect
- Process `SDL.UpdateRects` - Foreign function SDL_UpdateRects
- Process `SDL.UpperBlit` - Foreign function SDL_UpperBlit
- Data type `SDL.UserEvent` - Foreign structure pointer type SDL_UserEvent
- Process `SDL.VideoDriverName` - Foreign function SDL_VideoDriverName
- Data type `SDL.VideoInfo` - Foreign structure pointer type SDL_VideoInfo
- Process `SDL.VideoInit` - Foreign function SDL_VideoInit
- Process `SDL.VideoModeOK` - Foreign function SDL_VideoModeOK
- Process `SDL.VideoQuit` - Foreign function SDL_VideoQuit
- Process `SDL.WM.GetCaption` - Foreign function SDL_WM_GetCaption
- Process `SDL.WM.GrabInput` - Foreign function SDL_WM_GrabInput
- Process `SDL.WM.IconifyWindow` - Foreign function SDL_WM_IconifyWindow
- Process `SDL.WM.SetCaption` - Foreign function SDL_WM_SetCaption
- Process `SDL.WM.SetIcon` - Foreign function SDL_WM_SetIcon
- Process `SDL.WM.ToggleFullScreen` - Foreign function SDL_WM_ToggleFullScreen
- Process `SDL.WaitEvent` - Foreign function SDL_WaitEvent
- Process `SDL.WasInit` - Foreign function SDL_WasInit
- Constant `SDL.YUY2.OVERLAY` - Foreign int constant SDL_YUY2_OVERLAY
- Constant `SDL.YV12.OVERLAY` - Foreign int constant SDL_YV12_OVERLAY
- Constant `SDL.YVYU.OVERLAY` - Foreign int constant SDL_YVYU_OVERLAY
- Group `SDL.audiostatus` - Foreign enumeration SDL_audiostatus
- Data type `SDL.blit` - Foreign function pointer type SDL_blit
- Group `SDL.bool` - Foreign enumeration SDL_bool
- Group `SDL.eventaction` - Foreign enumeration SDL_eventaction
- Data type `SDL.keysym` - Foreign structure pointer type SDL_keysym
- Group `SDLKey` - Foreign enumeration SDLKey
- Group `SDLMod` - Foreign enumeration SDLMod
- Group `arbitrary.name0` - Foreign enumeration
- Group `arbitrary.name21` - Foreign enumeration
- Group `arbitrary.name22` - Foreign enumeration
- Process `create.SDL.ActiveEvent` - Allocate foreign structure SDL.ActiveEvent
- Process `create.SDL.AudioCVT` - Allocate foreign structure SDL.AudioCVT
- Process `create.SDL.AudioSpec` - Allocate foreign structure SDL.AudioSpec
- Process `create.SDL.Color` - Allocate foreign structure SDL.Color
- Process `create.SDL.Event` - Allocate foreign union SDL.Event
- Process `create.SDL.ExposeEvent` - Allocate foreign structure SDL.ExposeEvent
- Process `create.SDL.JoyAxisEvent` - Allocate foreign structure SDL.JoyAxisEvent
- Process `create.SDL.JoyBallEvent` - Allocate foreign structure SDL.JoyBallEvent
- Process `create.SDL.JoyButtonEvent` - Allocate foreign structure SDL.JoyButtonEvent
- Process `create.SDL.JoyHatEvent` - Allocate foreign structure SDL.JoyHatEvent
- Process `create.SDL.KeyboardEvent` - Allocate foreign structure SDL.KeyboardEvent
- Process `create.SDL.MouseButtonEvent` - Allocate foreign structure SDL.MouseButtonEvent
- Process `create.SDL.MouseMotionEvent` - Allocate foreign structure SDL.MouseMotionEvent
- Process `create.SDL.Overlay` - Allocate foreign structure SDL.Overlay
- Process `create.SDL.Palette` - Allocate foreign structure SDL.Palette
- Process `create.SDL.PixelFormat` - Allocate foreign structure SDL.PixelFormat
- Process `create.SDL.QuitEvent` - Allocate foreign structure SDL.QuitEvent
- Process `create.SDL.Rect` - Allocate foreign structure SDL.Rect
- Process `create.SDL.ResizeEvent` - Allocate foreign structure SDL.ResizeEvent
- Process `create.SDL.Surface` - Allocate foreign structure SDL.Surface
- Process `create.SDL.SysWMEvent` - Allocate foreign structure SDL.SysWMEvent
- Process `create.SDL.UserEvent` - Allocate foreign structure SDL.UserEvent
- Process `create.SDL.VideoInfo` - Allocate foreign structure SDL.VideoInfo
- Process `create.SDL.keysym` - Allocate foreign structure SDL.keysym
- Process `delete.SDL.ActiveEvent` - Free foreign structure SDL.ActiveEvent
- Process `delete.SDL.AudioCVT` - Free foreign structure SDL.AudioCVT
- Process `delete.SDL.AudioSpec` - Free foreign structure SDL.AudioSpec
- Process `delete.SDL.Color` - Free foreign structure SDL.Color
- Process `delete.SDL.Event` - Free foreign union SDL.Event
- Process `delete.SDL.ExposeEvent` - Free foreign structure SDL.ExposeEvent
- Process `delete.SDL.JoyAxisEvent` - Free foreign structure SDL.JoyAxisEvent
- Process `delete.SDL.JoyBallEvent` - Free foreign structure SDL.JoyBallEvent
- Process `delete.SDL.JoyButtonEvent` - Free foreign structure SDL.JoyButtonEvent
- Process `delete.SDL.JoyHatEvent` - Free foreign structure SDL.JoyHatEvent
- Process `delete.SDL.KeyboardEvent` - Free foreign structure SDL.KeyboardEvent
- Process `delete.SDL.MouseButtonEvent` - Free foreign structure SDL.MouseButtonEvent
- Process `delete.SDL.MouseMotionEvent` - Free foreign structure SDL.MouseMotionEvent
- Process `delete.SDL.Overlay` - Free foreign structure SDL.Overlay
- Process `delete.SDL.Palette` - Free foreign structure SDL.Palette
- Process `delete.SDL.PixelFormat` - Free foreign structure SDL.PixelFormat
- Process `delete.SDL.QuitEvent` - Free foreign structure SDL.QuitEvent
- Process `delete.SDL.Rect` - Free foreign structure SDL.Rect
- Process `delete.SDL.ResizeEvent` - Free foreign structure SDL.ResizeEvent
- Process `delete.SDL.Surface` - Free foreign structure SDL.Surface
- Process `delete.SDL.SysWMEvent` - Free foreign structure SDL.SysWMEvent
- Process `delete.SDL.UserEvent` - Free foreign structure SDL.UserEvent
- Process `delete.SDL.VideoInfo` - Free foreign structure SDL.VideoInfo
- Process `delete.SDL.keysym` - Free foreign structure SDL.keysym
- Process `get.SDL.ActiveEvent.gain` - Get value of member gain of foreign structure SDL.ActiveEvent
- Process `get.SDL.ActiveEvent.state` - Get value of member state of foreign structure SDL.ActiveEvent
- Process `get.SDL.ActiveEvent.type` - Get value of member type of foreign structure SDL.ActiveEvent
- Process `get.SDL.AudioCVT.buf` - Get value of member buf of foreign structure SDL.AudioCVT
- Process `get.SDL.AudioCVT.dst.format` - Get value of member dst.format of foreign structure SDL.AudioCVT
- Process `get.SDL.AudioCVT.filter.index` - Get value of member filter.index of foreign structure SDL.AudioCVT
- Process `get.SDL.AudioCVT.len` - Get value of member len of foreign structure SDL.AudioCVT
- Process `get.SDL.AudioCVT.len.cvt` - Get value of member len.cvt of foreign structure SDL.AudioCVT
- Process `get.SDL.AudioCVT.len.mult` - Get value of member len.mult of foreign structure SDL.AudioCVT
- Process `get.SDL.AudioCVT.len.ratio` - Get value of member len.ratio of foreign structure SDL.AudioCVT
- Process `get.SDL.AudioCVT.needed` - Get value of member needed of foreign structure SDL.AudioCVT
- Process `get.SDL.AudioCVT.rate.incr` - Get value of member rate.incr of foreign structure SDL.AudioCVT
- Process `get.SDL.AudioCVT.src.format` - Get value of member src.format of foreign structure SDL.AudioCVT
- Process `get.SDL.AudioSpec.callback` - Get value of member callback of foreign structure SDL.AudioSpec
- Process `get.SDL.AudioSpec.channels` - Get value of member channels of foreign structure SDL.AudioSpec
- Process `get.SDL.AudioSpec.format` - Get value of member format of foreign structure SDL.AudioSpec
- Process `get.SDL.AudioSpec.freq` - Get value of member freq of foreign structure SDL.AudioSpec
- Process `get.SDL.AudioSpec.padding` - Get value of member padding of foreign structure SDL.AudioSpec
- Process `get.SDL.AudioSpec.samples` - Get value of member samples of foreign structure SDL.AudioSpec
- Process `get.SDL.AudioSpec.silence` - Get value of member silence of foreign structure SDL.AudioSpec
- Process `get.SDL.AudioSpec.size` - Get value of member size of foreign structure SDL.AudioSpec
- Process `get.SDL.AudioSpec.userdata` - Get value of member userdata of foreign structure SDL.AudioSpec
- Process `get.SDL.Color.b` - Get value of member b of foreign structure SDL.Color
- Process `get.SDL.Color.g` - Get value of member g of foreign structure SDL.Color
- Process `get.SDL.Color.r` - Get value of member r of foreign structure SDL.Color
- Process `get.SDL.Color.unused` - Get value of member unused of foreign structure SDL.Color
- Process `get.SDL.Event.type` - Foreign function get_SDL_Event_type
- Process `get.SDL.ExposeEvent.type` - Get value of member type of foreign structure SDL.ExposeEvent
- Process `get.SDL.JoyAxisEvent.axis` - Get value of member axis of foreign structure SDL.JoyAxisEvent
- Process `get.SDL.JoyAxisEvent.type` - Get value of member type of foreign structure SDL.JoyAxisEvent
- Process `get.SDL.JoyAxisEvent.value` - Get value of member value of foreign structure SDL.JoyAxisEvent
- Process `get.SDL.JoyAxisEvent.which` - Get value of member which of foreign structure SDL.JoyAxisEvent
- Process `get.SDL.JoyBallEvent.ball` - Get value of member ball of foreign structure SDL.JoyBallEvent
- Process `get.SDL.JoyBallEvent.type` - Get value of member type of foreign structure SDL.JoyBallEvent
- Process `get.SDL.JoyBallEvent.which` - Get value of member which of foreign structure SDL.JoyBallEvent
- Process `get.SDL.JoyBallEvent.xrel` - Get value of member xrel of foreign structure SDL.JoyBallEvent
- Process `get.SDL.JoyBallEvent.yrel` - Get value of member yrel of foreign structure SDL.JoyBallEvent
- Process `get.SDL.JoyButtonEvent.button` - Get value of member button of foreign structure SDL.JoyButtonEvent
- Process `get.SDL.JoyButtonEvent.state` - Get value of member state of foreign structure SDL.JoyButtonEvent
- Process `get.SDL.JoyButtonEvent.type` - Get value of member type of foreign structure SDL.JoyButtonEvent
- Process `get.SDL.JoyButtonEvent.which` - Get value of member which of foreign structure SDL.JoyButtonEvent
- Process `get.SDL.JoyHatEvent.hat` - Get value of member hat of foreign structure SDL.JoyHatEvent
- Process `get.SDL.JoyHatEvent.type` - Get value of member type of foreign structure SDL.JoyHatEvent
- Process `get.SDL.JoyHatEvent.value` - Get value of member value of foreign structure SDL.JoyHatEvent
- Process `get.SDL.JoyHatEvent.which` - Get value of member which of foreign structure SDL.JoyHatEvent
- Process `get.SDL.KeyboardEvent.keysym` - Get value of member keysym of foreign structure SDL.KeyboardEvent
- Process `get.SDL.KeyboardEvent.state` - Get value of member state of foreign structure SDL.KeyboardEvent
- Process `get.SDL.KeyboardEvent.type` - Get value of member type of foreign structure SDL.KeyboardEvent
- Process `get.SDL.KeyboardEvent.which` - Get value of member which of foreign structure SDL.KeyboardEvent
- Process `get.SDL.MouseButtonEvent.button` - Get value of member button of foreign structure SDL.MouseButtonEvent
- Process `get.SDL.MouseButtonEvent.state` - Get value of member state of foreign structure SDL.MouseButtonEvent
- Process `get.SDL.MouseButtonEvent.type` - Get value of member type of foreign structure SDL.MouseButtonEvent
- Process `get.SDL.MouseButtonEvent.which` - Get value of member which of foreign structure SDL.MouseButtonEvent
- Process `get.SDL.MouseButtonEvent.x` - Get value of member x of foreign structure SDL.MouseButtonEvent
- Process `get.SDL.MouseButtonEvent.y` - Get value of member y of foreign structure SDL.MouseButtonEvent
- Process `get.SDL.MouseMotionEvent.state` - Get value of member state of foreign structure SDL.MouseMotionEvent
- Process `get.SDL.MouseMotionEvent.type` - Get value of member type of foreign structure SDL.MouseMotionEvent
- Process `get.SDL.MouseMotionEvent.which` - Get value of member which of foreign structure SDL.MouseMotionEvent
- Process `get.SDL.MouseMotionEvent.x` - Get value of member x of foreign structure SDL.MouseMotionEvent
- Process `get.SDL.MouseMotionEvent.xrel` - Get value of member xrel of foreign structure SDL.MouseMotionEvent
- Process `get.SDL.MouseMotionEvent.y` - Get value of member y of foreign structure SDL.MouseMotionEvent
- Process `get.SDL.MouseMotionEvent.yrel` - Get value of member yrel of foreign structure SDL.MouseMotionEvent
- Process `get.SDL.Overlay.UnusedBits` - Get value of member UnusedBits of foreign structure SDL.Overlay
- Process `get.SDL.Overlay.format` - Get value of member format of foreign structure SDL.Overlay
- Process `get.SDL.Overlay.h` - Get value of member h of foreign structure SDL.Overlay
- Process `get.SDL.Overlay.hw.overlay` - Get value of member hw.overlay of foreign structure SDL.Overlay
- Process `get.SDL.Overlay.pitches` - Get value of member pitches of foreign structure SDL.Overlay
- Process `get.SDL.Overlay.pixels` - Get value of member pixels of foreign structure SDL.Overlay
- Process `get.SDL.Overlay.planes` - Get value of member planes of foreign structure SDL.Overlay
- Process `get.SDL.Overlay.w` - Get value of member w of foreign structure SDL.Overlay
- Process `get.SDL.Palette.colors` - Get value of member colors of foreign structure SDL.Palette
- Process `get.SDL.Palette.ncolors` - Get value of member ncolors of foreign structure SDL.Palette
- Process `get.SDL.PixelFormat.Aloss` - Get value of member Aloss of foreign structure SDL.PixelFormat
- Process `get.SDL.PixelFormat.Amask` - Get value of member Amask of foreign structure SDL.PixelFormat
- Process `get.SDL.PixelFormat.Ashift` - Get value of member Ashift of foreign structure SDL.PixelFormat
- Process `get.SDL.PixelFormat.BitsPerPixel` - Get value of member BitsPerPixel of foreign structure SDL.PixelFormat
- Process `get.SDL.PixelFormat.Bloss` - Get value of member Bloss of foreign structure SDL.PixelFormat
- Process `get.SDL.PixelFormat.Bmask` - Get value of member Bmask of foreign structure SDL.PixelFormat
- Process `get.SDL.PixelFormat.Bshift` - Get value of member Bshift of foreign structure SDL.PixelFormat
- Process `get.SDL.PixelFormat.BytesPerPixel` - Get value of member BytesPerPixel of foreign structure SDL.PixelFormat
- Process `get.SDL.PixelFormat.Gloss` - Get value of member Gloss of foreign structure SDL.PixelFormat
- Process `get.SDL.PixelFormat.Gmask` - Get value of member Gmask of foreign structure SDL.PixelFormat
- Process `get.SDL.PixelFormat.Gshift` - Get value of member Gshift of foreign structure SDL.PixelFormat
- Process `get.SDL.PixelFormat.Rloss` - Get value of member Rloss of foreign structure SDL.PixelFormat
- Process `get.SDL.PixelFormat.Rmask` - Get value of member Rmask of foreign structure SDL.PixelFormat
- Process `get.SDL.PixelFormat.Rshift` - Get value of member Rshift of foreign structure SDL.PixelFormat
- Process `get.SDL.PixelFormat.alpha` - Get value of member alpha of foreign structure SDL.PixelFormat
- Process `get.SDL.PixelFormat.colorkey` - Get value of member colorkey of foreign structure SDL.PixelFormat
- Process `get.SDL.PixelFormat.palette` - Get value of member palette of foreign structure SDL.PixelFormat
- Process `get.SDL.QuitEvent.type` - Get value of member type of foreign structure SDL.QuitEvent
- Process `get.SDL.Rect.h` - Get value of member h of foreign structure SDL.Rect
- Process `get.SDL.Rect.w` - Get value of member w of foreign structure SDL.Rect
- Process `get.SDL.Rect.x` - Get value of member x of foreign structure SDL.Rect
- Process `get.SDL.Rect.y` - Get value of member y of foreign structure SDL.Rect
- Process `get.SDL.ResizeEvent.h` - Get value of member h of foreign structure SDL.ResizeEvent
- Process `get.SDL.ResizeEvent.type` - Get value of member type of foreign structure SDL.ResizeEvent
- Process `get.SDL.ResizeEvent.w` - Get value of member w of foreign structure SDL.ResizeEvent
- Process `get.SDL.Surface.clip.rect` - Get value of member clip.rect of foreign structure SDL.Surface
- Process `get.SDL.Surface.flags` - Get value of member flags of foreign structure SDL.Surface
- Process `get.SDL.Surface.format` - Get value of member format of foreign structure SDL.Surface
- Process `get.SDL.Surface.format.version` - Get value of member format.version of foreign structure SDL.Surface
- Process `get.SDL.Surface.h` - Get value of member h of foreign structure SDL.Surface
- Process `get.SDL.Surface.locked` - Get value of member locked of foreign structure SDL.Surface
- Process `get.SDL.Surface.offset` - Get value of member offset of foreign structure SDL.Surface
- Process `get.SDL.Surface.pitch` - Get value of member pitch of foreign structure SDL.Surface
- Process `get.SDL.Surface.pixels` - Get value of member pixels of foreign structure SDL.Surface
- Process `get.SDL.Surface.refcount` - Get value of member refcount of foreign structure SDL.Surface
- Process `get.SDL.Surface.unused1` - Get value of member unused1 of foreign structure SDL.Surface
- Process `get.SDL.Surface.w` - Get value of member w of foreign structure SDL.Surface
- Process `get.SDL.SysWMEvent.msg` - Get value of member msg of foreign structure SDL.SysWMEvent
- Process `get.SDL.SysWMEvent.type` - Get value of member type of foreign structure SDL.SysWMEvent
- Process `get.SDL.UserEvent.code` - Get value of member code of foreign structure SDL.UserEvent
- Process `get.SDL.UserEvent.data1` - Get value of member data1 of foreign structure SDL.UserEvent
- Process `get.SDL.UserEvent.data2` - Get value of member data2 of foreign structure SDL.UserEvent
- Process `get.SDL.UserEvent.type` - Get value of member type of foreign structure SDL.UserEvent
- Process `get.SDL.VideoInfo.UnusedBits1` - Get value of member UnusedBits1 of foreign structure SDL.VideoInfo
- Process `get.SDL.VideoInfo.UnusedBits2` - Get value of member UnusedBits2 of foreign structure SDL.VideoInfo
- Process `get.SDL.VideoInfo.UnusedBits3` - Get value of member UnusedBits3 of foreign structure SDL.VideoInfo
- Process `get.SDL.VideoInfo.blit.fill` - Get value of member blit.fill of foreign structure SDL.VideoInfo
- Process `get.SDL.VideoInfo.blit.hw` - Get value of member blit.hw of foreign structure SDL.VideoInfo
- Process `get.SDL.VideoInfo.blit.hw.A` - Get value of member blit.hw.A of foreign structure SDL.VideoInfo
- Process `get.SDL.VideoInfo.blit.hw.CC` - Get value of member blit.hw.CC of foreign structure SDL.VideoInfo
- Process `get.SDL.VideoInfo.blit.sw` - Get value of member blit.sw of foreign structure SDL.VideoInfo
- Process `get.SDL.VideoInfo.blit.sw.A` - Get value of member blit.sw.A of foreign structure SDL.VideoInfo
- Process `get.SDL.VideoInfo.blit.sw.CC` - Get value of member blit.sw.CC of foreign structure SDL.VideoInfo
- Process `get.SDL.VideoInfo.hw.available` - Get value of member hw.available of foreign structure SDL.VideoInfo
- Process `get.SDL.VideoInfo.vfmt` - Get value of member vfmt of foreign structure SDL.VideoInfo
- Process `get.SDL.VideoInfo.video.mem` - Get value of member video.mem of foreign structure SDL.VideoInfo
- Process `get.SDL.VideoInfo.wm.available` - Get value of member wm.available of foreign structure SDL.VideoInfo
- Process `get.SDL.keysym.mod` - Get value of member mod of foreign structure SDL.keysym
- Process `get.SDL.keysym.scancode` - Get value of member scancode of foreign structure SDL.keysym
- Process `get.SDL.keysym.sym` - Get value of member sym of foreign structure SDL.keysym
- Process `get.SDL.keysym.unicode` - Get value of member unicode of foreign structure SDL.keysym
- Process `occ.SDL.GetError` - Foreign function occ_SDL_GetError
- Process `occ.SDL.Init` - Foreign function occ_SDL_Init
- Process `occ.SDL.LoadBMP` - Foreign function occ_SDL_LoadBMP
- Process `occ.SDL.LoadWAV` - Foreign function occ_SDL_LoadWAV
- Process `occ.SDL.SaveBMP` - Foreign function occ_SDL_SaveBMP
- Process `occ.SDL.blit` - Blit a rectangle from one surface to another
- Process `occ.SDL.blit.raster` - Blit a rectangle from a raster onto a surface
- Process `occ.SDL.joy.calibrate` - Provides joystick calibration and subsequent adjustment of reported values
- Process `occ.SDL.joy.calibrator` - Launches a joystick calibration process
- Process `occ.SDL.joy.docalibrate` - Runs the joystick calibration routine
- Process `occ.SDL.joy.doread` - Reads the current axes and buttons for a joystick
- Process `occ.SDL.joy.server` - Provides a server process that monitors joysticks
- Process `occ.SDL.joy.start` - Starts a new instance of the SDL joystick server process
- Process `occ.SDL.make.surface` - Turn an occam array into an SDL surface
- Process `occ.SDL.set.rect` - Set the values in an SDL.Rect structure
- Process `occ.SDL.wait.button` - Waits for a button press event, discards other events
- Process `occ.SDL.wait.button.axes` - Waits for a button press event and records axes positions, discards other events
- Process `occ.SDL.waitfor.button` - Waits for a particular button press, discards other events
- Process `occ.SDL.waitfor.button.axes` - Waits for a particular button press and records axis values, discards other events
- Process `occ.SDL.zero.terminate` - Zero-terminate a string
- Process `occ.get.SDL.Surface.pixels` - Foreign function occ_get_SDL_Surface_pixels
- Process `set.SDL.ActiveEvent.gain` - Set value of member gain of foreign structure SDL.ActiveEvent
- Process `set.SDL.ActiveEvent.state` - Set value of member state of foreign structure SDL.ActiveEvent
- Process `set.SDL.ActiveEvent.type` - Set value of member type of foreign structure SDL.ActiveEvent
- Process `set.SDL.AudioCVT.buf` - Set value of member buf of foreign structure SDL.AudioCVT
- Process `set.SDL.AudioCVT.dst.format` - Set value of member dst.format of foreign structure SDL.AudioCVT
- Process `set.SDL.AudioCVT.filter.index` - Set value of member filter.index of foreign structure SDL.AudioCVT
- Process `set.SDL.AudioCVT.len` - Set value of member len of foreign structure SDL.AudioCVT
- Process `set.SDL.AudioCVT.len.cvt` - Set value of member len.cvt of foreign structure SDL.AudioCVT
- Process `set.SDL.AudioCVT.len.mult` - Set value of member len.mult of foreign structure SDL.AudioCVT
- Process `set.SDL.AudioCVT.len.ratio` - Set value of member len.ratio of foreign structure SDL.AudioCVT
- Process `set.SDL.AudioCVT.needed` - Set value of member needed of foreign structure SDL.AudioCVT
- Process `set.SDL.AudioCVT.rate.incr` - Set value of member rate.incr of foreign structure SDL.AudioCVT
- Process `set.SDL.AudioCVT.src.format` - Set value of member src.format of foreign structure SDL.AudioCVT
- Process `set.SDL.AudioSpec.callback` - Set value of member callback of foreign structure SDL.AudioSpec
- Process `set.SDL.AudioSpec.channels` - Set value of member channels of foreign structure SDL.AudioSpec
- Process `set.SDL.AudioSpec.format` - Set value of member format of foreign structure SDL.AudioSpec
- Process `set.SDL.AudioSpec.freq` - Set value of member freq of foreign structure SDL.AudioSpec
- Process `set.SDL.AudioSpec.padding` - Set value of member padding of foreign structure SDL.AudioSpec
- Process `set.SDL.AudioSpec.samples` - Set value of member samples of foreign structure SDL.AudioSpec
- Process `set.SDL.AudioSpec.silence` - Set value of member silence of foreign structure SDL.AudioSpec
- Process `set.SDL.AudioSpec.size` - Set value of member size of foreign structure SDL.AudioSpec
- Process `set.SDL.AudioSpec.userdata` - Set value of member userdata of foreign structure SDL.AudioSpec
- Process `set.SDL.Color.b` - Set value of member b of foreign structure SDL.Color
- Process `set.SDL.Color.g` - Set value of member g of foreign structure SDL.Color
- Process `set.SDL.Color.r` - Set value of member r of foreign structure SDL.Color
- Process `set.SDL.Color.unused` - Set value of member unused of foreign structure SDL.Color
- Process `set.SDL.ExposeEvent.type` - Set value of member type of foreign structure SDL.ExposeEvent
- Process `set.SDL.JoyAxisEvent.axis` - Set value of member axis of foreign structure SDL.JoyAxisEvent
- Process `set.SDL.JoyAxisEvent.type` - Set value of member type of foreign structure SDL.JoyAxisEvent
- Process `set.SDL.JoyAxisEvent.value` - Set value of member value of foreign structure SDL.JoyAxisEvent
- Process `set.SDL.JoyAxisEvent.which` - Set value of member which of foreign structure SDL.JoyAxisEvent
- Process `set.SDL.JoyBallEvent.ball` - Set value of member ball of foreign structure SDL.JoyBallEvent
- Process `set.SDL.JoyBallEvent.type` - Set value of member type of foreign structure SDL.JoyBallEvent
- Process `set.SDL.JoyBallEvent.which` - Set value of member which of foreign structure SDL.JoyBallEvent
- Process `set.SDL.JoyBallEvent.xrel` - Set value of member xrel of foreign structure SDL.JoyBallEvent
- Process `set.SDL.JoyBallEvent.yrel` - Set value of member yrel of foreign structure SDL.JoyBallEvent
- Process `set.SDL.JoyButtonEvent.button` - Set value of member button of foreign structure SDL.JoyButtonEvent
- Process `set.SDL.JoyButtonEvent.state` - Set value of member state of foreign structure SDL.JoyButtonEvent
- Process `set.SDL.JoyButtonEvent.type` - Set value of member type of foreign structure SDL.JoyButtonEvent
- Process `set.SDL.JoyButtonEvent.which` - Set value of member which of foreign structure SDL.JoyButtonEvent
- Process `set.SDL.JoyHatEvent.hat` - Set value of member hat of foreign structure SDL.JoyHatEvent
- Process `set.SDL.JoyHatEvent.type` - Set value of member type of foreign structure SDL.JoyHatEvent
- Process `set.SDL.JoyHatEvent.value` - Set value of member value of foreign structure SDL.JoyHatEvent
- Process `set.SDL.JoyHatEvent.which` - Set value of member which of foreign structure SDL.JoyHatEvent
- Process `set.SDL.KeyboardEvent.state` - Set value of member state of foreign structure SDL.KeyboardEvent
- Process `set.SDL.KeyboardEvent.type` - Set value of member type of foreign structure SDL.KeyboardEvent
- Process `set.SDL.KeyboardEvent.which` - Set value of member which of foreign structure SDL.KeyboardEvent
- Process `set.SDL.MouseButtonEvent.button` - Set value of member button of foreign structure SDL.MouseButtonEvent
- Process `set.SDL.MouseButtonEvent.state` - Set value of member state of foreign structure SDL.MouseButtonEvent
- Process `set.SDL.MouseButtonEvent.type` - Set value of member type of foreign structure SDL.MouseButtonEvent
- Process `set.SDL.MouseButtonEvent.which` - Set value of member which of foreign structure SDL.MouseButtonEvent
- Process `set.SDL.MouseButtonEvent.x` - Set value of member x of foreign structure SDL.MouseButtonEvent
- Process `set.SDL.MouseButtonEvent.y` - Set value of member y of foreign structure SDL.MouseButtonEvent
- Process `set.SDL.MouseMotionEvent.state` - Set value of member state of foreign structure SDL.MouseMotionEvent
- Process `set.SDL.MouseMotionEvent.type` - Set value of member type of foreign structure SDL.MouseMotionEvent
- Process `set.SDL.MouseMotionEvent.which` - Set value of member which of foreign structure SDL.MouseMotionEvent
- Process `set.SDL.MouseMotionEvent.x` - Set value of member x of foreign structure SDL.MouseMotionEvent
- Process `set.SDL.MouseMotionEvent.xrel` - Set value of member xrel of foreign structure SDL.MouseMotionEvent
- Process `set.SDL.MouseMotionEvent.y` - Set value of member y of foreign structure SDL.MouseMotionEvent
- Process `set.SDL.MouseMotionEvent.yrel` - Set value of member yrel of foreign structure SDL.MouseMotionEvent
- Process `set.SDL.Overlay.UnusedBits` - Set value of member UnusedBits of foreign structure SDL.Overlay
- Process `set.SDL.Overlay.format` - Set value of member format of foreign structure SDL.Overlay
- Process `set.SDL.Overlay.h` - Set value of member h of foreign structure SDL.Overlay
- Process `set.SDL.Overlay.hw.overlay` - Set value of member hw.overlay of foreign structure SDL.Overlay
- Process `set.SDL.Overlay.pitches` - Set value of member pitches of foreign structure SDL.Overlay
- Process `set.SDL.Overlay.pixels` - Set value of member pixels of foreign structure SDL.Overlay
- Process `set.SDL.Overlay.planes` - Set value of member planes of foreign structure SDL.Overlay
- Process `set.SDL.Overlay.w` - Set value of member w of foreign structure SDL.Overlay
- Process `set.SDL.Palette.ncolors` - Set value of member ncolors of foreign structure SDL.Palette
- Process `set.SDL.PixelFormat.Aloss` - Set value of member Aloss of foreign structure SDL.PixelFormat
- Process `set.SDL.PixelFormat.Amask` - Set value of member Amask of foreign structure SDL.PixelFormat
- Process `set.SDL.PixelFormat.Ashift` - Set value of member Ashift of foreign structure SDL.PixelFormat
- Process `set.SDL.PixelFormat.BitsPerPixel` - Set value of member BitsPerPixel of foreign structure SDL.PixelFormat
- Process `set.SDL.PixelFormat.Bloss` - Set value of member Bloss of foreign structure SDL.PixelFormat
- Process `set.SDL.PixelFormat.Bmask` - Set value of member Bmask of foreign structure SDL.PixelFormat
- Process `set.SDL.PixelFormat.Bshift` - Set value of member Bshift of foreign structure SDL.PixelFormat
- Process `set.SDL.PixelFormat.BytesPerPixel` - Set value of member BytesPerPixel of foreign structure SDL.PixelFormat
- Process `set.SDL.PixelFormat.Gloss` - Set value of member Gloss of foreign structure SDL.PixelFormat
- Process `set.SDL.PixelFormat.Gmask` - Set value of member Gmask of foreign structure SDL.PixelFormat
- Process `set.SDL.PixelFormat.Gshift` - Set value of member Gshift of foreign structure SDL.PixelFormat
- Process `set.SDL.PixelFormat.Rloss` - Set value of member Rloss of foreign structure SDL.PixelFormat
- Process `set.SDL.PixelFormat.Rmask` - Set value of member Rmask of foreign structure SDL.PixelFormat
- Process `set.SDL.PixelFormat.Rshift` - Set value of member Rshift of foreign structure SDL.PixelFormat
- Process `set.SDL.PixelFormat.alpha` - Set value of member alpha of foreign structure SDL.PixelFormat
- Process `set.SDL.PixelFormat.colorkey` - Set value of member colorkey of foreign structure SDL.PixelFormat
- Process `set.SDL.QuitEvent.type` - Set value of member type of foreign structure SDL.QuitEvent
- Process `set.SDL.Rect.h` - Set value of member h of foreign structure SDL.Rect
- Process `set.SDL.Rect.w` - Set value of member w of foreign structure SDL.Rect
- Process `set.SDL.Rect.x` - Set value of member x of foreign structure SDL.Rect
- Process `set.SDL.Rect.y` - Set value of member y of foreign structure SDL.Rect
- Process `set.SDL.ResizeEvent.h` - Set value of member h of foreign structure SDL.ResizeEvent
- Process `set.SDL.ResizeEvent.type` - Set value of member type of foreign structure SDL.ResizeEvent
- Process `set.SDL.ResizeEvent.w` - Set value of member w of foreign structure SDL.ResizeEvent
- Process `set.SDL.Surface.flags` - Set value of member flags of foreign structure SDL.Surface
- Process `set.SDL.Surface.format.version` - Set value of member format.version of foreign structure SDL.Surface
- Process `set.SDL.Surface.h` - Set value of member h of foreign structure SDL.Surface
- Process `set.SDL.Surface.locked` - Set value of member locked of foreign structure SDL.Surface
- Process `set.SDL.Surface.offset` - Set value of member offset of foreign structure SDL.Surface
- Process `set.SDL.Surface.pitch` - Set value of member pitch of foreign structure SDL.Surface
- Process `set.SDL.Surface.pixels` - Set value of member pixels of foreign structure SDL.Surface
- Process `set.SDL.Surface.refcount` - Set value of member refcount of foreign structure SDL.Surface
- Process `set.SDL.Surface.unused1` - Set value of member unused1 of foreign structure SDL.Surface
- Process `set.SDL.Surface.w` - Set value of member w of foreign structure SDL.Surface
- Process `set.SDL.SysWMEvent.type` - Set value of member type of foreign structure SDL.SysWMEvent
- Process `set.SDL.UserEvent.code` - Set value of member code of foreign structure SDL.UserEvent
- Process `set.SDL.UserEvent.data1` - Set value of member data1 of foreign structure SDL.UserEvent
- Process `set.SDL.UserEvent.data2` - Set value of member data2 of foreign structure SDL.UserEvent
- Process `set.SDL.UserEvent.type` - Set value of member type of foreign structure SDL.UserEvent
- Process `set.SDL.VideoInfo.UnusedBits1` - Set value of member UnusedBits1 of foreign structure SDL.VideoInfo
- Process `set.SDL.VideoInfo.UnusedBits2` - Set value of member UnusedBits2 of foreign structure SDL.VideoInfo
- Process `set.SDL.VideoInfo.UnusedBits3` - Set value of member UnusedBits3 of foreign structure SDL.VideoInfo
- Process `set.SDL.VideoInfo.blit.fill` - Set value of member blit.fill of foreign structure SDL.VideoInfo
- Process `set.SDL.VideoInfo.blit.hw` - Set value of member blit.hw of foreign structure SDL.VideoInfo
- Process `set.SDL.VideoInfo.blit.hw.A` - Set value of member blit.hw.A of foreign structure SDL.VideoInfo
- Process `set.SDL.VideoInfo.blit.hw.CC` - Set value of member blit.hw.CC of foreign structure SDL.VideoInfo
- Process `set.SDL.VideoInfo.blit.sw` - Set value of member blit.sw of foreign structure SDL.VideoInfo
- Process `set.SDL.VideoInfo.blit.sw.A` - Set value of member blit.sw.A of foreign structure SDL.VideoInfo
- Process `set.SDL.VideoInfo.blit.sw.CC` - Set value of member blit.sw.CC of foreign structure SDL.VideoInfo
- Process `set.SDL.VideoInfo.hw.available` - Set value of member hw.available of foreign structure SDL.VideoInfo
- Process `set.SDL.VideoInfo.video.mem` - Set value of member video.mem of foreign structure SDL.VideoInfo
- Process `set.SDL.VideoInfo.wm.available` - Set value of member wm.available of foreign structure SDL.VideoInfo
- Process `set.SDL.keysym.mod` - Set value of member mod of foreign structure SDL.keysym
- Process `set.SDL.keysym.scancode` - Set value of member scancode of foreign structure SDL.keysym
- Process `set.SDL.keysym.sym` - Set value of member sym of foreign structure SDL.keysym
- Process `set.SDL.keysym.unicode` - Set value of member unicode of foreign structure SDL.keysym

## Declarations

### `occSDL.inc`:16Constant `SDL.INIT.TIMER`

`VAL INT SDL.INIT.TIMER`

Foreign `int` constant `SDL_INIT_TIMER`.

### `occSDL.inc`:18Constant `SDL.INIT.AUDIO`

`VAL INT SDL.INIT.AUDIO`

Foreign `int` constant `SDL_INIT_AUDIO`.

### `occSDL.inc`:20Constant `SDL.INIT.VIDEO`

`VAL INT SDL.INIT.VIDEO`

Foreign `int` constant `SDL_INIT_VIDEO`.

### `occSDL.inc`:22Constant `SDL.INIT.CDROM`

`VAL INT SDL.INIT.CDROM`

Foreign `int` constant `SDL_INIT_CDROM`.

### `occSDL.inc`:24Constant `SDL.INIT.JOYSTICK`

`VAL INT SDL.INIT.JOYSTICK`

Foreign `int` constant `SDL_INIT_JOYSTICK`.

### `occSDL.inc`:26Constant `SDL.INIT.NOPARACHUTE`

`VAL INT SDL.INIT.NOPARACHUTE`

Foreign `int` constant `SDL_INIT_NOPARACHUTE`.

### `occSDL.inc`:28Constant `SDL.INIT.EVENTTHREAD`

`VAL INT SDL.INIT.EVENTTHREAD`

Foreign `int` constant `SDL_INIT_EVENTTHREAD`.

### `occSDL.inc`:30Constant `SDL.INIT.EVERYTHING`

`VAL INT SDL.INIT.EVERYTHING`

Foreign `int` constant `SDL_INIT_EVERYTHING`.

### `occSDL.inc`:36Process `SDL.Init`

`INLINE PROC SDL.Init (RESULT INT return.value, VAL INT flags)`

Foreign function `SDL_Init`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`VAL INT` | `flags` | Argument with type `Uint32`.

### `occSDL.inc`:45Process `occ.SDL.Init`

`INLINE PROC occ.SDL.Init (RESULT INT return.value, VAL INT flags)`

Foreign function `occ_SDL_Init`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`VAL INT` | `flags` | Argument with type `Uint32`.

### `occSDL.inc`:54Process `SDL.InitSubSystem`

`INLINE PROC SDL.InitSubSystem (RESULT INT return.value, VAL INT flags)`

Foreign function `SDL_InitSubSystem`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`VAL INT` | `flags` | Argument with type `Uint32`.

### `occSDL.inc`:62Process `SDL.QuitSubSystem`

`INLINE PROC SDL.QuitSubSystem (VAL INT flags)`

Foreign function `SDL_QuitSubSystem`.

#### Parameters:

`VAL INT` | `flags` | Argument with type `Uint32`.

### `occSDL.inc`:71Process `SDL.WasInit`

`INLINE PROC SDL.WasInit (RESULT INT return.value, VAL INT flags)`

Foreign function `SDL_WasInit`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `Uint32`.
`VAL INT` | `flags` | Argument with type `Uint32`.

### `occSDL.inc`:78Process `SDL.Quit`

`INLINE PROC SDL.Quit ()`

Foreign function `SDL_Quit`.

### `occSDL.inc`:83Group `SDL.bool`

``

Foreign enumeration `SDL_bool`.

### `occSDL.inc`:89Group `SDL.DUMMY.ENUM`

``

Foreign enumeration `SDL_DUMMY_ENUM`.

### `occSDL.inc`:93Group `arbitrary.name0`

``

Foreign enumeration ``.

### `occSDL.inc`:99Constant `SDL.ALPHA.OPAQUE`

`VAL INT SDL.ALPHA.OPAQUE`

Foreign `int` constant `SDL_ALPHA_OPAQUE`.

### `occSDL.inc`:101Constant `SDL.ALPHA.TRANSPARENT`

`VAL INT SDL.ALPHA.TRANSPARENT`

Foreign `int` constant `SDL_ALPHA_TRANSPARENT`.

### `occSDL.inc`:103Data type `SDL.Rect`

`DATA TYPE SDL.Rect`

Foreign structure pointer type `SDL_Rect`.

### `occSDL.inc`:108Process `create.SDL.Rect`

`INLINE PROC create.SDL.Rect (RESULT SDL.Rect ptr)`

Allocate foreign structure `SDL.Rect`.

#### Parameters:

`RESULT SDL.Rect` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:114Process `delete.SDL.Rect`

`INLINE PROC delete.SDL.Rect (SDL.Rect ptr)`

Free foreign structure `SDL.Rect`.

#### Parameters:

`SDL.Rect` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:121Process `get.SDL.Rect.x`

`INLINE PROC get.SDL.Rect.x (RESULT INT16 value, VAL SDL.Rect ptr)`

Get value of member `x` of foreign structure `SDL.Rect`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `x`.
`VAL SDL.Rect` | `ptr` | Pointer to foreign structure `SDL.Rect`.

### `occSDL.inc`:128Process `set.SDL.Rect.x`

`INLINE PROC set.SDL.Rect.x (VAL INT16 value, VAL SDL.Rect ptr)`

Set value of member `x` of foreign structure `SDL.Rect`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `x`.
`VAL SDL.Rect` | `ptr` | Pointer to foreign structure `SDL.Rect`.

### `occSDL.inc`:135Process `get.SDL.Rect.y`

`INLINE PROC get.SDL.Rect.y (RESULT INT16 value, VAL SDL.Rect ptr)`

Get value of member `y` of foreign structure `SDL.Rect`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `y`.
`VAL SDL.Rect` | `ptr` | Pointer to foreign structure `SDL.Rect`.

### `occSDL.inc`:142Process `set.SDL.Rect.y`

`INLINE PROC set.SDL.Rect.y (VAL INT16 value, VAL SDL.Rect ptr)`

Set value of member `y` of foreign structure `SDL.Rect`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `y`.
`VAL SDL.Rect` | `ptr` | Pointer to foreign structure `SDL.Rect`.

### `occSDL.inc`:149Process `get.SDL.Rect.w`

`INLINE PROC get.SDL.Rect.w (RESULT INT16 value, VAL SDL.Rect ptr)`

Get value of member `w` of foreign structure `SDL.Rect`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `w`.
`VAL SDL.Rect` | `ptr` | Pointer to foreign structure `SDL.Rect`.

### `occSDL.inc`:156Process `set.SDL.Rect.w`

`INLINE PROC set.SDL.Rect.w (VAL INT16 value, VAL SDL.Rect ptr)`

Set value of member `w` of foreign structure `SDL.Rect`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `w`.
`VAL SDL.Rect` | `ptr` | Pointer to foreign structure `SDL.Rect`.

### `occSDL.inc`:163Process `get.SDL.Rect.h`

`INLINE PROC get.SDL.Rect.h (RESULT INT16 value, VAL SDL.Rect ptr)`

Get value of member `h` of foreign structure `SDL.Rect`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `h`.
`VAL SDL.Rect` | `ptr` | Pointer to foreign structure `SDL.Rect`.

### `occSDL.inc`:170Process `set.SDL.Rect.h`

`INLINE PROC set.SDL.Rect.h (VAL INT16 value, VAL SDL.Rect ptr)`

Set value of member `h` of foreign structure `SDL.Rect`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `h`.
`VAL SDL.Rect` | `ptr` | Pointer to foreign structure `SDL.Rect`.

### `occSDL.inc`:175Data type `SDL.Color`

`DATA TYPE SDL.Color`

Foreign structure pointer type `SDL_Color`.

### `occSDL.inc`:180Process `create.SDL.Color`

`INLINE PROC create.SDL.Color (RESULT SDL.Color ptr)`

Allocate foreign structure `SDL.Color`.

#### Parameters:

`RESULT SDL.Color` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:186Process `delete.SDL.Color`

`INLINE PROC delete.SDL.Color (SDL.Color ptr)`

Free foreign structure `SDL.Color`.

#### Parameters:

`SDL.Color` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:193Process `get.SDL.Color.r`

`INLINE PROC get.SDL.Color.r (RESULT BYTE value, VAL SDL.Color ptr)`

Get value of member `r` of foreign structure `SDL.Color`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `r`.
`VAL SDL.Color` | `ptr` | Pointer to foreign structure `SDL.Color`.

### `occSDL.inc`:200Process `set.SDL.Color.r`

`INLINE PROC set.SDL.Color.r (VAL BYTE value, VAL SDL.Color ptr)`

Set value of member `r` of foreign structure `SDL.Color`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `r`.
`VAL SDL.Color` | `ptr` | Pointer to foreign structure `SDL.Color`.

### `occSDL.inc`:207Process `get.SDL.Color.g`

`INLINE PROC get.SDL.Color.g (RESULT BYTE value, VAL SDL.Color ptr)`

Get value of member `g` of foreign structure `SDL.Color`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `g`.
`VAL SDL.Color` | `ptr` | Pointer to foreign structure `SDL.Color`.

### `occSDL.inc`:214Process `set.SDL.Color.g`

`INLINE PROC set.SDL.Color.g (VAL BYTE value, VAL SDL.Color ptr)`

Set value of member `g` of foreign structure `SDL.Color`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `g`.
`VAL SDL.Color` | `ptr` | Pointer to foreign structure `SDL.Color`.

### `occSDL.inc`:221Process `get.SDL.Color.b`

`INLINE PROC get.SDL.Color.b (RESULT BYTE value, VAL SDL.Color ptr)`

Get value of member `b` of foreign structure `SDL.Color`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `b`.
`VAL SDL.Color` | `ptr` | Pointer to foreign structure `SDL.Color`.

### `occSDL.inc`:228Process `set.SDL.Color.b`

`INLINE PROC set.SDL.Color.b (VAL BYTE value, VAL SDL.Color ptr)`

Set value of member `b` of foreign structure `SDL.Color`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `b`.
`VAL SDL.Color` | `ptr` | Pointer to foreign structure `SDL.Color`.

### `occSDL.inc`:235Process `get.SDL.Color.unused`

`INLINE PROC get.SDL.Color.unused (RESULT BYTE value, VAL SDL.Color ptr)`

Get value of member `unused` of foreign structure `SDL.Color`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `unused`.
`VAL SDL.Color` | `ptr` | Pointer to foreign structure `SDL.Color`.

### `occSDL.inc`:242Process `set.SDL.Color.unused`

`INLINE PROC set.SDL.Color.unused (VAL BYTE value, VAL SDL.Color ptr)`

Set value of member `unused` of foreign structure `SDL.Color`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `unused`.
`VAL SDL.Color` | `ptr` | Pointer to foreign structure `SDL.Color`.

### `occSDL.inc`:247Data type `SDL.Palette`

`DATA TYPE SDL.Palette`

Foreign structure pointer type `SDL_Palette`.

### `occSDL.inc`:252Process `create.SDL.Palette`

`INLINE PROC create.SDL.Palette (RESULT SDL.Palette ptr)`

Allocate foreign structure `SDL.Palette`.

#### Parameters:

`RESULT SDL.Palette` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:258Process `delete.SDL.Palette`

`INLINE PROC delete.SDL.Palette (SDL.Palette ptr)`

Free foreign structure `SDL.Palette`.

#### Parameters:

`SDL.Palette` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:265Process `get.SDL.Palette.ncolors`

`INLINE PROC get.SDL.Palette.ncolors (RESULT INT value, VAL SDL.Palette ptr)`

Get value of member `ncolors` of foreign structure `SDL.Palette`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `ncolors`.
`VAL SDL.Palette` | `ptr` | Pointer to foreign structure `SDL.Palette`.

### `occSDL.inc`:272Process `set.SDL.Palette.ncolors`

`INLINE PROC set.SDL.Palette.ncolors (VAL INT value, VAL SDL.Palette ptr)`

Set value of member `ncolors` of foreign structure `SDL.Palette`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `ncolors`.
`VAL SDL.Palette` | `ptr` | Pointer to foreign structure `SDL.Palette`.

### `occSDL.inc`:279Process `get.SDL.Palette.colors`

`INLINE PROC get.SDL.Palette.colors (RESULT SDL.Color value, VAL SDL.Palette ptr)`

Get value of member `colors` of foreign structure `SDL.Palette`.

#### Parameters:

`RESULT SDL.Color` | `value` | Contents of the member `colors`.
`VAL SDL.Palette` | `ptr` | Pointer to foreign structure `SDL.Palette`.

### `occSDL.inc`:284Data type `SDL.PixelFormat`

`DATA TYPE SDL.PixelFormat`

Foreign structure pointer type `SDL_PixelFormat`.

### `occSDL.inc`:289Process `create.SDL.PixelFormat`

`INLINE PROC create.SDL.PixelFormat (RESULT SDL.PixelFormat ptr)`

Allocate foreign structure `SDL.PixelFormat`.

#### Parameters:

`RESULT SDL.PixelFormat` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:295Process `delete.SDL.PixelFormat`

`INLINE PROC delete.SDL.PixelFormat (SDL.PixelFormat ptr)`

Free foreign structure `SDL.PixelFormat`.

#### Parameters:

`SDL.PixelFormat` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:302Process `get.SDL.PixelFormat.palette`

`INLINE PROC get.SDL.PixelFormat.palette (RESULT SDL.Palette value, VAL SDL.PixelFormat ptr)`

Get value of member `palette` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`RESULT SDL.Palette` | `value` | Contents of the member `palette`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:309Process `get.SDL.PixelFormat.BitsPerPixel`

`INLINE PROC get.SDL.PixelFormat.BitsPerPixel (RESULT BYTE value, VAL SDL.PixelFormat ptr)`

Get value of member `BitsPerPixel` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `BitsPerPixel`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:316Process `set.SDL.PixelFormat.BitsPerPixel`

`INLINE PROC set.SDL.PixelFormat.BitsPerPixel (VAL BYTE value, VAL SDL.PixelFormat ptr)`

Set value of member `BitsPerPixel` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `BitsPerPixel`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:323Process `get.SDL.PixelFormat.BytesPerPixel`

`INLINE PROC get.SDL.PixelFormat.BytesPerPixel (RESULT BYTE value, VAL SDL.PixelFormat ptr)`

Get value of member `BytesPerPixel` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `BytesPerPixel`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:330Process `set.SDL.PixelFormat.BytesPerPixel`

`INLINE PROC set.SDL.PixelFormat.BytesPerPixel (VAL BYTE value, VAL SDL.PixelFormat ptr)`

Set value of member `BytesPerPixel` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `BytesPerPixel`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:337Process `get.SDL.PixelFormat.Rloss`

`INLINE PROC get.SDL.PixelFormat.Rloss (RESULT BYTE value, VAL SDL.PixelFormat ptr)`

Get value of member `Rloss` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `Rloss`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:344Process `set.SDL.PixelFormat.Rloss`

`INLINE PROC set.SDL.PixelFormat.Rloss (VAL BYTE value, VAL SDL.PixelFormat ptr)`

Set value of member `Rloss` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `Rloss`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:351Process `get.SDL.PixelFormat.Gloss`

`INLINE PROC get.SDL.PixelFormat.Gloss (RESULT BYTE value, VAL SDL.PixelFormat ptr)`

Get value of member `Gloss` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `Gloss`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:358Process `set.SDL.PixelFormat.Gloss`

`INLINE PROC set.SDL.PixelFormat.Gloss (VAL BYTE value, VAL SDL.PixelFormat ptr)`

Set value of member `Gloss` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `Gloss`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:365Process `get.SDL.PixelFormat.Bloss`

`INLINE PROC get.SDL.PixelFormat.Bloss (RESULT BYTE value, VAL SDL.PixelFormat ptr)`

Get value of member `Bloss` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `Bloss`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:372Process `set.SDL.PixelFormat.Bloss`

`INLINE PROC set.SDL.PixelFormat.Bloss (VAL BYTE value, VAL SDL.PixelFormat ptr)`

Set value of member `Bloss` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `Bloss`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:379Process `get.SDL.PixelFormat.Aloss`

`INLINE PROC get.SDL.PixelFormat.Aloss (RESULT BYTE value, VAL SDL.PixelFormat ptr)`

Get value of member `Aloss` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `Aloss`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:386Process `set.SDL.PixelFormat.Aloss`

`INLINE PROC set.SDL.PixelFormat.Aloss (VAL BYTE value, VAL SDL.PixelFormat ptr)`

Set value of member `Aloss` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `Aloss`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:393Process `get.SDL.PixelFormat.Rshift`

`INLINE PROC get.SDL.PixelFormat.Rshift (RESULT BYTE value, VAL SDL.PixelFormat ptr)`

Get value of member `Rshift` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `Rshift`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:400Process `set.SDL.PixelFormat.Rshift`

`INLINE PROC set.SDL.PixelFormat.Rshift (VAL BYTE value, VAL SDL.PixelFormat ptr)`

Set value of member `Rshift` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `Rshift`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:407Process `get.SDL.PixelFormat.Gshift`

`INLINE PROC get.SDL.PixelFormat.Gshift (RESULT BYTE value, VAL SDL.PixelFormat ptr)`

Get value of member `Gshift` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `Gshift`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:414Process `set.SDL.PixelFormat.Gshift`

`INLINE PROC set.SDL.PixelFormat.Gshift (VAL BYTE value, VAL SDL.PixelFormat ptr)`

Set value of member `Gshift` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `Gshift`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:421Process `get.SDL.PixelFormat.Bshift`

`INLINE PROC get.SDL.PixelFormat.Bshift (RESULT BYTE value, VAL SDL.PixelFormat ptr)`

Get value of member `Bshift` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `Bshift`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:428Process `set.SDL.PixelFormat.Bshift`

`INLINE PROC set.SDL.PixelFormat.Bshift (VAL BYTE value, VAL SDL.PixelFormat ptr)`

Set value of member `Bshift` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `Bshift`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:435Process `get.SDL.PixelFormat.Ashift`

`INLINE PROC get.SDL.PixelFormat.Ashift (RESULT BYTE value, VAL SDL.PixelFormat ptr)`

Get value of member `Ashift` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `Ashift`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:442Process `set.SDL.PixelFormat.Ashift`

`INLINE PROC set.SDL.PixelFormat.Ashift (VAL BYTE value, VAL SDL.PixelFormat ptr)`

Set value of member `Ashift` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `Ashift`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:449Process `get.SDL.PixelFormat.Rmask`

`INLINE PROC get.SDL.PixelFormat.Rmask (RESULT INT value, VAL SDL.PixelFormat ptr)`

Get value of member `Rmask` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `Rmask`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:456Process `set.SDL.PixelFormat.Rmask`

`INLINE PROC set.SDL.PixelFormat.Rmask (VAL INT value, VAL SDL.PixelFormat ptr)`

Set value of member `Rmask` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `Rmask`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:463Process `get.SDL.PixelFormat.Gmask`

`INLINE PROC get.SDL.PixelFormat.Gmask (RESULT INT value, VAL SDL.PixelFormat ptr)`

Get value of member `Gmask` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `Gmask`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:470Process `set.SDL.PixelFormat.Gmask`

`INLINE PROC set.SDL.PixelFormat.Gmask (VAL INT value, VAL SDL.PixelFormat ptr)`

Set value of member `Gmask` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `Gmask`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:477Process `get.SDL.PixelFormat.Bmask`

`INLINE PROC get.SDL.PixelFormat.Bmask (RESULT INT value, VAL SDL.PixelFormat ptr)`

Get value of member `Bmask` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `Bmask`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:484Process `set.SDL.PixelFormat.Bmask`

`INLINE PROC set.SDL.PixelFormat.Bmask (VAL INT value, VAL SDL.PixelFormat ptr)`

Set value of member `Bmask` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `Bmask`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:491Process `get.SDL.PixelFormat.Amask`

`INLINE PROC get.SDL.PixelFormat.Amask (RESULT INT value, VAL SDL.PixelFormat ptr)`

Get value of member `Amask` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `Amask`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:498Process `set.SDL.PixelFormat.Amask`

`INLINE PROC set.SDL.PixelFormat.Amask (VAL INT value, VAL SDL.PixelFormat ptr)`

Set value of member `Amask` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `Amask`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:505Process `get.SDL.PixelFormat.colorkey`

`INLINE PROC get.SDL.PixelFormat.colorkey (RESULT INT value, VAL SDL.PixelFormat ptr)`

Get value of member `colorkey` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `colorkey`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:512Process `set.SDL.PixelFormat.colorkey`

`INLINE PROC set.SDL.PixelFormat.colorkey (VAL INT value, VAL SDL.PixelFormat ptr)`

Set value of member `colorkey` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `colorkey`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:519Process `get.SDL.PixelFormat.alpha`

`INLINE PROC get.SDL.PixelFormat.alpha (RESULT BYTE value, VAL SDL.PixelFormat ptr)`

Get value of member `alpha` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `alpha`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:526Process `set.SDL.PixelFormat.alpha`

`INLINE PROC set.SDL.PixelFormat.alpha (VAL BYTE value, VAL SDL.PixelFormat ptr)`

Set value of member `alpha` of foreign structure `SDL.PixelFormat`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `alpha`.
`VAL SDL.PixelFormat` | `ptr` | Pointer to foreign structure `SDL.PixelFormat`.

### `occSDL.inc`:531Data type `SDL.blit`

`DATA TYPE SDL.blit`

Foreign function pointer type `SDL_blit`.

### `occSDL.inc`:534Data type `SDL.Surface`

`DATA TYPE SDL.Surface`

Foreign structure pointer type `SDL_Surface`.

### `occSDL.inc`:539Process `create.SDL.Surface`

`INLINE PROC create.SDL.Surface (RESULT SDL.Surface ptr)`

Allocate foreign structure `SDL.Surface`.

#### Parameters:

`RESULT SDL.Surface` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:545Process `delete.SDL.Surface`

`INLINE PROC delete.SDL.Surface (SDL.Surface ptr)`

Free foreign structure `SDL.Surface`.

#### Parameters:

`SDL.Surface` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:552Process `get.SDL.Surface.flags`

`INLINE PROC get.SDL.Surface.flags (RESULT INT value, VAL SDL.Surface ptr)`

Get value of member `flags` of foreign structure `SDL.Surface`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `flags`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:559Process `set.SDL.Surface.flags`

`INLINE PROC set.SDL.Surface.flags (VAL INT value, VAL SDL.Surface ptr)`

Set value of member `flags` of foreign structure `SDL.Surface`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `flags`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:566Process `get.SDL.Surface.format`

`INLINE PROC get.SDL.Surface.format (RESULT SDL.PixelFormat value, VAL SDL.Surface ptr)`

Get value of member `format` of foreign structure `SDL.Surface`.

#### Parameters:

`RESULT SDL.PixelFormat` | `value` | Contents of the member `format`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:573Process `get.SDL.Surface.w`

`INLINE PROC get.SDL.Surface.w (RESULT INT value, VAL SDL.Surface ptr)`

Get value of member `w` of foreign structure `SDL.Surface`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `w`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:580Process `set.SDL.Surface.w`

`INLINE PROC set.SDL.Surface.w (VAL INT value, VAL SDL.Surface ptr)`

Set value of member `w` of foreign structure `SDL.Surface`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `w`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:587Process `get.SDL.Surface.h`

`INLINE PROC get.SDL.Surface.h (RESULT INT value, VAL SDL.Surface ptr)`

Get value of member `h` of foreign structure `SDL.Surface`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `h`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:594Process `set.SDL.Surface.h`

`INLINE PROC set.SDL.Surface.h (VAL INT value, VAL SDL.Surface ptr)`

Set value of member `h` of foreign structure `SDL.Surface`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `h`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:601Process `get.SDL.Surface.pitch`

`INLINE PROC get.SDL.Surface.pitch (RESULT INT16 value, VAL SDL.Surface ptr)`

Get value of member `pitch` of foreign structure `SDL.Surface`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `pitch`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:608Process `set.SDL.Surface.pitch`

`INLINE PROC set.SDL.Surface.pitch (VAL INT16 value, VAL SDL.Surface ptr)`

Set value of member `pitch` of foreign structure `SDL.Surface`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `pitch`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:615Process `get.SDL.Surface.pixels`

`INLINE PROC get.SDL.Surface.pixels (RESULT INT value, VAL SDL.Surface ptr)`

Get value of member `pixels` of foreign structure `SDL.Surface`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `pixels`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:622Process `set.SDL.Surface.pixels`

`INLINE PROC set.SDL.Surface.pixels (VAL INT value, VAL SDL.Surface ptr)`

Set value of member `pixels` of foreign structure `SDL.Surface`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `pixels`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:629Process `get.SDL.Surface.offset`

`INLINE PROC get.SDL.Surface.offset (RESULT INT value, VAL SDL.Surface ptr)`

Get value of member `offset` of foreign structure `SDL.Surface`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `offset`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:636Process `set.SDL.Surface.offset`

`INLINE PROC set.SDL.Surface.offset (VAL INT value, VAL SDL.Surface ptr)`

Set value of member `offset` of foreign structure `SDL.Surface`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `offset`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:643Process `get.SDL.Surface.clip.rect`

`INLINE PROC get.SDL.Surface.clip.rect (RESULT SDL.Rect value, VAL SDL.Surface ptr)`

Get value of member `clip.rect` of foreign structure `SDL.Surface`.

#### Parameters:

`RESULT SDL.Rect` | `value` | Contents of the member `clip.rect`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:650Process `get.SDL.Surface.unused1`

`INLINE PROC get.SDL.Surface.unused1 (RESULT INT value, VAL SDL.Surface ptr)`

Get value of member `unused1` of foreign structure `SDL.Surface`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `unused1`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:657Process `set.SDL.Surface.unused1`

`INLINE PROC set.SDL.Surface.unused1 (VAL INT value, VAL SDL.Surface ptr)`

Set value of member `unused1` of foreign structure `SDL.Surface`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `unused1`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:664Process `get.SDL.Surface.locked`

`INLINE PROC get.SDL.Surface.locked (RESULT INT value, VAL SDL.Surface ptr)`

Get value of member `locked` of foreign structure `SDL.Surface`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `locked`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:671Process `set.SDL.Surface.locked`

`INLINE PROC set.SDL.Surface.locked (VAL INT value, VAL SDL.Surface ptr)`

Set value of member `locked` of foreign structure `SDL.Surface`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `locked`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:678Process `get.SDL.Surface.format.version`

`INLINE PROC get.SDL.Surface.format.version (RESULT INT value, VAL SDL.Surface ptr)`

Get value of member `format.version` of foreign structure `SDL.Surface`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `format.version`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:685Process `set.SDL.Surface.format.version`

`INLINE PROC set.SDL.Surface.format.version (VAL INT value, VAL SDL.Surface ptr)`

Set value of member `format.version` of foreign structure `SDL.Surface`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `format.version`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:692Process `get.SDL.Surface.refcount`

`INLINE PROC get.SDL.Surface.refcount (RESULT INT value, VAL SDL.Surface ptr)`

Get value of member `refcount` of foreign structure `SDL.Surface`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `refcount`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:699Process `set.SDL.Surface.refcount`

`INLINE PROC set.SDL.Surface.refcount (VAL INT value, VAL SDL.Surface ptr)`

Set value of member `refcount` of foreign structure `SDL.Surface`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `refcount`.
`VAL SDL.Surface` | `ptr` | Pointer to foreign structure `SDL.Surface`.

### `occSDL.inc`:708Process `occ.get.SDL.Surface.pixels`

`INLINE PROC occ.get.SDL.Surface.pixels ([]INT pixels, SDL.Surface surface)`

Foreign function `occ_get_SDL_Surface_pixels`.

#### Parameters:

`[]INT` | `pixels` | Array pointer argument with element type `int`.
`SDL.Surface` | `surface` | Argument with type `SDL_Surface *`.

### `occSDL.inc`:713Constant `SDL.SWSURFACE`

`VAL INT SDL.SWSURFACE`

Foreign `int` constant `SDL_SWSURFACE`.

### `occSDL.inc`:715Constant `SDL.HWSURFACE`

`VAL INT SDL.HWSURFACE`

Foreign `int` constant `SDL_HWSURFACE`.

### `occSDL.inc`:717Constant `SDL.ASYNCBLIT`

`VAL INT SDL.ASYNCBLIT`

Foreign `int` constant `SDL_ASYNCBLIT`.

### `occSDL.inc`:719Constant `SDL.ANYFORMAT`

`VAL INT SDL.ANYFORMAT`

Foreign `int` constant `SDL_ANYFORMAT`.

### `occSDL.inc`:721Constant `SDL.HWPALETTE`

`VAL INT SDL.HWPALETTE`

Foreign `int` constant `SDL_HWPALETTE`.

### `occSDL.inc`:723Constant `SDL.DOUBLEBUF`

`VAL INT SDL.DOUBLEBUF`

Foreign `int` constant `SDL_DOUBLEBUF`.

### `occSDL.inc`:725Constant `SDL.FULLSCREEN`

`VAL INT SDL.FULLSCREEN`

Foreign `int` constant `SDL_FULLSCREEN`.

### `occSDL.inc`:727Constant `SDL.OPENGL`

`VAL INT SDL.OPENGL`

Foreign `int` constant `SDL_OPENGL`.

### `occSDL.inc`:729Constant `SDL.OPENGLBLIT`

`VAL INT SDL.OPENGLBLIT`

Foreign `int` constant `SDL_OPENGLBLIT`.

### `occSDL.inc`:731Constant `SDL.RESIZABLE`

`VAL INT SDL.RESIZABLE`

Foreign `int` constant `SDL_RESIZABLE`.

### `occSDL.inc`:733Constant `SDL.NOFRAME`

`VAL INT SDL.NOFRAME`

Foreign `int` constant `SDL_NOFRAME`.

### `occSDL.inc`:735Constant `SDL.HWACCEL`

`VAL INT SDL.HWACCEL`

Foreign `int` constant `SDL_HWACCEL`.

### `occSDL.inc`:737Constant `SDL.SRCCOLORKEY`

`VAL INT SDL.SRCCOLORKEY`

Foreign `int` constant `SDL_SRCCOLORKEY`.

### `occSDL.inc`:739Constant `SDL.RLEACCELOK`

`VAL INT SDL.RLEACCELOK`

Foreign `int` constant `SDL_RLEACCELOK`.

### `occSDL.inc`:741Constant `SDL.RLEACCEL`

`VAL INT SDL.RLEACCEL`

Foreign `int` constant `SDL_RLEACCEL`.

### `occSDL.inc`:743Constant `SDL.SRCALPHA`

`VAL INT SDL.SRCALPHA`

Foreign `int` constant `SDL_SRCALPHA`.

### `occSDL.inc`:745Constant `SDL.PREALLOC`

`VAL INT SDL.PREALLOC`

Foreign `int` constant `SDL_PREALLOC`.

### `occSDL.inc`:747Data type `SDL.VideoInfo`

`DATA TYPE SDL.VideoInfo`

Foreign structure pointer type `SDL_VideoInfo`.

### `occSDL.inc`:752Process `create.SDL.VideoInfo`

`INLINE PROC create.SDL.VideoInfo (RESULT SDL.VideoInfo ptr)`

Allocate foreign structure `SDL.VideoInfo`.

#### Parameters:

`RESULT SDL.VideoInfo` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:758Process `delete.SDL.VideoInfo`

`INLINE PROC delete.SDL.VideoInfo (SDL.VideoInfo ptr)`

Free foreign structure `SDL.VideoInfo`.

#### Parameters:

`SDL.VideoInfo` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:765Process `get.SDL.VideoInfo.hw.available`

`INLINE PROC get.SDL.VideoInfo.hw.available (RESULT INT value, VAL SDL.VideoInfo ptr)`

Get value of member `hw.available` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `hw.available`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:772Process `set.SDL.VideoInfo.hw.available`

`INLINE PROC set.SDL.VideoInfo.hw.available (VAL INT value, VAL SDL.VideoInfo ptr)`

Set value of member `hw.available` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `hw.available`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:779Process `get.SDL.VideoInfo.wm.available`

`INLINE PROC get.SDL.VideoInfo.wm.available (RESULT INT value, VAL SDL.VideoInfo ptr)`

Get value of member `wm.available` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `wm.available`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:786Process `set.SDL.VideoInfo.wm.available`

`INLINE PROC set.SDL.VideoInfo.wm.available (VAL INT value, VAL SDL.VideoInfo ptr)`

Set value of member `wm.available` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `wm.available`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:793Process `get.SDL.VideoInfo.UnusedBits1`

`INLINE PROC get.SDL.VideoInfo.UnusedBits1 (RESULT INT value, VAL SDL.VideoInfo ptr)`

Get value of member `UnusedBits1` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `UnusedBits1`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:800Process `set.SDL.VideoInfo.UnusedBits1`

`INLINE PROC set.SDL.VideoInfo.UnusedBits1 (VAL INT value, VAL SDL.VideoInfo ptr)`

Set value of member `UnusedBits1` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `UnusedBits1`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:807Process `get.SDL.VideoInfo.UnusedBits2`

`INLINE PROC get.SDL.VideoInfo.UnusedBits2 (RESULT INT value, VAL SDL.VideoInfo ptr)`

Get value of member `UnusedBits2` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `UnusedBits2`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:814Process `set.SDL.VideoInfo.UnusedBits2`

`INLINE PROC set.SDL.VideoInfo.UnusedBits2 (VAL INT value, VAL SDL.VideoInfo ptr)`

Set value of member `UnusedBits2` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `UnusedBits2`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:821Process `get.SDL.VideoInfo.blit.hw`

`INLINE PROC get.SDL.VideoInfo.blit.hw (RESULT INT value, VAL SDL.VideoInfo ptr)`

Get value of member `blit.hw` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `blit.hw`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:828Process `set.SDL.VideoInfo.blit.hw`

`INLINE PROC set.SDL.VideoInfo.blit.hw (VAL INT value, VAL SDL.VideoInfo ptr)`

Set value of member `blit.hw` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `blit.hw`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:835Process `get.SDL.VideoInfo.blit.hw.CC`

`INLINE PROC get.SDL.VideoInfo.blit.hw.CC (RESULT INT value, VAL SDL.VideoInfo ptr)`

Get value of member `blit.hw.CC` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `blit.hw.CC`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:842Process `set.SDL.VideoInfo.blit.hw.CC`

`INLINE PROC set.SDL.VideoInfo.blit.hw.CC (VAL INT value, VAL SDL.VideoInfo ptr)`

Set value of member `blit.hw.CC` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `blit.hw.CC`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:849Process `get.SDL.VideoInfo.blit.hw.A`

`INLINE PROC get.SDL.VideoInfo.blit.hw.A (RESULT INT value, VAL SDL.VideoInfo ptr)`

Get value of member `blit.hw.A` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `blit.hw.A`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:856Process `set.SDL.VideoInfo.blit.hw.A`

`INLINE PROC set.SDL.VideoInfo.blit.hw.A (VAL INT value, VAL SDL.VideoInfo ptr)`

Set value of member `blit.hw.A` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `blit.hw.A`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:863Process `get.SDL.VideoInfo.blit.sw`

`INLINE PROC get.SDL.VideoInfo.blit.sw (RESULT INT value, VAL SDL.VideoInfo ptr)`

Get value of member `blit.sw` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `blit.sw`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:870Process `set.SDL.VideoInfo.blit.sw`

`INLINE PROC set.SDL.VideoInfo.blit.sw (VAL INT value, VAL SDL.VideoInfo ptr)`

Set value of member `blit.sw` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `blit.sw`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:877Process `get.SDL.VideoInfo.blit.sw.CC`

`INLINE PROC get.SDL.VideoInfo.blit.sw.CC (RESULT INT value, VAL SDL.VideoInfo ptr)`

Get value of member `blit.sw.CC` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `blit.sw.CC`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:884Process `set.SDL.VideoInfo.blit.sw.CC`

`INLINE PROC set.SDL.VideoInfo.blit.sw.CC (VAL INT value, VAL SDL.VideoInfo ptr)`

Set value of member `blit.sw.CC` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `blit.sw.CC`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:891Process `get.SDL.VideoInfo.blit.sw.A`

`INLINE PROC get.SDL.VideoInfo.blit.sw.A (RESULT INT value, VAL SDL.VideoInfo ptr)`

Get value of member `blit.sw.A` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `blit.sw.A`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:898Process `set.SDL.VideoInfo.blit.sw.A`

`INLINE PROC set.SDL.VideoInfo.blit.sw.A (VAL INT value, VAL SDL.VideoInfo ptr)`

Set value of member `blit.sw.A` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `blit.sw.A`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:905Process `get.SDL.VideoInfo.blit.fill`

`INLINE PROC get.SDL.VideoInfo.blit.fill (RESULT INT value, VAL SDL.VideoInfo ptr)`

Get value of member `blit.fill` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `blit.fill`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:912Process `set.SDL.VideoInfo.blit.fill`

`INLINE PROC set.SDL.VideoInfo.blit.fill (VAL INT value, VAL SDL.VideoInfo ptr)`

Set value of member `blit.fill` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `blit.fill`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:919Process `get.SDL.VideoInfo.UnusedBits3`

`INLINE PROC get.SDL.VideoInfo.UnusedBits3 (RESULT INT value, VAL SDL.VideoInfo ptr)`

Get value of member `UnusedBits3` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `UnusedBits3`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:926Process `set.SDL.VideoInfo.UnusedBits3`

`INLINE PROC set.SDL.VideoInfo.UnusedBits3 (VAL INT value, VAL SDL.VideoInfo ptr)`

Set value of member `UnusedBits3` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `UnusedBits3`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:933Process `get.SDL.VideoInfo.video.mem`

`INLINE PROC get.SDL.VideoInfo.video.mem (RESULT INT value, VAL SDL.VideoInfo ptr)`

Get value of member `video.mem` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `video.mem`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:940Process `set.SDL.VideoInfo.video.mem`

`INLINE PROC set.SDL.VideoInfo.video.mem (VAL INT value, VAL SDL.VideoInfo ptr)`

Set value of member `video.mem` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `video.mem`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:947Process `get.SDL.VideoInfo.vfmt`

`INLINE PROC get.SDL.VideoInfo.vfmt (RESULT SDL.PixelFormat value, VAL SDL.VideoInfo ptr)`

Get value of member `vfmt` of foreign structure `SDL.VideoInfo`.

#### Parameters:

`RESULT SDL.PixelFormat` | `value` | Contents of the member `vfmt`.
`VAL SDL.VideoInfo` | `ptr` | Pointer to foreign structure `SDL.VideoInfo`.

### `occSDL.inc`:952Constant `SDL.YV12.OVERLAY`

`VAL INT SDL.YV12.OVERLAY`

Foreign `int` constant `SDL_YV12_OVERLAY`.

### `occSDL.inc`:954Constant `SDL.IYUV.OVERLAY`

`VAL INT SDL.IYUV.OVERLAY`

Foreign `int` constant `SDL_IYUV_OVERLAY`.

### `occSDL.inc`:956Constant `SDL.YUY2.OVERLAY`

`VAL INT SDL.YUY2.OVERLAY`

Foreign `int` constant `SDL_YUY2_OVERLAY`.

### `occSDL.inc`:958Constant `SDL.UYVY.OVERLAY`

`VAL INT SDL.UYVY.OVERLAY`

Foreign `int` constant `SDL_UYVY_OVERLAY`.

### `occSDL.inc`:960Constant `SDL.YVYU.OVERLAY`

`VAL INT SDL.YVYU.OVERLAY`

Foreign `int` constant `SDL_YVYU_OVERLAY`.

### `occSDL.inc`:962Data type `SDL.Overlay`

`DATA TYPE SDL.Overlay`

Foreign structure pointer type `SDL_Overlay`.

### `occSDL.inc`:967Process `create.SDL.Overlay`

`INLINE PROC create.SDL.Overlay (RESULT SDL.Overlay ptr)`

Allocate foreign structure `SDL.Overlay`.

#### Parameters:

`RESULT SDL.Overlay` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:973Process `delete.SDL.Overlay`

`INLINE PROC delete.SDL.Overlay (SDL.Overlay ptr)`

Free foreign structure `SDL.Overlay`.

#### Parameters:

`SDL.Overlay` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:980Process `get.SDL.Overlay.format`

`INLINE PROC get.SDL.Overlay.format (RESULT INT value, VAL SDL.Overlay ptr)`

Get value of member `format` of foreign structure `SDL.Overlay`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `format`.
`VAL SDL.Overlay` | `ptr` | Pointer to foreign structure `SDL.Overlay`.

### `occSDL.inc`:987Process `set.SDL.Overlay.format`

`INLINE PROC set.SDL.Overlay.format (VAL INT value, VAL SDL.Overlay ptr)`

Set value of member `format` of foreign structure `SDL.Overlay`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `format`.
`VAL SDL.Overlay` | `ptr` | Pointer to foreign structure `SDL.Overlay`.

### `occSDL.inc`:994Process `get.SDL.Overlay.w`

`INLINE PROC get.SDL.Overlay.w (RESULT INT value, VAL SDL.Overlay ptr)`

Get value of member `w` of foreign structure `SDL.Overlay`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `w`.
`VAL SDL.Overlay` | `ptr` | Pointer to foreign structure `SDL.Overlay`.

### `occSDL.inc`:1001Process `set.SDL.Overlay.w`

`INLINE PROC set.SDL.Overlay.w (VAL INT value, VAL SDL.Overlay ptr)`

Set value of member `w` of foreign structure `SDL.Overlay`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `w`.
`VAL SDL.Overlay` | `ptr` | Pointer to foreign structure `SDL.Overlay`.

### `occSDL.inc`:1008Process `get.SDL.Overlay.h`

`INLINE PROC get.SDL.Overlay.h (RESULT INT value, VAL SDL.Overlay ptr)`

Get value of member `h` of foreign structure `SDL.Overlay`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `h`.
`VAL SDL.Overlay` | `ptr` | Pointer to foreign structure `SDL.Overlay`.

### `occSDL.inc`:1015Process `set.SDL.Overlay.h`

`INLINE PROC set.SDL.Overlay.h (VAL INT value, VAL SDL.Overlay ptr)`

Set value of member `h` of foreign structure `SDL.Overlay`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `h`.
`VAL SDL.Overlay` | `ptr` | Pointer to foreign structure `SDL.Overlay`.

### `occSDL.inc`:1022Process `get.SDL.Overlay.planes`

`INLINE PROC get.SDL.Overlay.planes (RESULT INT value, VAL SDL.Overlay ptr)`

Get value of member `planes` of foreign structure `SDL.Overlay`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `planes`.
`VAL SDL.Overlay` | `ptr` | Pointer to foreign structure `SDL.Overlay`.

### `occSDL.inc`:1029Process `set.SDL.Overlay.planes`

`INLINE PROC set.SDL.Overlay.planes (VAL INT value, VAL SDL.Overlay ptr)`

Set value of member `planes` of foreign structure `SDL.Overlay`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `planes`.
`VAL SDL.Overlay` | `ptr` | Pointer to foreign structure `SDL.Overlay`.

### `occSDL.inc`:1036Process `get.SDL.Overlay.pitches`

`INLINE PROC get.SDL.Overlay.pitches (RESULT INT16 value, VAL SDL.Overlay ptr)`

Get value of member `pitches` of foreign structure `SDL.Overlay`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `pitches`.
`VAL SDL.Overlay` | `ptr` | Pointer to foreign structure `SDL.Overlay`.

### `occSDL.inc`:1043Process `set.SDL.Overlay.pitches`

`INLINE PROC set.SDL.Overlay.pitches (VAL INT16 value, VAL SDL.Overlay ptr)`

Set value of member `pitches` of foreign structure `SDL.Overlay`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `pitches`.
`VAL SDL.Overlay` | `ptr` | Pointer to foreign structure `SDL.Overlay`.

### `occSDL.inc`:1050Process `get.SDL.Overlay.pixels`

`INLINE PROC get.SDL.Overlay.pixels (RESULT BYTE value, VAL SDL.Overlay ptr)`

Get value of member `pixels` of foreign structure `SDL.Overlay`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `pixels`.
`VAL SDL.Overlay` | `ptr` | Pointer to foreign structure `SDL.Overlay`.

### `occSDL.inc`:1057Process `set.SDL.Overlay.pixels`

`INLINE PROC set.SDL.Overlay.pixels (VAL BYTE value, VAL SDL.Overlay ptr)`

Set value of member `pixels` of foreign structure `SDL.Overlay`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `pixels`.
`VAL SDL.Overlay` | `ptr` | Pointer to foreign structure `SDL.Overlay`.

### `occSDL.inc`:1064Process `get.SDL.Overlay.hw.overlay`

`INLINE PROC get.SDL.Overlay.hw.overlay (RESULT INT value, VAL SDL.Overlay ptr)`

Get value of member `hw.overlay` of foreign structure `SDL.Overlay`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `hw.overlay`.
`VAL SDL.Overlay` | `ptr` | Pointer to foreign structure `SDL.Overlay`.

### `occSDL.inc`:1071Process `set.SDL.Overlay.hw.overlay`

`INLINE PROC set.SDL.Overlay.hw.overlay (VAL INT value, VAL SDL.Overlay ptr)`

Set value of member `hw.overlay` of foreign structure `SDL.Overlay`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `hw.overlay`.
`VAL SDL.Overlay` | `ptr` | Pointer to foreign structure `SDL.Overlay`.

### `occSDL.inc`:1078Process `get.SDL.Overlay.UnusedBits`

`INLINE PROC get.SDL.Overlay.UnusedBits (RESULT INT value, VAL SDL.Overlay ptr)`

Get value of member `UnusedBits` of foreign structure `SDL.Overlay`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `UnusedBits`.
`VAL SDL.Overlay` | `ptr` | Pointer to foreign structure `SDL.Overlay`.

### `occSDL.inc`:1085Process `set.SDL.Overlay.UnusedBits`

`INLINE PROC set.SDL.Overlay.UnusedBits (VAL INT value, VAL SDL.Overlay ptr)`

Set value of member `UnusedBits` of foreign structure `SDL.Overlay`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `UnusedBits`.
`VAL SDL.Overlay` | `ptr` | Pointer to foreign structure `SDL.Overlay`.

### `occSDL.inc`:1090Group `SDL.GLattr`

``

Foreign enumeration `SDL_GLattr`.

### `occSDL.inc`:1109Constant `SDL.LOGPAL`

`VAL INT SDL.LOGPAL`

Foreign `int` constant `SDL_LOGPAL`.

### `occSDL.inc`:1111Constant `SDL.PHYSPAL`

`VAL INT SDL.PHYSPAL`

Foreign `int` constant `SDL_PHYSPAL`.

### `occSDL.inc`:1118Process `SDL.VideoInit`

`INLINE PROC SDL.VideoInit (RESULT INT return.value, BYTE driver.name, VAL INT flags)`

Foreign function `SDL_VideoInit`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`BYTE` | `driver.name` | Argument with type `char const *`.
`VAL INT` | `flags` | Argument with type `Uint32`.

### `occSDL.inc`:1125Process `SDL.VideoQuit`

`INLINE PROC SDL.VideoQuit ()`

Foreign function `SDL_VideoQuit`.

### `occSDL.inc`:1135Process `SDL.VideoDriverName`

`INLINE PROC SDL.VideoDriverName (RESULT BYTE return.value, BYTE namebuf, VAL INT maxlen)`

Foreign function `SDL_VideoDriverName`.

#### Parameters:

`RESULT BYTE` | `return.value` | Function return value with type `char *`.
`BYTE` | `namebuf` | Argument with type `char *`.
`VAL INT` | `maxlen` | Argument with type `int`.

### `occSDL.inc`:1143Process `SDL.GetVideoSurface`

`INLINE PROC SDL.GetVideoSurface (SDL.Surface return.value)`

Foreign function `SDL_GetVideoSurface`.

#### Parameters:

`SDL.Surface` | `return.value` | Function return value with type `SDL_Surface *`.

### `occSDL.inc`:1151Process `SDL.GetVideoInfo`

`INLINE PROC SDL.GetVideoInfo (SDL.VideoInfo return.value)`

Foreign function `SDL_GetVideoInfo`.

#### Parameters:

`SDL.VideoInfo` | `return.value` | Function return value with type `SDL_VideoInfo const *`.

### `occSDL.inc`:1163Process `SDL.VideoModeOK`

`INLINE PROC SDL.VideoModeOK (RESULT INT return.value, VAL INT width, VAL INT height, VAL INT bpp, VAL INT flags)`

Foreign function `SDL_VideoModeOK`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`VAL INT` | `width` | Argument with type `int`.
`VAL INT` | `height` | Argument with type `int`.
`VAL INT` | `bpp` | Argument with type `int`.
`VAL INT` | `flags` | Argument with type `Uint32`.

### `occSDL.inc`:1173Process `SDL.ListModes`

`INLINE PROC SDL.ListModes (SDL.Rect return.value, SDL.PixelFormat format, VAL INT flags)`

Foreign function `SDL_ListModes`.

#### Parameters:

`SDL.Rect` | `return.value` | Function return value with type `SDL_Rect **`.
`SDL.PixelFormat` | `format` | Argument with type `SDL_PixelFormat *`.
`VAL INT` | `flags` | Argument with type `Uint32`.

### `occSDL.inc`:1185Process `SDL.SetVideoMode`

`INLINE PROC SDL.SetVideoMode (SDL.Surface return.value, VAL INT width, VAL INT height, VAL INT bpp, VAL INT flags)`

Foreign function `SDL_SetVideoMode`.

#### Parameters:

`SDL.Surface` | `return.value` | Function return value with type `SDL_Surface *`.
`VAL INT` | `width` | Argument with type `int`.
`VAL INT` | `height` | Argument with type `int`.
`VAL INT` | `bpp` | Argument with type `int`.
`VAL INT` | `flags` | Argument with type `Uint32`.

### `occSDL.inc`:1195Process `SDL.UpdateRects`

`INLINE PROC SDL.UpdateRects (SDL.Surface screen, VAL INT numrects, SDL.Rect rects)`

Foreign function `SDL_UpdateRects`.

#### Parameters:

`SDL.Surface` | `screen` | Argument with type `SDL_Surface *`.
`VAL INT` | `numrects` | Argument with type `int`.
`SDL.Rect` | `rects` | Argument with type `SDL_Rect *`.

### `occSDL.inc`:1207Process `SDL.UpdateRect`

`INLINE PROC SDL.UpdateRect (SDL.Surface screen, VAL INT x, VAL INT y, VAL INT w, VAL INT h)`

Foreign function `SDL_UpdateRect`.

#### Parameters:

`SDL.Surface` | `screen` | Argument with type `SDL_Surface *`.
`VAL INT` | `x` | Argument with type `Sint32`.
`VAL INT` | `y` | Argument with type `Sint32`.
`VAL INT` | `w` | Argument with type `Uint32`.
`VAL INT` | `h` | Argument with type `Uint32`.

### `occSDL.inc`:1216Process `SDL.Flip`

`INLINE PROC SDL.Flip (RESULT INT return.value, SDL.Surface screen)`

Foreign function `SDL_Flip`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Surface` | `screen` | Argument with type `SDL_Surface *`.

### `occSDL.inc`:1227Process `SDL.SetGamma`

`INLINE PROC SDL.SetGamma (RESULT INT return.value, VAL REAL32 red, VAL REAL32 green, VAL REAL32 blue)`

Foreign function `SDL_SetGamma`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`VAL REAL32` | `red` | Argument with type `float`.
`VAL REAL32` | `green` | Argument with type `float`.
`VAL REAL32` | `blue` | Argument with type `float`.

### `occSDL.inc`:1238Process `SDL.SetGammaRamp`

`INLINE PROC SDL.SetGammaRamp (RESULT INT return.value, INT16 red, INT16 green, INT16 blue)`

Foreign function `SDL_SetGammaRamp`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`INT16` | `red` | Argument with type `Uint16 const *`.
`INT16` | `green` | Argument with type `Uint16 const *`.
`INT16` | `blue` | Argument with type `Uint16 const *`.

### `occSDL.inc`:1249Process `SDL.GetGammaRamp`

`INLINE PROC SDL.GetGammaRamp (RESULT INT return.value, INT16 red, INT16 green, INT16 blue)`

Foreign function `SDL_GetGammaRamp`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`INT16` | `red` | Argument with type `Uint16 *`.
`INT16` | `green` | Argument with type `Uint16 *`.
`INT16` | `blue` | Argument with type `Uint16 *`.

### `occSDL.inc`:1261Process `SDL.SetColors`

`INLINE PROC SDL.SetColors (RESULT INT return.value, SDL.Surface surface, SDL.Color colors, VAL INT firstcolor, VAL INT ncolors)`

Foreign function `SDL_SetColors`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Surface` | `surface` | Argument with type `SDL_Surface *`.
`SDL.Color` | `colors` | Argument with type `SDL_Color *`.
`VAL INT` | `firstcolor` | Argument with type `int`.
`VAL INT` | `ncolors` | Argument with type `int`.

### `occSDL.inc`:1274Process `SDL.SetPalette`

`INLINE PROC SDL.SetPalette (RESULT INT return.value, SDL.Surface surface, VAL INT flags, SDL.Color colors, VAL INT firstcolor, VAL INT ncolors)`

Foreign function `SDL_SetPalette`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Surface` | `surface` | Argument with type `SDL_Surface *`.
`VAL INT` | `flags` | Argument with type `int`.
`SDL.Color` | `colors` | Argument with type `SDL_Color *`.
`VAL INT` | `firstcolor` | Argument with type `int`.
`VAL INT` | `ncolors` | Argument with type `int`.

### `occSDL.inc`:1286Process `SDL.MapRGB`

`INLINE PROC SDL.MapRGB (RESULT INT return.value, SDL.PixelFormat format, VAL BYTE r, VAL BYTE g, VAL BYTE b)`

Foreign function `SDL_MapRGB`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `Uint32`.
`SDL.PixelFormat` | `format` | Argument with type `SDL_PixelFormat *`.
`VAL BYTE` | `r` | Argument with type `Uint8`.
`VAL BYTE` | `g` | Argument with type `Uint8`.
`VAL BYTE` | `b` | Argument with type `Uint8`.

### `occSDL.inc`:1299Process `SDL.MapRGBA`

`INLINE PROC SDL.MapRGBA (RESULT INT return.value, SDL.PixelFormat format, VAL BYTE r, VAL BYTE g, VAL BYTE b, VAL BYTE a)`

Foreign function `SDL_MapRGBA`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `Uint32`.
`SDL.PixelFormat` | `format` | Argument with type `SDL_PixelFormat *`.
`VAL BYTE` | `r` | Argument with type `Uint8`.
`VAL BYTE` | `g` | Argument with type `Uint8`.
`VAL BYTE` | `b` | Argument with type `Uint8`.
`VAL BYTE` | `a` | Argument with type `Uint8`.

### `occSDL.inc`:1311Process `SDL.GetRGB`

`INLINE PROC SDL.GetRGB (VAL INT pixel, SDL.PixelFormat fmt, BYTE r, BYTE g, BYTE b)`

Foreign function `SDL_GetRGB`.

#### Parameters:

`VAL INT` | `pixel` | Argument with type `Uint32`.
`SDL.PixelFormat` | `fmt` | Argument with type `SDL_PixelFormat *`.
`BYTE` | `r` | Argument with type `Uint8 *`.
`BYTE` | `g` | Argument with type `Uint8 *`.
`BYTE` | `b` | Argument with type `Uint8 *`.

### `occSDL.inc`:1324Process `SDL.GetRGBA`

`INLINE PROC SDL.GetRGBA (VAL INT pixel, SDL.PixelFormat fmt, BYTE r, BYTE g, BYTE b, BYTE a)`

Foreign function `SDL_GetRGBA`.

#### Parameters:

`VAL INT` | `pixel` | Argument with type `Uint32`.
`SDL.PixelFormat` | `fmt` | Argument with type `SDL_PixelFormat *`.
`BYTE` | `r` | Argument with type `Uint8 *`.
`BYTE` | `g` | Argument with type `Uint8 *`.
`BYTE` | `b` | Argument with type `Uint8 *`.
`BYTE` | `a` | Argument with type `Uint8 *`.

### `occSDL.inc`:1340Process `SDL.CreateRGBSurface`

`INLINE PROC SDL.CreateRGBSurface (SDL.Surface return.value, VAL INT flags, VAL INT width, VAL INT height, VAL INT depth, VAL INT Rmask, VAL INT Gmask, VAL INT Bmask, VAL INT Amask)`

Foreign function `SDL_CreateRGBSurface`.

#### Parameters:

`SDL.Surface` | `return.value` | Function return value with type `SDL_Surface *`.
`VAL INT` | `flags` | Argument with type `Uint32`.
`VAL INT` | `width` | Argument with type `int`.
`VAL INT` | `height` | Argument with type `int`.
`VAL INT` | `depth` | Argument with type `int`.
`VAL INT` | `Rmask` | Argument with type `Uint32`.
`VAL INT` | `Gmask` | Argument with type `Uint32`.
`VAL INT` | `Bmask` | Argument with type `Uint32`.
`VAL INT` | `Amask` | Argument with type `Uint32`.

### `occSDL.inc`:1357Process `SDL.CreateRGBSurfaceFrom`

`INLINE PROC SDL.CreateRGBSurfaceFrom (SDL.Surface return.value, INT pixels, VAL INT width, VAL INT height, VAL INT depth, VAL INT pitch, VAL INT Rmask, VAL INT Gmask, VAL INT Bmask, VAL INT Amask)`

Foreign function `SDL_CreateRGBSurfaceFrom`.

#### Parameters:

`SDL.Surface` | `return.value` | Function return value with type `SDL_Surface *`.
`INT` | `pixels` | Argument with type `void *`.
`VAL INT` | `width` | Argument with type `int`.
`VAL INT` | `height` | Argument with type `int`.
`VAL INT` | `depth` | Argument with type `int`.
`VAL INT` | `pitch` | Argument with type `int`.
`VAL INT` | `Rmask` | Argument with type `Uint32`.
`VAL INT` | `Gmask` | Argument with type `Uint32`.
`VAL INT` | `Bmask` | Argument with type `Uint32`.
`VAL INT` | `Amask` | Argument with type `Uint32`.

### `occSDL.inc`:1365Process `SDL.FreeSurface`

`INLINE PROC SDL.FreeSurface (SDL.Surface surface)`

Foreign function `SDL_FreeSurface`.

#### Parameters:

`SDL.Surface` | `surface` | Argument with type `SDL_Surface *`.

### `occSDL.inc`:1374Process `SDL.LockSurface`

`INLINE PROC SDL.LockSurface (RESULT INT return.value, SDL.Surface surface)`

Foreign function `SDL_LockSurface`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Surface` | `surface` | Argument with type `SDL_Surface *`.

### `occSDL.inc`:1382Process `SDL.UnlockSurface`

`INLINE PROC SDL.UnlockSurface (SDL.Surface surface)`

Foreign function `SDL_UnlockSurface`.

#### Parameters:

`SDL.Surface` | `surface` | Argument with type `SDL_Surface *`.

### `occSDL.inc`:1391Process `occ.SDL.LoadBMP`

`INLINE PROC occ.SDL.LoadBMP (SDL.Surface return.value, []BYTE file)`

Foreign function `occ_SDL_LoadBMP`.

#### Parameters:

`SDL.Surface` | `return.value` | Function return value with type `SDL_Surface *`.
`[]BYTE` | `file` | Array pointer argument with element type `char`.

### `occSDL.inc`:1401Process `occ.SDL.SaveBMP`

`INLINE PROC occ.SDL.SaveBMP (SDL.Surface return.value, SDL.Surface surface, []BYTE file)`

Foreign function `occ_SDL_SaveBMP`.

#### Parameters:

`SDL.Surface` | `return.value` | Function return value with type `SDL_Surface *`.
`SDL.Surface` | `surface` | Argument with type `SDL_Surface *`.
`[]BYTE` | `file` | Array pointer argument with element type `char`.

### `occSDL.inc`:1412Process `SDL.SetColorKey`

`INLINE PROC SDL.SetColorKey (RESULT INT return.value, SDL.Surface surface, VAL INT flag, VAL INT key)`

Foreign function `SDL_SetColorKey`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Surface` | `surface` | Argument with type `SDL_Surface *`.
`VAL INT` | `flag` | Argument with type `Uint32`.
`VAL INT` | `key` | Argument with type `Uint32`.

### `occSDL.inc`:1423Process `SDL.SetAlpha`

`INLINE PROC SDL.SetAlpha (RESULT INT return.value, SDL.Surface surface, VAL INT flag, VAL BYTE alpha)`

Foreign function `SDL_SetAlpha`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Surface` | `surface` | Argument with type `SDL_Surface *`.
`VAL INT` | `flag` | Argument with type `Uint32`.
`VAL BYTE` | `alpha` | Argument with type `Uint8`.

### `occSDL.inc`:1433Process `SDL.SetClipRect`

`INLINE PROC SDL.SetClipRect (SDL.bool return.value, SDL.Surface surface, SDL.Rect rect)`

Foreign function `SDL_SetClipRect`.

#### Parameters:

`SDL.bool` | `return.value` | Function return value with type `SDL_bool`.
`SDL.Surface` | `surface` | Argument with type `SDL_Surface *`.
`SDL.Rect` | `rect` | Argument with type `SDL_Rect const *`.

### `occSDL.inc`:1442Process `SDL.GetClipRect`

`INLINE PROC SDL.GetClipRect (SDL.Surface surface, SDL.Rect rect)`

Foreign function `SDL_GetClipRect`.

#### Parameters:

`SDL.Surface` | `surface` | Argument with type `SDL_Surface *`.
`SDL.Rect` | `rect` | Argument with type `SDL_Rect *`.

### `occSDL.inc`:1453Process `SDL.ConvertSurface`

`INLINE PROC SDL.ConvertSurface (SDL.Surface return.value, SDL.Surface src, SDL.PixelFormat fmt, VAL INT flags)`

Foreign function `SDL_ConvertSurface`.

#### Parameters:

`SDL.Surface` | `return.value` | Function return value with type `SDL_Surface *`.
`SDL.Surface` | `src` | Argument with type `SDL_Surface *`.
`SDL.PixelFormat` | `fmt` | Argument with type `SDL_PixelFormat *`.
`VAL INT` | `flags` | Argument with type `Uint32`.

### `occSDL.inc`:1465Process `SDL.BlitSurface`

`INLINE PROC SDL.BlitSurface (RESULT INT return.value, SDL.Surface src, SDL.Rect srcrect, SDL.Surface dst, SDL.Rect dstrect)`

Foreign function `SDL_BlitSurface`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Surface` | `src` | Argument with type `SDL_Surface *`.
`SDL.Rect` | `srcrect` | Argument with type `SDL_Rect *`.
`SDL.Surface` | `dst` | Argument with type `SDL_Surface *`.
`SDL.Rect` | `dstrect` | Argument with type `SDL_Rect *`.

### `occSDL.inc`:1477Process `SDL.UpperBlit`

`INLINE PROC SDL.UpperBlit (RESULT INT return.value, SDL.Surface src, SDL.Rect srcrect, SDL.Surface dst, SDL.Rect dstrect)`

Foreign function `SDL_UpperBlit`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Surface` | `src` | Argument with type `SDL_Surface *`.
`SDL.Rect` | `srcrect` | Argument with type `SDL_Rect *`.
`SDL.Surface` | `dst` | Argument with type `SDL_Surface *`.
`SDL.Rect` | `dstrect` | Argument with type `SDL_Rect *`.

### `occSDL.inc`:1489Process `SDL.LowerBlit`

`INLINE PROC SDL.LowerBlit (RESULT INT return.value, SDL.Surface src, SDL.Rect srcrect, SDL.Surface dst, SDL.Rect dstrect)`

Foreign function `SDL_LowerBlit`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Surface` | `src` | Argument with type `SDL_Surface *`.
`SDL.Rect` | `srcrect` | Argument with type `SDL_Rect *`.
`SDL.Surface` | `dst` | Argument with type `SDL_Surface *`.
`SDL.Rect` | `dstrect` | Argument with type `SDL_Rect *`.

### `occSDL.inc`:1500Process `SDL.FillRect`

`INLINE PROC SDL.FillRect (RESULT INT return.value, SDL.Surface dst, SDL.Rect dstrect, VAL INT color)`

Foreign function `SDL_FillRect`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Surface` | `dst` | Argument with type `SDL_Surface *`.
`SDL.Rect` | `dstrect` | Argument with type `SDL_Rect *`.
`VAL INT` | `color` | Argument with type `Uint32`.

### `occSDL.inc`:1509Process `SDL.DisplayFormat`

`INLINE PROC SDL.DisplayFormat (SDL.Surface return.value, SDL.Surface surface)`

Foreign function `SDL_DisplayFormat`.

#### Parameters:

`SDL.Surface` | `return.value` | Function return value with type `SDL_Surface *`.
`SDL.Surface` | `surface` | Argument with type `SDL_Surface *`.

### `occSDL.inc`:1518Process `SDL.DisplayFormatAlpha`

`INLINE PROC SDL.DisplayFormatAlpha (SDL.Surface return.value, SDL.Surface surface)`

Foreign function `SDL_DisplayFormatAlpha`.

#### Parameters:

`SDL.Surface` | `return.value` | Function return value with type `SDL_Surface *`.
`SDL.Surface` | `surface` | Argument with type `SDL_Surface *`.

### `occSDL.inc`:1530Process `SDL.CreateYUVOverlay`

`INLINE PROC SDL.CreateYUVOverlay (SDL.Overlay return.value, VAL INT width, VAL INT height, VAL INT format, SDL.Surface display)`

Foreign function `SDL_CreateYUVOverlay`.

#### Parameters:

`SDL.Overlay` | `return.value` | Function return value with type `SDL_Overlay *`.
`VAL INT` | `width` | Argument with type `int`.
`VAL INT` | `height` | Argument with type `int`.
`VAL INT` | `format` | Argument with type `Uint32`.
`SDL.Surface` | `display` | Argument with type `SDL_Surface *`.

### `occSDL.inc`:1539Process `SDL.LockYUVOverlay`

`INLINE PROC SDL.LockYUVOverlay (RESULT INT return.value, SDL.Overlay overlay)`

Foreign function `SDL_LockYUVOverlay`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Overlay` | `overlay` | Argument with type `SDL_Overlay *`.

### `occSDL.inc`:1547Process `SDL.UnlockYUVOverlay`

`INLINE PROC SDL.UnlockYUVOverlay (SDL.Overlay overlay)`

Foreign function `SDL_UnlockYUVOverlay`.

#### Parameters:

`SDL.Overlay` | `overlay` | Argument with type `SDL_Overlay *`.

### `occSDL.inc`:1557Process `SDL.DisplayYUVOverlay`

`INLINE PROC SDL.DisplayYUVOverlay (RESULT INT return.value, SDL.Overlay overlay, SDL.Rect dstrect)`

Foreign function `SDL_DisplayYUVOverlay`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Overlay` | `overlay` | Argument with type `SDL_Overlay *`.
`SDL.Rect` | `dstrect` | Argument with type `SDL_Rect *`.

### `occSDL.inc`:1565Process `SDL.FreeYUVOverlay`

`INLINE PROC SDL.FreeYUVOverlay (SDL.Overlay overlay)`

Foreign function `SDL_FreeYUVOverlay`.

#### Parameters:

`SDL.Overlay` | `overlay` | Argument with type `SDL_Overlay *`.

### `occSDL.inc`:1574Process `SDL.GL.LoadLibrary`

`INLINE PROC SDL.GL.LoadLibrary (RESULT INT return.value, BYTE path)`

Foreign function `SDL_GL_LoadLibrary`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`BYTE` | `path` | Argument with type `char const *`.

### `occSDL.inc`:1582Process `SDL.GL.GetProcAddress`

`INLINE PROC SDL.GL.GetProcAddress (BYTE proc)`

Foreign function `SDL_GL_GetProcAddress`.

#### Parameters:

`BYTE` | `proc` | Argument with type `char const *`.

### `occSDL.inc`:1592Process `SDL.GL.SetAttribute`

`INLINE PROC SDL.GL.SetAttribute (RESULT INT return.value, VAL INT attr, VAL INT value)`

Foreign function `SDL_GL_SetAttribute`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`VAL INT` | `attr` | Argument with type `SDL_GLattr`.
`VAL INT` | `value` | Argument with type `int`.

### `occSDL.inc`:1602Process `SDL.GL.GetAttribute`

`INLINE PROC SDL.GL.GetAttribute (RESULT INT return.value, VAL INT attr, INT value)`

Foreign function `SDL_GL_GetAttribute`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`VAL INT` | `attr` | Argument with type `SDL_GLattr`.
`INT` | `value` | Argument with type `int *`.

### `occSDL.inc`:1609Process `SDL.GL.SwapBuffers`

`INLINE PROC SDL.GL.SwapBuffers ()`

Foreign function `SDL_GL_SwapBuffers`.

### `occSDL.inc`:1618Process `SDL.GL.UpdateRects`

`INLINE PROC SDL.GL.UpdateRects (VAL INT numrects, SDL.Rect rects)`

Foreign function `SDL_GL_UpdateRects`.

#### Parameters:

`VAL INT` | `numrects` | Argument with type `int`.
`SDL.Rect` | `rects` | Argument with type `SDL_Rect *`.

### `occSDL.inc`:1625Process `SDL.GL.Lock`

`INLINE PROC SDL.GL.Lock ()`

Foreign function `SDL_GL_Lock`.

### `occSDL.inc`:1632Process `SDL.GL.Unlock`

`INLINE PROC SDL.GL.Unlock ()`

Foreign function `SDL_GL_Unlock`.

### `occSDL.inc`:1641Process `SDL.WM.SetCaption`

`INLINE PROC SDL.WM.SetCaption (VAL []BYTE title, VAL []BYTE icon)`

Foreign function `SDL_WM_SetCaption`.

#### Parameters:

`VAL []BYTE` | `title` | Array pointer argument with element type `char const`.
`VAL []BYTE` | `icon` | Array pointer argument with element type `char const`.

### `occSDL.inc`:1650Process `SDL.WM.GetCaption`

`INLINE PROC SDL.WM.GetCaption (BYTE title, BYTE icon)`

Foreign function `SDL_WM_GetCaption`.

#### Parameters:

`BYTE` | `title` | Argument with type `char **`.
`BYTE` | `icon` | Argument with type `char **`.

### `occSDL.inc`:1659Process `SDL.WM.SetIcon`

`INLINE PROC SDL.WM.SetIcon (SDL.Surface icon, BYTE mask)`

Foreign function `SDL_WM_SetIcon`.

#### Parameters:

`SDL.Surface` | `icon` | Argument with type `SDL_Surface *`.
`BYTE` | `mask` | Argument with type `Uint8 *`.

### `occSDL.inc`:1667Process `SDL.WM.IconifyWindow`

`INLINE PROC SDL.WM.IconifyWindow (RESULT INT return.value)`

Foreign function `SDL_WM_IconifyWindow`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.

### `occSDL.inc`:1676Process `SDL.WM.ToggleFullScreen`

`INLINE PROC SDL.WM.ToggleFullScreen (RESULT INT return.value, SDL.Surface surface)`

Foreign function `SDL_WM_ToggleFullScreen`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Surface` | `surface` | Argument with type `SDL_Surface *`.

### `occSDL.inc`:1681Group `SDL.GrabMode`

``

Foreign enumeration `SDL_GrabMode`.

### `occSDL.inc`:1693Process `SDL.WM.GrabInput`

`INLINE PROC SDL.WM.GrabInput (SDL.GrabMode return.value, VAL INT mode)`

Foreign function `SDL_WM_GrabInput`.

#### Parameters:

`SDL.GrabMode` | `return.value` | Function return value with type `SDL_GrabMode`.
`VAL INT` | `mode` | Argument with type `SDL_GrabMode`.

### `occSDL.inc`:1705Process `SDL.SoftStretch`

`INLINE PROC SDL.SoftStretch (RESULT INT return.value, SDL.Surface src, SDL.Rect srcrect, SDL.Surface dst, SDL.Rect dstrect)`

Foreign function `SDL_SoftStretch`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Surface` | `src` | Argument with type `SDL_Surface *`.
`SDL.Rect` | `srcrect` | Argument with type `SDL_Rect *`.
`SDL.Surface` | `dst` | Argument with type `SDL_Surface *`.
`SDL.Rect` | `dstrect` | Argument with type `SDL_Rect *`.

### `occSDL.inc`:1710Group `SDLKey`

``

Foreign enumeration `SDLKey`.

### `occSDL.inc`:1948Group `SDLMod`

``

Foreign enumeration `SDLMod`.

### `occSDL.inc`:1965Data type `SDL.keysym`

`DATA TYPE SDL.keysym`

Foreign structure pointer type `SDL_keysym`.

### `occSDL.inc`:1970Process `create.SDL.keysym`

`INLINE PROC create.SDL.keysym (RESULT SDL.keysym ptr)`

Allocate foreign structure `SDL.keysym`.

#### Parameters:

`RESULT SDL.keysym` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:1976Process `delete.SDL.keysym`

`INLINE PROC delete.SDL.keysym (SDL.keysym ptr)`

Free foreign structure `SDL.keysym`.

#### Parameters:

`SDL.keysym` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:1983Process `get.SDL.keysym.scancode`

`INLINE PROC get.SDL.keysym.scancode (RESULT BYTE value, VAL SDL.keysym ptr)`

Get value of member `scancode` of foreign structure `SDL.keysym`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `scancode`.
`VAL SDL.keysym` | `ptr` | Pointer to foreign structure `SDL.keysym`.

### `occSDL.inc`:1990Process `set.SDL.keysym.scancode`

`INLINE PROC set.SDL.keysym.scancode (VAL BYTE value, VAL SDL.keysym ptr)`

Set value of member `scancode` of foreign structure `SDL.keysym`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `scancode`.
`VAL SDL.keysym` | `ptr` | Pointer to foreign structure `SDL.keysym`.

### `occSDL.inc`:1997Process `get.SDL.keysym.sym`

`INLINE PROC get.SDL.keysym.sym (RESULT INT value, VAL SDL.keysym ptr)`

Get value of member `sym` of foreign structure `SDL.keysym`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `sym`.
`VAL SDL.keysym` | `ptr` | Pointer to foreign structure `SDL.keysym`.

### `occSDL.inc`:2004Process `set.SDL.keysym.sym`

`INLINE PROC set.SDL.keysym.sym (VAL INT value, VAL SDL.keysym ptr)`

Set value of member `sym` of foreign structure `SDL.keysym`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `sym`.
`VAL SDL.keysym` | `ptr` | Pointer to foreign structure `SDL.keysym`.

### `occSDL.inc`:2011Process `get.SDL.keysym.mod`

`INLINE PROC get.SDL.keysym.mod (RESULT INT value, VAL SDL.keysym ptr)`

Get value of member `mod` of foreign structure `SDL.keysym`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `mod`.
`VAL SDL.keysym` | `ptr` | Pointer to foreign structure `SDL.keysym`.

### `occSDL.inc`:2018Process `set.SDL.keysym.mod`

`INLINE PROC set.SDL.keysym.mod (VAL INT value, VAL SDL.keysym ptr)`

Set value of member `mod` of foreign structure `SDL.keysym`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `mod`.
`VAL SDL.keysym` | `ptr` | Pointer to foreign structure `SDL.keysym`.

### `occSDL.inc`:2025Process `get.SDL.keysym.unicode`

`INLINE PROC get.SDL.keysym.unicode (RESULT INT16 value, VAL SDL.keysym ptr)`

Get value of member `unicode` of foreign structure `SDL.keysym`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `unicode`.
`VAL SDL.keysym` | `ptr` | Pointer to foreign structure `SDL.keysym`.

### `occSDL.inc`:2032Process `set.SDL.keysym.unicode`

`INLINE PROC set.SDL.keysym.unicode (VAL INT16 value, VAL SDL.keysym ptr)`

Set value of member `unicode` of foreign structure `SDL.keysym`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `unicode`.
`VAL SDL.keysym` | `ptr` | Pointer to foreign structure `SDL.keysym`.

### `occSDL.inc`:2037Constant `SDL.ALL.HOTKEYS`

`VAL INT SDL.ALL.HOTKEYS`

Foreign `int` constant `SDL_ALL_HOTKEYS`.

### `occSDL.inc`:2043Process `SDL.EnableUNICODE`

`INLINE PROC SDL.EnableUNICODE (RESULT INT return.value, VAL INT enable)`

Foreign function `SDL_EnableUNICODE`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`VAL INT` | `enable` | Argument with type `int`.

### `occSDL.inc`:2048Constant `SDL.DEFAULT.REPEAT.DELAY`

`VAL INT SDL.DEFAULT.REPEAT.DELAY`

Foreign `int` constant `SDL_DEFAULT_REPEAT_DELAY`.

### `occSDL.inc`:2050Constant `SDL.DEFAULT.REPEAT.INTERVAL`

`VAL INT SDL.DEFAULT.REPEAT.INTERVAL`

Foreign `int` constant `SDL_DEFAULT_REPEAT_INTERVAL`.

### `occSDL.inc`:2057Process `SDL.EnableKeyRepeat`

`INLINE PROC SDL.EnableKeyRepeat (RESULT INT return.value, VAL INT delay, VAL INT interval)`

Foreign function `SDL_EnableKeyRepeat`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`VAL INT` | `delay` | Argument with type `int`.
`VAL INT` | `interval` | Argument with type `int`.

### `occSDL.inc`:2066Process `SDL.GetKeyState`

`INLINE PROC SDL.GetKeyState (RESULT BYTE return.value, INT numkeys)`

Foreign function `SDL_GetKeyState`.

#### Parameters:

`RESULT BYTE` | `return.value` | Function return value with type `Uint8 *`.
`INT` | `numkeys` | Argument with type `int *`.

### `occSDL.inc`:2074Process `SDL.GetModState`

`INLINE PROC SDL.GetModState (SDLMod return.value)`

Foreign function `SDL_GetModState`.

#### Parameters:

`SDLMod` | `return.value` | Function return value with type `SDLMod`.

### `occSDL.inc`:2082Process `SDL.SetModState`

`INLINE PROC SDL.SetModState (VAL INT modstate)`

Foreign function `SDL_SetModState`.

#### Parameters:

`VAL INT` | `modstate` | Argument with type `SDLMod`.

### `occSDL.inc`:2091Process `SDL.GetKeyName`

`INLINE PROC SDL.GetKeyName (RESULT BYTE return.value, VAL INT key)`

Foreign function `SDL_GetKeyName`.

#### Parameters:

`RESULT BYTE` | `return.value` | Function return value with type `char *`.
`VAL INT` | `key` | Argument with type `SDLKey`.

### `occSDL.inc`:2096Data type `SDL.Joystick`

`DATA TYPE SDL.Joystick`

Foreign structure pointer type `SDL_Joystick`.

### `occSDL.inc`:2102Process `SDL.NumJoysticks`

`INLINE PROC SDL.NumJoysticks (RESULT INT return.value)`

Foreign function `SDL_NumJoysticks`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.

### `occSDL.inc`:2111Process `SDL.JoystickName`

`INLINE PROC SDL.JoystickName (RESULT BYTE return.value, VAL INT device.index)`

Foreign function `SDL_JoystickName`.

#### Parameters:

`RESULT BYTE` | `return.value` | Function return value with type `char const *`.
`VAL INT` | `device.index` | Argument with type `int`.

### `occSDL.inc`:2120Process `SDL.JoystickOpen`

`INLINE PROC SDL.JoystickOpen (SDL.Joystick return.value, VAL INT device.index)`

Foreign function `SDL_JoystickOpen`.

#### Parameters:

`SDL.Joystick` | `return.value` | Function return value with type `SDL_Joystick *`.
`VAL INT` | `device.index` | Argument with type `int`.

### `occSDL.inc`:2129Process `SDL.JoystickOpened`

`INLINE PROC SDL.JoystickOpened (RESULT INT return.value, VAL INT device.index)`

Foreign function `SDL_JoystickOpened`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`VAL INT` | `device.index` | Argument with type `int`.

### `occSDL.inc`:2138Process `SDL.JoystickIndex`

`INLINE PROC SDL.JoystickIndex (RESULT INT return.value, SDL.Joystick joystick)`

Foreign function `SDL_JoystickIndex`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Joystick` | `joystick` | Argument with type `SDL_Joystick *`.

### `occSDL.inc`:2147Process `SDL.JoystickNumAxes`

`INLINE PROC SDL.JoystickNumAxes (RESULT INT return.value, SDL.Joystick joystick)`

Foreign function `SDL_JoystickNumAxes`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Joystick` | `joystick` | Argument with type `SDL_Joystick *`.

### `occSDL.inc`:2156Process `SDL.JoystickNumBalls`

`INLINE PROC SDL.JoystickNumBalls (RESULT INT return.value, SDL.Joystick joystick)`

Foreign function `SDL_JoystickNumBalls`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Joystick` | `joystick` | Argument with type `SDL_Joystick *`.

### `occSDL.inc`:2165Process `SDL.JoystickNumHats`

`INLINE PROC SDL.JoystickNumHats (RESULT INT return.value, SDL.Joystick joystick)`

Foreign function `SDL_JoystickNumHats`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Joystick` | `joystick` | Argument with type `SDL_Joystick *`.

### `occSDL.inc`:2174Process `SDL.JoystickNumButtons`

`INLINE PROC SDL.JoystickNumButtons (RESULT INT return.value, SDL.Joystick joystick)`

Foreign function `SDL_JoystickNumButtons`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Joystick` | `joystick` | Argument with type `SDL_Joystick *`.

### `occSDL.inc`:2181Process `SDL.JoystickUpdate`

`INLINE PROC SDL.JoystickUpdate ()`

Foreign function `SDL_JoystickUpdate`.

### `occSDL.inc`:2190Process `SDL.JoystickEventState`

`INLINE PROC SDL.JoystickEventState (RESULT INT return.value, VAL INT state)`

Foreign function `SDL_JoystickEventState`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`VAL INT` | `state` | Argument with type `int`.

### `occSDL.inc`:2200Process `SDL.JoystickGetAxis`

`INLINE PROC SDL.JoystickGetAxis (RESULT INT16 return.value, SDL.Joystick joystick, VAL INT axis)`

Foreign function `SDL_JoystickGetAxis`.

#### Parameters:

`RESULT INT16` | `return.value` | Function return value with type `Sint16`.
`SDL.Joystick` | `joystick` | Argument with type `SDL_Joystick *`.
`VAL INT` | `axis` | Argument with type `int`.

### `occSDL.inc`:2205Constant `SDL.HAT.CENTERED`

`VAL INT SDL.HAT.CENTERED`

Foreign `int` constant `SDL_HAT_CENTERED`.

### `occSDL.inc`:2207Constant `SDL.HAT.UP`

`VAL INT SDL.HAT.UP`

Foreign `int` constant `SDL_HAT_UP`.

### `occSDL.inc`:2209Constant `SDL.HAT.RIGHT`

`VAL INT SDL.HAT.RIGHT`

Foreign `int` constant `SDL_HAT_RIGHT`.

### `occSDL.inc`:2211Constant `SDL.HAT.DOWN`

`VAL INT SDL.HAT.DOWN`

Foreign `int` constant `SDL_HAT_DOWN`.

### `occSDL.inc`:2213Constant `SDL.HAT.LEFT`

`VAL INT SDL.HAT.LEFT`

Foreign `int` constant `SDL_HAT_LEFT`.

### `occSDL.inc`:2220Process `SDL.JoystickGetHat`

`INLINE PROC SDL.JoystickGetHat (RESULT BYTE return.value, SDL.Joystick joystick, VAL INT hat)`

Foreign function `SDL_JoystickGetHat`.

#### Parameters:

`RESULT BYTE` | `return.value` | Function return value with type `Uint8`.
`SDL.Joystick` | `joystick` | Argument with type `SDL_Joystick *`.
`VAL INT` | `hat` | Argument with type `int`.

### `occSDL.inc`:2232Process `SDL.JoystickGetBall`

`INLINE PROC SDL.JoystickGetBall (RESULT INT return.value, SDL.Joystick joystick, VAL INT ball, INT dx, INT dy)`

Foreign function `SDL_JoystickGetBall`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Joystick` | `joystick` | Argument with type `SDL_Joystick *`.
`VAL INT` | `ball` | Argument with type `int`.
`INT` | `dx` | Argument with type `int *`.
`INT` | `dy` | Argument with type `int *`.

### `occSDL.inc`:2242Process `SDL.JoystickGetButton`

`INLINE PROC SDL.JoystickGetButton (RESULT BYTE return.value, SDL.Joystick joystick, VAL INT button)`

Foreign function `SDL_JoystickGetButton`.

#### Parameters:

`RESULT BYTE` | `return.value` | Function return value with type `Uint8`.
`SDL.Joystick` | `joystick` | Argument with type `SDL_Joystick *`.
`VAL INT` | `button` | Argument with type `int`.

### `occSDL.inc`:2250Process `SDL.JoystickClose`

`INLINE PROC SDL.JoystickClose (SDL.Joystick joystick)`

Foreign function `SDL_JoystickClose`.

#### Parameters:

`SDL.Joystick` | `joystick` | Argument with type `SDL_Joystick *`.

### `occSDL.inc`:2255Data type `SDL.AudioSpec`

`DATA TYPE SDL.AudioSpec`

Foreign structure pointer type `SDL_AudioSpec`.

### `occSDL.inc`:2260Process `create.SDL.AudioSpec`

`INLINE PROC create.SDL.AudioSpec (RESULT SDL.AudioSpec ptr)`

Allocate foreign structure `SDL.AudioSpec`.

#### Parameters:

`RESULT SDL.AudioSpec` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:2266Process `delete.SDL.AudioSpec`

`INLINE PROC delete.SDL.AudioSpec (SDL.AudioSpec ptr)`

Free foreign structure `SDL.AudioSpec`.

#### Parameters:

`SDL.AudioSpec` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:2273Process `get.SDL.AudioSpec.freq`

`INLINE PROC get.SDL.AudioSpec.freq (RESULT INT value, VAL SDL.AudioSpec ptr)`

Get value of member `freq` of foreign structure `SDL.AudioSpec`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `freq`.
`VAL SDL.AudioSpec` | `ptr` | Pointer to foreign structure `SDL.AudioSpec`.

### `occSDL.inc`:2280Process `set.SDL.AudioSpec.freq`

`INLINE PROC set.SDL.AudioSpec.freq (VAL INT value, VAL SDL.AudioSpec ptr)`

Set value of member `freq` of foreign structure `SDL.AudioSpec`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `freq`.
`VAL SDL.AudioSpec` | `ptr` | Pointer to foreign structure `SDL.AudioSpec`.

### `occSDL.inc`:2287Process `get.SDL.AudioSpec.format`

`INLINE PROC get.SDL.AudioSpec.format (RESULT INT16 value, VAL SDL.AudioSpec ptr)`

Get value of member `format` of foreign structure `SDL.AudioSpec`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `format`.
`VAL SDL.AudioSpec` | `ptr` | Pointer to foreign structure `SDL.AudioSpec`.

### `occSDL.inc`:2294Process `set.SDL.AudioSpec.format`

`INLINE PROC set.SDL.AudioSpec.format (VAL INT16 value, VAL SDL.AudioSpec ptr)`

Set value of member `format` of foreign structure `SDL.AudioSpec`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `format`.
`VAL SDL.AudioSpec` | `ptr` | Pointer to foreign structure `SDL.AudioSpec`.

### `occSDL.inc`:2301Process `get.SDL.AudioSpec.channels`

`INLINE PROC get.SDL.AudioSpec.channels (RESULT BYTE value, VAL SDL.AudioSpec ptr)`

Get value of member `channels` of foreign structure `SDL.AudioSpec`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `channels`.
`VAL SDL.AudioSpec` | `ptr` | Pointer to foreign structure `SDL.AudioSpec`.

### `occSDL.inc`:2308Process `set.SDL.AudioSpec.channels`

`INLINE PROC set.SDL.AudioSpec.channels (VAL BYTE value, VAL SDL.AudioSpec ptr)`

Set value of member `channels` of foreign structure `SDL.AudioSpec`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `channels`.
`VAL SDL.AudioSpec` | `ptr` | Pointer to foreign structure `SDL.AudioSpec`.

### `occSDL.inc`:2315Process `get.SDL.AudioSpec.silence`

`INLINE PROC get.SDL.AudioSpec.silence (RESULT BYTE value, VAL SDL.AudioSpec ptr)`

Get value of member `silence` of foreign structure `SDL.AudioSpec`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `silence`.
`VAL SDL.AudioSpec` | `ptr` | Pointer to foreign structure `SDL.AudioSpec`.

### `occSDL.inc`:2322Process `set.SDL.AudioSpec.silence`

`INLINE PROC set.SDL.AudioSpec.silence (VAL BYTE value, VAL SDL.AudioSpec ptr)`

Set value of member `silence` of foreign structure `SDL.AudioSpec`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `silence`.
`VAL SDL.AudioSpec` | `ptr` | Pointer to foreign structure `SDL.AudioSpec`.

### `occSDL.inc`:2329Process `get.SDL.AudioSpec.samples`

`INLINE PROC get.SDL.AudioSpec.samples (RESULT INT16 value, VAL SDL.AudioSpec ptr)`

Get value of member `samples` of foreign structure `SDL.AudioSpec`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `samples`.
`VAL SDL.AudioSpec` | `ptr` | Pointer to foreign structure `SDL.AudioSpec`.

### `occSDL.inc`:2336Process `set.SDL.AudioSpec.samples`

`INLINE PROC set.SDL.AudioSpec.samples (VAL INT16 value, VAL SDL.AudioSpec ptr)`

Set value of member `samples` of foreign structure `SDL.AudioSpec`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `samples`.
`VAL SDL.AudioSpec` | `ptr` | Pointer to foreign structure `SDL.AudioSpec`.

### `occSDL.inc`:2343Process `get.SDL.AudioSpec.padding`

`INLINE PROC get.SDL.AudioSpec.padding (RESULT INT16 value, VAL SDL.AudioSpec ptr)`

Get value of member `padding` of foreign structure `SDL.AudioSpec`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `padding`.
`VAL SDL.AudioSpec` | `ptr` | Pointer to foreign structure `SDL.AudioSpec`.

### `occSDL.inc`:2350Process `set.SDL.AudioSpec.padding`

`INLINE PROC set.SDL.AudioSpec.padding (VAL INT16 value, VAL SDL.AudioSpec ptr)`

Set value of member `padding` of foreign structure `SDL.AudioSpec`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `padding`.
`VAL SDL.AudioSpec` | `ptr` | Pointer to foreign structure `SDL.AudioSpec`.

### `occSDL.inc`:2357Process `get.SDL.AudioSpec.size`

`INLINE PROC get.SDL.AudioSpec.size (RESULT INT value, VAL SDL.AudioSpec ptr)`

Get value of member `size` of foreign structure `SDL.AudioSpec`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `size`.
`VAL SDL.AudioSpec` | `ptr` | Pointer to foreign structure `SDL.AudioSpec`.

### `occSDL.inc`:2364Process `set.SDL.AudioSpec.size`

`INLINE PROC set.SDL.AudioSpec.size (VAL INT value, VAL SDL.AudioSpec ptr)`

Set value of member `size` of foreign structure `SDL.AudioSpec`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `size`.
`VAL SDL.AudioSpec` | `ptr` | Pointer to foreign structure `SDL.AudioSpec`.

### `occSDL.inc`:2371Process `get.SDL.AudioSpec.callback`

`INLINE PROC get.SDL.AudioSpec.callback (RESULT INT value, VAL SDL.AudioSpec ptr)`

Get value of member `callback` of foreign structure `SDL.AudioSpec`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `callback`.
`VAL SDL.AudioSpec` | `ptr` | Pointer to foreign structure `SDL.AudioSpec`.

### `occSDL.inc`:2378Process `set.SDL.AudioSpec.callback`

`INLINE PROC set.SDL.AudioSpec.callback (VAL INT value, VAL SDL.AudioSpec ptr)`

Set value of member `callback` of foreign structure `SDL.AudioSpec`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `callback`.
`VAL SDL.AudioSpec` | `ptr` | Pointer to foreign structure `SDL.AudioSpec`.

### `occSDL.inc`:2385Process `get.SDL.AudioSpec.userdata`

`INLINE PROC get.SDL.AudioSpec.userdata (RESULT INT value, VAL SDL.AudioSpec ptr)`

Get value of member `userdata` of foreign structure `SDL.AudioSpec`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `userdata`.
`VAL SDL.AudioSpec` | `ptr` | Pointer to foreign structure `SDL.AudioSpec`.

### `occSDL.inc`:2392Process `set.SDL.AudioSpec.userdata`

`INLINE PROC set.SDL.AudioSpec.userdata (VAL INT value, VAL SDL.AudioSpec ptr)`

Set value of member `userdata` of foreign structure `SDL.AudioSpec`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `userdata`.
`VAL SDL.AudioSpec` | `ptr` | Pointer to foreign structure `SDL.AudioSpec`.

### `occSDL.inc`:2397Constant `AUDIO.U8`

`VAL INT AUDIO.U8`

Foreign `int` constant `AUDIO_U8`.

### `occSDL.inc`:2399Constant `AUDIO.S8`

`VAL INT AUDIO.S8`

Foreign `int` constant `AUDIO_S8`.

### `occSDL.inc`:2401Constant `AUDIO.U16LSB`

`VAL INT AUDIO.U16LSB`

Foreign `int` constant `AUDIO_U16LSB`.

### `occSDL.inc`:2403Constant `AUDIO.S16LSB`

`VAL INT AUDIO.S16LSB`

Foreign `int` constant `AUDIO_S16LSB`.

### `occSDL.inc`:2405Constant `AUDIO.U16MSB`

`VAL INT AUDIO.U16MSB`

Foreign `int` constant `AUDIO_U16MSB`.

### `occSDL.inc`:2407Constant `AUDIO.S16MSB`

`VAL INT AUDIO.S16MSB`

Foreign `int` constant `AUDIO_S16MSB`.

### `occSDL.inc`:2409Constant `AUDIO.U16`

`VAL INT AUDIO.U16`

Foreign `int` constant `AUDIO_U16`.

### `occSDL.inc`:2411Constant `AUDIO.S16`

`VAL INT AUDIO.S16`

Foreign `int` constant `AUDIO_S16`.

### `occSDL.inc`:2413Data type `SDL.AudioCVT`

`DATA TYPE SDL.AudioCVT`

Foreign structure pointer type `SDL_AudioCVT`.

### `occSDL.inc`:2418Process `create.SDL.AudioCVT`

`INLINE PROC create.SDL.AudioCVT (RESULT SDL.AudioCVT ptr)`

Allocate foreign structure `SDL.AudioCVT`.

#### Parameters:

`RESULT SDL.AudioCVT` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:2424Process `delete.SDL.AudioCVT`

`INLINE PROC delete.SDL.AudioCVT (SDL.AudioCVT ptr)`

Free foreign structure `SDL.AudioCVT`.

#### Parameters:

`SDL.AudioCVT` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:2431Process `get.SDL.AudioCVT.needed`

`INLINE PROC get.SDL.AudioCVT.needed (RESULT INT value, VAL SDL.AudioCVT ptr)`

Get value of member `needed` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `needed`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2438Process `set.SDL.AudioCVT.needed`

`INLINE PROC set.SDL.AudioCVT.needed (VAL INT value, VAL SDL.AudioCVT ptr)`

Set value of member `needed` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `needed`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2445Process `get.SDL.AudioCVT.src.format`

`INLINE PROC get.SDL.AudioCVT.src.format (RESULT INT16 value, VAL SDL.AudioCVT ptr)`

Get value of member `src.format` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `src.format`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2452Process `set.SDL.AudioCVT.src.format`

`INLINE PROC set.SDL.AudioCVT.src.format (VAL INT16 value, VAL SDL.AudioCVT ptr)`

Set value of member `src.format` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `src.format`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2459Process `get.SDL.AudioCVT.dst.format`

`INLINE PROC get.SDL.AudioCVT.dst.format (RESULT INT16 value, VAL SDL.AudioCVT ptr)`

Get value of member `dst.format` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `dst.format`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2466Process `set.SDL.AudioCVT.dst.format`

`INLINE PROC set.SDL.AudioCVT.dst.format (VAL INT16 value, VAL SDL.AudioCVT ptr)`

Set value of member `dst.format` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `dst.format`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2473Process `get.SDL.AudioCVT.rate.incr`

`INLINE PROC get.SDL.AudioCVT.rate.incr (RESULT REAL64 value, VAL SDL.AudioCVT ptr)`

Get value of member `rate.incr` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`RESULT REAL64` | `value` | Contents of the member `rate.incr`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2480Process `set.SDL.AudioCVT.rate.incr`

`INLINE PROC set.SDL.AudioCVT.rate.incr (VAL REAL64 value, VAL SDL.AudioCVT ptr)`

Set value of member `rate.incr` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`VAL REAL64` | `value` | New contents of the member `rate.incr`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2487Process `get.SDL.AudioCVT.buf`

`INLINE PROC get.SDL.AudioCVT.buf (RESULT BYTE value, VAL SDL.AudioCVT ptr)`

Get value of member `buf` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `buf`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2494Process `set.SDL.AudioCVT.buf`

`INLINE PROC set.SDL.AudioCVT.buf (VAL BYTE value, VAL SDL.AudioCVT ptr)`

Set value of member `buf` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `buf`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2501Process `get.SDL.AudioCVT.len`

`INLINE PROC get.SDL.AudioCVT.len (RESULT INT value, VAL SDL.AudioCVT ptr)`

Get value of member `len` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `len`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2508Process `set.SDL.AudioCVT.len`

`INLINE PROC set.SDL.AudioCVT.len (VAL INT value, VAL SDL.AudioCVT ptr)`

Set value of member `len` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `len`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2515Process `get.SDL.AudioCVT.len.cvt`

`INLINE PROC get.SDL.AudioCVT.len.cvt (RESULT INT value, VAL SDL.AudioCVT ptr)`

Get value of member `len.cvt` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `len.cvt`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2522Process `set.SDL.AudioCVT.len.cvt`

`INLINE PROC set.SDL.AudioCVT.len.cvt (VAL INT value, VAL SDL.AudioCVT ptr)`

Set value of member `len.cvt` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `len.cvt`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2529Process `get.SDL.AudioCVT.len.mult`

`INLINE PROC get.SDL.AudioCVT.len.mult (RESULT INT value, VAL SDL.AudioCVT ptr)`

Get value of member `len.mult` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `len.mult`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2536Process `set.SDL.AudioCVT.len.mult`

`INLINE PROC set.SDL.AudioCVT.len.mult (VAL INT value, VAL SDL.AudioCVT ptr)`

Set value of member `len.mult` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `len.mult`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2543Process `get.SDL.AudioCVT.len.ratio`

`INLINE PROC get.SDL.AudioCVT.len.ratio (RESULT REAL64 value, VAL SDL.AudioCVT ptr)`

Get value of member `len.ratio` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`RESULT REAL64` | `value` | Contents of the member `len.ratio`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2550Process `set.SDL.AudioCVT.len.ratio`

`INLINE PROC set.SDL.AudioCVT.len.ratio (VAL REAL64 value, VAL SDL.AudioCVT ptr)`

Set value of member `len.ratio` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`VAL REAL64` | `value` | New contents of the member `len.ratio`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2557Process `get.SDL.AudioCVT.filter.index`

`INLINE PROC get.SDL.AudioCVT.filter.index (RESULT INT value, VAL SDL.AudioCVT ptr)`

Get value of member `filter.index` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `filter.index`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2564Process `set.SDL.AudioCVT.filter.index`

`INLINE PROC set.SDL.AudioCVT.filter.index (VAL INT value, VAL SDL.AudioCVT ptr)`

Set value of member `filter.index` of foreign structure `SDL.AudioCVT`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `filter.index`.
`VAL SDL.AudioCVT` | `ptr` | Pointer to foreign structure `SDL.AudioCVT`.

### `occSDL.inc`:2574Process `SDL.AudioDriverName`

`INLINE PROC SDL.AudioDriverName (RESULT BYTE return.value, []BYTE namebuf, VAL INT maxlen)`

Foreign function `SDL_AudioDriverName`.

#### Parameters:

`RESULT BYTE` | `return.value` | Function return value with type `char *`.
`[]BYTE` | `namebuf` | Array pointer argument with element type `char`.
`VAL INT` | `maxlen` | Argument with type `int`.

### `occSDL.inc`:2584Process `SDL.OpenAudio`

`INLINE PROC SDL.OpenAudio (RESULT INT return.value, SDL.AudioSpec desired, SDL.AudioSpec obtained)`

Foreign function `SDL_OpenAudio`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.AudioSpec` | `desired` | Argument with type `SDL_AudioSpec *`.
`SDL.AudioSpec` | `obtained` | Argument with type `SDL_AudioSpec *`.

### `occSDL.inc`:2589Group `SDL.audiostatus`

``

Foreign enumeration `SDL_audiostatus`.

### `occSDL.inc`:2599Process `SDL.GetAudioStatus`

`INLINE PROC SDL.GetAudioStatus (SDL.audiostatus return.value)`

Foreign function `SDL_GetAudioStatus`.

#### Parameters:

`SDL.audiostatus` | `return.value` | Function return value with type `SDL_audiostatus`.

### `occSDL.inc`:2607Process `SDL.PauseAudio`

`INLINE PROC SDL.PauseAudio (VAL INT pause.on)`

Foreign function `SDL_PauseAudio`.

#### Parameters:

`VAL INT` | `pause.on` | Argument with type `int`.

### `occSDL.inc`:2619Process `occ.SDL.LoadWAV`

`INLINE PROC occ.SDL.LoadWAV (SDL.AudioSpec return.value, []BYTE file, SDL.AudioSpec spec, [][]BYTE audio.buf, []INT audio.len)`

Foreign function `occ_SDL_LoadWAV`.

#### Parameters:

`SDL.AudioSpec` | `return.value` | Function return value with type `SDL_AudioSpec *`.
`[]BYTE` | `file` | Array pointer argument with element type `char`.
`SDL.AudioSpec` | `spec` | Argument with type `SDL_AudioSpec *`.
`[][]BYTE` | `audio.buf` | Array pointer argument with element type `Uint8`.
`[]INT` | `audio.len` | Array pointer argument with element type `Uint32`.

### `occSDL.inc`:2627Process `SDL.FreeWAV`

`INLINE PROC SDL.FreeWAV (BYTE audio.buf)`

Foreign function `SDL_FreeWAV`.

#### Parameters:

`BYTE` | `audio.buf` | Argument with type `Uint8 *`.

### `occSDL.inc`:2642Process `SDL.BuildAudioCVT`

`INLINE PROC SDL.BuildAudioCVT (RESULT INT return.value, SDL.AudioCVT cvt, VAL INT16 src.format, VAL BYTE src.channels, VAL INT src.rate, VAL INT16 dst.format, VAL BYTE dst.channels, VAL INT dst.rate)`

Foreign function `SDL_BuildAudioCVT`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.AudioCVT` | `cvt` | Argument with type `SDL_AudioCVT *`.
`VAL INT16` | `src.format` | Argument with type `Uint16`.
`VAL BYTE` | `src.channels` | Argument with type `Uint8`.
`VAL INT` | `src.rate` | Argument with type `int`.
`VAL INT16` | `dst.format` | Argument with type `Uint16`.
`VAL BYTE` | `dst.channels` | Argument with type `Uint8`.
`VAL INT` | `dst.rate` | Argument with type `int`.

### `occSDL.inc`:2651Process `SDL.ConvertAudio`

`INLINE PROC SDL.ConvertAudio (RESULT INT return.value, SDL.AudioCVT cvt)`

Foreign function `SDL_ConvertAudio`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.AudioCVT` | `cvt` | Argument with type `SDL_AudioCVT *`.

### `occSDL.inc`:2656Constant `SDL.MIX.MAXVOLUME`

`VAL INT SDL.MIX.MAXVOLUME`

Foreign `int` constant `SDL_MIX_MAXVOLUME`.

### `occSDL.inc`:2664Process `SDL.MixAudio`

`INLINE PROC SDL.MixAudio (BYTE dst, BYTE src, VAL INT len, VAL INT volume)`

Foreign function `SDL_MixAudio`.

#### Parameters:

`BYTE` | `dst` | Argument with type `Uint8 *`.
`BYTE` | `src` | Argument with type `Uint8 const *`.
`VAL INT` | `len` | Argument with type `Uint32`.
`VAL INT` | `volume` | Argument with type `int`.

### `occSDL.inc`:2671Process `SDL.LockAudio`

`INLINE PROC SDL.LockAudio ()`

Foreign function `SDL_LockAudio`.

### `occSDL.inc`:2678Process `SDL.UnlockAudio`

`INLINE PROC SDL.UnlockAudio ()`

Foreign function `SDL_UnlockAudio`.

### `occSDL.inc`:2685Process `SDL.CloseAudio`

`INLINE PROC SDL.CloseAudio ()`

Foreign function `SDL_CloseAudio`.

### `occSDL.inc`:2689Group `arbitrary.name21`

``

Foreign enumeration ``.

### `occSDL.inc`:2718Group `arbitrary.name22`

``

Foreign enumeration ``.

### `occSDL.inc`:2739Constant `SDL.ALLEVENTS`

`VAL INT SDL.ALLEVENTS`

Foreign `int` constant `SDL_ALLEVENTS`.

### `occSDL.inc`:2741Data type `SDL.ActiveEvent`

`DATA TYPE SDL.ActiveEvent`

Foreign structure pointer type `SDL_ActiveEvent`.

### `occSDL.inc`:2746Process `create.SDL.ActiveEvent`

`INLINE PROC create.SDL.ActiveEvent (RESULT SDL.ActiveEvent ptr)`

Allocate foreign structure `SDL.ActiveEvent`.

#### Parameters:

`RESULT SDL.ActiveEvent` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:2752Process `delete.SDL.ActiveEvent`

`INLINE PROC delete.SDL.ActiveEvent (SDL.ActiveEvent ptr)`

Free foreign structure `SDL.ActiveEvent`.

#### Parameters:

`SDL.ActiveEvent` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:2759Process `get.SDL.ActiveEvent.type`

`INLINE PROC get.SDL.ActiveEvent.type (RESULT BYTE value, VAL SDL.ActiveEvent ptr)`

Get value of member `type` of foreign structure `SDL.ActiveEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `type`.
`VAL SDL.ActiveEvent` | `ptr` | Pointer to foreign structure `SDL.ActiveEvent`.

### `occSDL.inc`:2766Process `set.SDL.ActiveEvent.type`

`INLINE PROC set.SDL.ActiveEvent.type (VAL BYTE value, VAL SDL.ActiveEvent ptr)`

Set value of member `type` of foreign structure `SDL.ActiveEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `type`.
`VAL SDL.ActiveEvent` | `ptr` | Pointer to foreign structure `SDL.ActiveEvent`.

### `occSDL.inc`:2773Process `get.SDL.ActiveEvent.gain`

`INLINE PROC get.SDL.ActiveEvent.gain (RESULT BYTE value, VAL SDL.ActiveEvent ptr)`

Get value of member `gain` of foreign structure `SDL.ActiveEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `gain`.
`VAL SDL.ActiveEvent` | `ptr` | Pointer to foreign structure `SDL.ActiveEvent`.

### `occSDL.inc`:2780Process `set.SDL.ActiveEvent.gain`

`INLINE PROC set.SDL.ActiveEvent.gain (VAL BYTE value, VAL SDL.ActiveEvent ptr)`

Set value of member `gain` of foreign structure `SDL.ActiveEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `gain`.
`VAL SDL.ActiveEvent` | `ptr` | Pointer to foreign structure `SDL.ActiveEvent`.

### `occSDL.inc`:2787Process `get.SDL.ActiveEvent.state`

`INLINE PROC get.SDL.ActiveEvent.state (RESULT BYTE value, VAL SDL.ActiveEvent ptr)`

Get value of member `state` of foreign structure `SDL.ActiveEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `state`.
`VAL SDL.ActiveEvent` | `ptr` | Pointer to foreign structure `SDL.ActiveEvent`.

### `occSDL.inc`:2794Process `set.SDL.ActiveEvent.state`

`INLINE PROC set.SDL.ActiveEvent.state (VAL BYTE value, VAL SDL.ActiveEvent ptr)`

Set value of member `state` of foreign structure `SDL.ActiveEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `state`.
`VAL SDL.ActiveEvent` | `ptr` | Pointer to foreign structure `SDL.ActiveEvent`.

### `occSDL.inc`:2799Data type `SDL.KeyboardEvent`

`DATA TYPE SDL.KeyboardEvent`

Foreign structure pointer type `SDL_KeyboardEvent`.

### `occSDL.inc`:2804Process `create.SDL.KeyboardEvent`

`INLINE PROC create.SDL.KeyboardEvent (RESULT SDL.KeyboardEvent ptr)`

Allocate foreign structure `SDL.KeyboardEvent`.

#### Parameters:

`RESULT SDL.KeyboardEvent` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:2810Process `delete.SDL.KeyboardEvent`

`INLINE PROC delete.SDL.KeyboardEvent (SDL.KeyboardEvent ptr)`

Free foreign structure `SDL.KeyboardEvent`.

#### Parameters:

`SDL.KeyboardEvent` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:2817Process `get.SDL.KeyboardEvent.type`

`INLINE PROC get.SDL.KeyboardEvent.type (RESULT BYTE value, VAL SDL.KeyboardEvent ptr)`

Get value of member `type` of foreign structure `SDL.KeyboardEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `type`.
`VAL SDL.KeyboardEvent` | `ptr` | Pointer to foreign structure `SDL.KeyboardEvent`.

### `occSDL.inc`:2824Process `set.SDL.KeyboardEvent.type`

`INLINE PROC set.SDL.KeyboardEvent.type (VAL BYTE value, VAL SDL.KeyboardEvent ptr)`

Set value of member `type` of foreign structure `SDL.KeyboardEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `type`.
`VAL SDL.KeyboardEvent` | `ptr` | Pointer to foreign structure `SDL.KeyboardEvent`.

### `occSDL.inc`:2831Process `get.SDL.KeyboardEvent.which`

`INLINE PROC get.SDL.KeyboardEvent.which (RESULT BYTE value, VAL SDL.KeyboardEvent ptr)`

Get value of member `which` of foreign structure `SDL.KeyboardEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `which`.
`VAL SDL.KeyboardEvent` | `ptr` | Pointer to foreign structure `SDL.KeyboardEvent`.

### `occSDL.inc`:2838Process `set.SDL.KeyboardEvent.which`

`INLINE PROC set.SDL.KeyboardEvent.which (VAL BYTE value, VAL SDL.KeyboardEvent ptr)`

Set value of member `which` of foreign structure `SDL.KeyboardEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `which`.
`VAL SDL.KeyboardEvent` | `ptr` | Pointer to foreign structure `SDL.KeyboardEvent`.

### `occSDL.inc`:2845Process `get.SDL.KeyboardEvent.state`

`INLINE PROC get.SDL.KeyboardEvent.state (RESULT BYTE value, VAL SDL.KeyboardEvent ptr)`

Get value of member `state` of foreign structure `SDL.KeyboardEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `state`.
`VAL SDL.KeyboardEvent` | `ptr` | Pointer to foreign structure `SDL.KeyboardEvent`.

### `occSDL.inc`:2852Process `set.SDL.KeyboardEvent.state`

`INLINE PROC set.SDL.KeyboardEvent.state (VAL BYTE value, VAL SDL.KeyboardEvent ptr)`

Set value of member `state` of foreign structure `SDL.KeyboardEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `state`.
`VAL SDL.KeyboardEvent` | `ptr` | Pointer to foreign structure `SDL.KeyboardEvent`.

### `occSDL.inc`:2859Process `get.SDL.KeyboardEvent.keysym`

`INLINE PROC get.SDL.KeyboardEvent.keysym (RESULT SDL.keysym value, VAL SDL.KeyboardEvent ptr)`

Get value of member `keysym` of foreign structure `SDL.KeyboardEvent`.

#### Parameters:

`RESULT SDL.keysym` | `value` | Contents of the member `keysym`.
`VAL SDL.KeyboardEvent` | `ptr` | Pointer to foreign structure `SDL.KeyboardEvent`.

### `occSDL.inc`:2864Data type `SDL.MouseMotionEvent`

`DATA TYPE SDL.MouseMotionEvent`

Foreign structure pointer type `SDL_MouseMotionEvent`.

### `occSDL.inc`:2869Process `create.SDL.MouseMotionEvent`

`INLINE PROC create.SDL.MouseMotionEvent (RESULT SDL.MouseMotionEvent ptr)`

Allocate foreign structure `SDL.MouseMotionEvent`.

#### Parameters:

`RESULT SDL.MouseMotionEvent` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:2875Process `delete.SDL.MouseMotionEvent`

`INLINE PROC delete.SDL.MouseMotionEvent (SDL.MouseMotionEvent ptr)`

Free foreign structure `SDL.MouseMotionEvent`.

#### Parameters:

`SDL.MouseMotionEvent` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:2882Process `get.SDL.MouseMotionEvent.type`

`INLINE PROC get.SDL.MouseMotionEvent.type (RESULT BYTE value, VAL SDL.MouseMotionEvent ptr)`

Get value of member `type` of foreign structure `SDL.MouseMotionEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `type`.
`VAL SDL.MouseMotionEvent` | `ptr` | Pointer to foreign structure `SDL.MouseMotionEvent`.

### `occSDL.inc`:2889Process `set.SDL.MouseMotionEvent.type`

`INLINE PROC set.SDL.MouseMotionEvent.type (VAL BYTE value, VAL SDL.MouseMotionEvent ptr)`

Set value of member `type` of foreign structure `SDL.MouseMotionEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `type`.
`VAL SDL.MouseMotionEvent` | `ptr` | Pointer to foreign structure `SDL.MouseMotionEvent`.

### `occSDL.inc`:2896Process `get.SDL.MouseMotionEvent.which`

`INLINE PROC get.SDL.MouseMotionEvent.which (RESULT BYTE value, VAL SDL.MouseMotionEvent ptr)`

Get value of member `which` of foreign structure `SDL.MouseMotionEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `which`.
`VAL SDL.MouseMotionEvent` | `ptr` | Pointer to foreign structure `SDL.MouseMotionEvent`.

### `occSDL.inc`:2903Process `set.SDL.MouseMotionEvent.which`

`INLINE PROC set.SDL.MouseMotionEvent.which (VAL BYTE value, VAL SDL.MouseMotionEvent ptr)`

Set value of member `which` of foreign structure `SDL.MouseMotionEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `which`.
`VAL SDL.MouseMotionEvent` | `ptr` | Pointer to foreign structure `SDL.MouseMotionEvent`.

### `occSDL.inc`:2910Process `get.SDL.MouseMotionEvent.state`

`INLINE PROC get.SDL.MouseMotionEvent.state (RESULT BYTE value, VAL SDL.MouseMotionEvent ptr)`

Get value of member `state` of foreign structure `SDL.MouseMotionEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `state`.
`VAL SDL.MouseMotionEvent` | `ptr` | Pointer to foreign structure `SDL.MouseMotionEvent`.

### `occSDL.inc`:2917Process `set.SDL.MouseMotionEvent.state`

`INLINE PROC set.SDL.MouseMotionEvent.state (VAL BYTE value, VAL SDL.MouseMotionEvent ptr)`

Set value of member `state` of foreign structure `SDL.MouseMotionEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `state`.
`VAL SDL.MouseMotionEvent` | `ptr` | Pointer to foreign structure `SDL.MouseMotionEvent`.

### `occSDL.inc`:2924Process `get.SDL.MouseMotionEvent.x`

`INLINE PROC get.SDL.MouseMotionEvent.x (RESULT INT16 value, VAL SDL.MouseMotionEvent ptr)`

Get value of member `x` of foreign structure `SDL.MouseMotionEvent`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `x`.
`VAL SDL.MouseMotionEvent` | `ptr` | Pointer to foreign structure `SDL.MouseMotionEvent`.

### `occSDL.inc`:2931Process `set.SDL.MouseMotionEvent.x`

`INLINE PROC set.SDL.MouseMotionEvent.x (VAL INT16 value, VAL SDL.MouseMotionEvent ptr)`

Set value of member `x` of foreign structure `SDL.MouseMotionEvent`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `x`.
`VAL SDL.MouseMotionEvent` | `ptr` | Pointer to foreign structure `SDL.MouseMotionEvent`.

### `occSDL.inc`:2938Process `get.SDL.MouseMotionEvent.y`

`INLINE PROC get.SDL.MouseMotionEvent.y (RESULT INT16 value, VAL SDL.MouseMotionEvent ptr)`

Get value of member `y` of foreign structure `SDL.MouseMotionEvent`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `y`.
`VAL SDL.MouseMotionEvent` | `ptr` | Pointer to foreign structure `SDL.MouseMotionEvent`.

### `occSDL.inc`:2945Process `set.SDL.MouseMotionEvent.y`

`INLINE PROC set.SDL.MouseMotionEvent.y (VAL INT16 value, VAL SDL.MouseMotionEvent ptr)`

Set value of member `y` of foreign structure `SDL.MouseMotionEvent`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `y`.
`VAL SDL.MouseMotionEvent` | `ptr` | Pointer to foreign structure `SDL.MouseMotionEvent`.

### `occSDL.inc`:2952Process `get.SDL.MouseMotionEvent.xrel`

`INLINE PROC get.SDL.MouseMotionEvent.xrel (RESULT INT16 value, VAL SDL.MouseMotionEvent ptr)`

Get value of member `xrel` of foreign structure `SDL.MouseMotionEvent`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `xrel`.
`VAL SDL.MouseMotionEvent` | `ptr` | Pointer to foreign structure `SDL.MouseMotionEvent`.

### `occSDL.inc`:2959Process `set.SDL.MouseMotionEvent.xrel`

`INLINE PROC set.SDL.MouseMotionEvent.xrel (VAL INT16 value, VAL SDL.MouseMotionEvent ptr)`

Set value of member `xrel` of foreign structure `SDL.MouseMotionEvent`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `xrel`.
`VAL SDL.MouseMotionEvent` | `ptr` | Pointer to foreign structure `SDL.MouseMotionEvent`.

### `occSDL.inc`:2966Process `get.SDL.MouseMotionEvent.yrel`

`INLINE PROC get.SDL.MouseMotionEvent.yrel (RESULT INT16 value, VAL SDL.MouseMotionEvent ptr)`

Get value of member `yrel` of foreign structure `SDL.MouseMotionEvent`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `yrel`.
`VAL SDL.MouseMotionEvent` | `ptr` | Pointer to foreign structure `SDL.MouseMotionEvent`.

### `occSDL.inc`:2973Process `set.SDL.MouseMotionEvent.yrel`

`INLINE PROC set.SDL.MouseMotionEvent.yrel (VAL INT16 value, VAL SDL.MouseMotionEvent ptr)`

Set value of member `yrel` of foreign structure `SDL.MouseMotionEvent`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `yrel`.
`VAL SDL.MouseMotionEvent` | `ptr` | Pointer to foreign structure `SDL.MouseMotionEvent`.

### `occSDL.inc`:2978Data type `SDL.MouseButtonEvent`

`DATA TYPE SDL.MouseButtonEvent`

Foreign structure pointer type `SDL_MouseButtonEvent`.

### `occSDL.inc`:2983Process `create.SDL.MouseButtonEvent`

`INLINE PROC create.SDL.MouseButtonEvent (RESULT SDL.MouseButtonEvent ptr)`

Allocate foreign structure `SDL.MouseButtonEvent`.

#### Parameters:

`RESULT SDL.MouseButtonEvent` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:2989Process `delete.SDL.MouseButtonEvent`

`INLINE PROC delete.SDL.MouseButtonEvent (SDL.MouseButtonEvent ptr)`

Free foreign structure `SDL.MouseButtonEvent`.

#### Parameters:

`SDL.MouseButtonEvent` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:2996Process `get.SDL.MouseButtonEvent.type`

`INLINE PROC get.SDL.MouseButtonEvent.type (RESULT BYTE value, VAL SDL.MouseButtonEvent ptr)`

Get value of member `type` of foreign structure `SDL.MouseButtonEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `type`.
`VAL SDL.MouseButtonEvent` | `ptr` | Pointer to foreign structure `SDL.MouseButtonEvent`.

### `occSDL.inc`:3003Process `set.SDL.MouseButtonEvent.type`

`INLINE PROC set.SDL.MouseButtonEvent.type (VAL BYTE value, VAL SDL.MouseButtonEvent ptr)`

Set value of member `type` of foreign structure `SDL.MouseButtonEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `type`.
`VAL SDL.MouseButtonEvent` | `ptr` | Pointer to foreign structure `SDL.MouseButtonEvent`.

### `occSDL.inc`:3010Process `get.SDL.MouseButtonEvent.which`

`INLINE PROC get.SDL.MouseButtonEvent.which (RESULT BYTE value, VAL SDL.MouseButtonEvent ptr)`

Get value of member `which` of foreign structure `SDL.MouseButtonEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `which`.
`VAL SDL.MouseButtonEvent` | `ptr` | Pointer to foreign structure `SDL.MouseButtonEvent`.

### `occSDL.inc`:3017Process `set.SDL.MouseButtonEvent.which`

`INLINE PROC set.SDL.MouseButtonEvent.which (VAL BYTE value, VAL SDL.MouseButtonEvent ptr)`

Set value of member `which` of foreign structure `SDL.MouseButtonEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `which`.
`VAL SDL.MouseButtonEvent` | `ptr` | Pointer to foreign structure `SDL.MouseButtonEvent`.

### `occSDL.inc`:3024Process `get.SDL.MouseButtonEvent.button`

`INLINE PROC get.SDL.MouseButtonEvent.button (RESULT BYTE value, VAL SDL.MouseButtonEvent ptr)`

Get value of member `button` of foreign structure `SDL.MouseButtonEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `button`.
`VAL SDL.MouseButtonEvent` | `ptr` | Pointer to foreign structure `SDL.MouseButtonEvent`.

### `occSDL.inc`:3031Process `set.SDL.MouseButtonEvent.button`

`INLINE PROC set.SDL.MouseButtonEvent.button (VAL BYTE value, VAL SDL.MouseButtonEvent ptr)`

Set value of member `button` of foreign structure `SDL.MouseButtonEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `button`.
`VAL SDL.MouseButtonEvent` | `ptr` | Pointer to foreign structure `SDL.MouseButtonEvent`.

### `occSDL.inc`:3038Process `get.SDL.MouseButtonEvent.state`

`INLINE PROC get.SDL.MouseButtonEvent.state (RESULT BYTE value, VAL SDL.MouseButtonEvent ptr)`

Get value of member `state` of foreign structure `SDL.MouseButtonEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `state`.
`VAL SDL.MouseButtonEvent` | `ptr` | Pointer to foreign structure `SDL.MouseButtonEvent`.

### `occSDL.inc`:3045Process `set.SDL.MouseButtonEvent.state`

`INLINE PROC set.SDL.MouseButtonEvent.state (VAL BYTE value, VAL SDL.MouseButtonEvent ptr)`

Set value of member `state` of foreign structure `SDL.MouseButtonEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `state`.
`VAL SDL.MouseButtonEvent` | `ptr` | Pointer to foreign structure `SDL.MouseButtonEvent`.

### `occSDL.inc`:3052Process `get.SDL.MouseButtonEvent.x`

`INLINE PROC get.SDL.MouseButtonEvent.x (RESULT INT16 value, VAL SDL.MouseButtonEvent ptr)`

Get value of member `x` of foreign structure `SDL.MouseButtonEvent`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `x`.
`VAL SDL.MouseButtonEvent` | `ptr` | Pointer to foreign structure `SDL.MouseButtonEvent`.

### `occSDL.inc`:3059Process `set.SDL.MouseButtonEvent.x`

`INLINE PROC set.SDL.MouseButtonEvent.x (VAL INT16 value, VAL SDL.MouseButtonEvent ptr)`

Set value of member `x` of foreign structure `SDL.MouseButtonEvent`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `x`.
`VAL SDL.MouseButtonEvent` | `ptr` | Pointer to foreign structure `SDL.MouseButtonEvent`.

### `occSDL.inc`:3066Process `get.SDL.MouseButtonEvent.y`

`INLINE PROC get.SDL.MouseButtonEvent.y (RESULT INT16 value, VAL SDL.MouseButtonEvent ptr)`

Get value of member `y` of foreign structure `SDL.MouseButtonEvent`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `y`.
`VAL SDL.MouseButtonEvent` | `ptr` | Pointer to foreign structure `SDL.MouseButtonEvent`.

### `occSDL.inc`:3073Process `set.SDL.MouseButtonEvent.y`

`INLINE PROC set.SDL.MouseButtonEvent.y (VAL INT16 value, VAL SDL.MouseButtonEvent ptr)`

Set value of member `y` of foreign structure `SDL.MouseButtonEvent`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `y`.
`VAL SDL.MouseButtonEvent` | `ptr` | Pointer to foreign structure `SDL.MouseButtonEvent`.

### `occSDL.inc`:3078Data type `SDL.JoyAxisEvent`

`DATA TYPE SDL.JoyAxisEvent`

Foreign structure pointer type `SDL_JoyAxisEvent`.

### `occSDL.inc`:3083Process `create.SDL.JoyAxisEvent`

`INLINE PROC create.SDL.JoyAxisEvent (RESULT SDL.JoyAxisEvent ptr)`

Allocate foreign structure `SDL.JoyAxisEvent`.

#### Parameters:

`RESULT SDL.JoyAxisEvent` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:3089Process `delete.SDL.JoyAxisEvent`

`INLINE PROC delete.SDL.JoyAxisEvent (SDL.JoyAxisEvent ptr)`

Free foreign structure `SDL.JoyAxisEvent`.

#### Parameters:

`SDL.JoyAxisEvent` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:3096Process `get.SDL.JoyAxisEvent.type`

`INLINE PROC get.SDL.JoyAxisEvent.type (RESULT BYTE value, VAL SDL.JoyAxisEvent ptr)`

Get value of member `type` of foreign structure `SDL.JoyAxisEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `type`.
`VAL SDL.JoyAxisEvent` | `ptr` | Pointer to foreign structure `SDL.JoyAxisEvent`.

### `occSDL.inc`:3103Process `set.SDL.JoyAxisEvent.type`

`INLINE PROC set.SDL.JoyAxisEvent.type (VAL BYTE value, VAL SDL.JoyAxisEvent ptr)`

Set value of member `type` of foreign structure `SDL.JoyAxisEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `type`.
`VAL SDL.JoyAxisEvent` | `ptr` | Pointer to foreign structure `SDL.JoyAxisEvent`.

### `occSDL.inc`:3110Process `get.SDL.JoyAxisEvent.which`

`INLINE PROC get.SDL.JoyAxisEvent.which (RESULT BYTE value, VAL SDL.JoyAxisEvent ptr)`

Get value of member `which` of foreign structure `SDL.JoyAxisEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `which`.
`VAL SDL.JoyAxisEvent` | `ptr` | Pointer to foreign structure `SDL.JoyAxisEvent`.

### `occSDL.inc`:3117Process `set.SDL.JoyAxisEvent.which`

`INLINE PROC set.SDL.JoyAxisEvent.which (VAL BYTE value, VAL SDL.JoyAxisEvent ptr)`

Set value of member `which` of foreign structure `SDL.JoyAxisEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `which`.
`VAL SDL.JoyAxisEvent` | `ptr` | Pointer to foreign structure `SDL.JoyAxisEvent`.

### `occSDL.inc`:3124Process `get.SDL.JoyAxisEvent.axis`

`INLINE PROC get.SDL.JoyAxisEvent.axis (RESULT BYTE value, VAL SDL.JoyAxisEvent ptr)`

Get value of member `axis` of foreign structure `SDL.JoyAxisEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `axis`.
`VAL SDL.JoyAxisEvent` | `ptr` | Pointer to foreign structure `SDL.JoyAxisEvent`.

### `occSDL.inc`:3131Process `set.SDL.JoyAxisEvent.axis`

`INLINE PROC set.SDL.JoyAxisEvent.axis (VAL BYTE value, VAL SDL.JoyAxisEvent ptr)`

Set value of member `axis` of foreign structure `SDL.JoyAxisEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `axis`.
`VAL SDL.JoyAxisEvent` | `ptr` | Pointer to foreign structure `SDL.JoyAxisEvent`.

### `occSDL.inc`:3138Process `get.SDL.JoyAxisEvent.value`

`INLINE PROC get.SDL.JoyAxisEvent.value (RESULT INT16 value, VAL SDL.JoyAxisEvent ptr)`

Get value of member `value` of foreign structure `SDL.JoyAxisEvent`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `value`.
`VAL SDL.JoyAxisEvent` | `ptr` | Pointer to foreign structure `SDL.JoyAxisEvent`.

### `occSDL.inc`:3145Process `set.SDL.JoyAxisEvent.value`

`INLINE PROC set.SDL.JoyAxisEvent.value (VAL INT16 value, VAL SDL.JoyAxisEvent ptr)`

Set value of member `value` of foreign structure `SDL.JoyAxisEvent`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `value`.
`VAL SDL.JoyAxisEvent` | `ptr` | Pointer to foreign structure `SDL.JoyAxisEvent`.

### `occSDL.inc`:3150Data type `SDL.JoyBallEvent`

`DATA TYPE SDL.JoyBallEvent`

Foreign structure pointer type `SDL_JoyBallEvent`.

### `occSDL.inc`:3155Process `create.SDL.JoyBallEvent`

`INLINE PROC create.SDL.JoyBallEvent (RESULT SDL.JoyBallEvent ptr)`

Allocate foreign structure `SDL.JoyBallEvent`.

#### Parameters:

`RESULT SDL.JoyBallEvent` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:3161Process `delete.SDL.JoyBallEvent`

`INLINE PROC delete.SDL.JoyBallEvent (SDL.JoyBallEvent ptr)`

Free foreign structure `SDL.JoyBallEvent`.

#### Parameters:

`SDL.JoyBallEvent` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:3168Process `get.SDL.JoyBallEvent.type`

`INLINE PROC get.SDL.JoyBallEvent.type (RESULT BYTE value, VAL SDL.JoyBallEvent ptr)`

Get value of member `type` of foreign structure `SDL.JoyBallEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `type`.
`VAL SDL.JoyBallEvent` | `ptr` | Pointer to foreign structure `SDL.JoyBallEvent`.

### `occSDL.inc`:3175Process `set.SDL.JoyBallEvent.type`

`INLINE PROC set.SDL.JoyBallEvent.type (VAL BYTE value, VAL SDL.JoyBallEvent ptr)`

Set value of member `type` of foreign structure `SDL.JoyBallEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `type`.
`VAL SDL.JoyBallEvent` | `ptr` | Pointer to foreign structure `SDL.JoyBallEvent`.

### `occSDL.inc`:3182Process `get.SDL.JoyBallEvent.which`

`INLINE PROC get.SDL.JoyBallEvent.which (RESULT BYTE value, VAL SDL.JoyBallEvent ptr)`

Get value of member `which` of foreign structure `SDL.JoyBallEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `which`.
`VAL SDL.JoyBallEvent` | `ptr` | Pointer to foreign structure `SDL.JoyBallEvent`.

### `occSDL.inc`:3189Process `set.SDL.JoyBallEvent.which`

`INLINE PROC set.SDL.JoyBallEvent.which (VAL BYTE value, VAL SDL.JoyBallEvent ptr)`

Set value of member `which` of foreign structure `SDL.JoyBallEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `which`.
`VAL SDL.JoyBallEvent` | `ptr` | Pointer to foreign structure `SDL.JoyBallEvent`.

### `occSDL.inc`:3196Process `get.SDL.JoyBallEvent.ball`

`INLINE PROC get.SDL.JoyBallEvent.ball (RESULT BYTE value, VAL SDL.JoyBallEvent ptr)`

Get value of member `ball` of foreign structure `SDL.JoyBallEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `ball`.
`VAL SDL.JoyBallEvent` | `ptr` | Pointer to foreign structure `SDL.JoyBallEvent`.

### `occSDL.inc`:3203Process `set.SDL.JoyBallEvent.ball`

`INLINE PROC set.SDL.JoyBallEvent.ball (VAL BYTE value, VAL SDL.JoyBallEvent ptr)`

Set value of member `ball` of foreign structure `SDL.JoyBallEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `ball`.
`VAL SDL.JoyBallEvent` | `ptr` | Pointer to foreign structure `SDL.JoyBallEvent`.

### `occSDL.inc`:3210Process `get.SDL.JoyBallEvent.xrel`

`INLINE PROC get.SDL.JoyBallEvent.xrel (RESULT INT16 value, VAL SDL.JoyBallEvent ptr)`

Get value of member `xrel` of foreign structure `SDL.JoyBallEvent`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `xrel`.
`VAL SDL.JoyBallEvent` | `ptr` | Pointer to foreign structure `SDL.JoyBallEvent`.

### `occSDL.inc`:3217Process `set.SDL.JoyBallEvent.xrel`

`INLINE PROC set.SDL.JoyBallEvent.xrel (VAL INT16 value, VAL SDL.JoyBallEvent ptr)`

Set value of member `xrel` of foreign structure `SDL.JoyBallEvent`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `xrel`.
`VAL SDL.JoyBallEvent` | `ptr` | Pointer to foreign structure `SDL.JoyBallEvent`.

### `occSDL.inc`:3224Process `get.SDL.JoyBallEvent.yrel`

`INLINE PROC get.SDL.JoyBallEvent.yrel (RESULT INT16 value, VAL SDL.JoyBallEvent ptr)`

Get value of member `yrel` of foreign structure `SDL.JoyBallEvent`.

#### Parameters:

`RESULT INT16` | `value` | Contents of the member `yrel`.
`VAL SDL.JoyBallEvent` | `ptr` | Pointer to foreign structure `SDL.JoyBallEvent`.

### `occSDL.inc`:3231Process `set.SDL.JoyBallEvent.yrel`

`INLINE PROC set.SDL.JoyBallEvent.yrel (VAL INT16 value, VAL SDL.JoyBallEvent ptr)`

Set value of member `yrel` of foreign structure `SDL.JoyBallEvent`.

#### Parameters:

`VAL INT16` | `value` | New contents of the member `yrel`.
`VAL SDL.JoyBallEvent` | `ptr` | Pointer to foreign structure `SDL.JoyBallEvent`.

### `occSDL.inc`:3236Data type `SDL.JoyHatEvent`

`DATA TYPE SDL.JoyHatEvent`

Foreign structure pointer type `SDL_JoyHatEvent`.

### `occSDL.inc`:3241Process `create.SDL.JoyHatEvent`

`INLINE PROC create.SDL.JoyHatEvent (RESULT SDL.JoyHatEvent ptr)`

Allocate foreign structure `SDL.JoyHatEvent`.

#### Parameters:

`RESULT SDL.JoyHatEvent` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:3247Process `delete.SDL.JoyHatEvent`

`INLINE PROC delete.SDL.JoyHatEvent (SDL.JoyHatEvent ptr)`

Free foreign structure `SDL.JoyHatEvent`.

#### Parameters:

`SDL.JoyHatEvent` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:3254Process `get.SDL.JoyHatEvent.type`

`INLINE PROC get.SDL.JoyHatEvent.type (RESULT BYTE value, VAL SDL.JoyHatEvent ptr)`

Get value of member `type` of foreign structure `SDL.JoyHatEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `type`.
`VAL SDL.JoyHatEvent` | `ptr` | Pointer to foreign structure `SDL.JoyHatEvent`.

### `occSDL.inc`:3261Process `set.SDL.JoyHatEvent.type`

`INLINE PROC set.SDL.JoyHatEvent.type (VAL BYTE value, VAL SDL.JoyHatEvent ptr)`

Set value of member `type` of foreign structure `SDL.JoyHatEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `type`.
`VAL SDL.JoyHatEvent` | `ptr` | Pointer to foreign structure `SDL.JoyHatEvent`.

### `occSDL.inc`:3268Process `get.SDL.JoyHatEvent.which`

`INLINE PROC get.SDL.JoyHatEvent.which (RESULT BYTE value, VAL SDL.JoyHatEvent ptr)`

Get value of member `which` of foreign structure `SDL.JoyHatEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `which`.
`VAL SDL.JoyHatEvent` | `ptr` | Pointer to foreign structure `SDL.JoyHatEvent`.

### `occSDL.inc`:3275Process `set.SDL.JoyHatEvent.which`

`INLINE PROC set.SDL.JoyHatEvent.which (VAL BYTE value, VAL SDL.JoyHatEvent ptr)`

Set value of member `which` of foreign structure `SDL.JoyHatEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `which`.
`VAL SDL.JoyHatEvent` | `ptr` | Pointer to foreign structure `SDL.JoyHatEvent`.

### `occSDL.inc`:3282Process `get.SDL.JoyHatEvent.hat`

`INLINE PROC get.SDL.JoyHatEvent.hat (RESULT BYTE value, VAL SDL.JoyHatEvent ptr)`

Get value of member `hat` of foreign structure `SDL.JoyHatEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `hat`.
`VAL SDL.JoyHatEvent` | `ptr` | Pointer to foreign structure `SDL.JoyHatEvent`.

### `occSDL.inc`:3289Process `set.SDL.JoyHatEvent.hat`

`INLINE PROC set.SDL.JoyHatEvent.hat (VAL BYTE value, VAL SDL.JoyHatEvent ptr)`

Set value of member `hat` of foreign structure `SDL.JoyHatEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `hat`.
`VAL SDL.JoyHatEvent` | `ptr` | Pointer to foreign structure `SDL.JoyHatEvent`.

### `occSDL.inc`:3296Process `get.SDL.JoyHatEvent.value`

`INLINE PROC get.SDL.JoyHatEvent.value (RESULT BYTE value, VAL SDL.JoyHatEvent ptr)`

Get value of member `value` of foreign structure `SDL.JoyHatEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `value`.
`VAL SDL.JoyHatEvent` | `ptr` | Pointer to foreign structure `SDL.JoyHatEvent`.

### `occSDL.inc`:3303Process `set.SDL.JoyHatEvent.value`

`INLINE PROC set.SDL.JoyHatEvent.value (VAL BYTE value, VAL SDL.JoyHatEvent ptr)`

Set value of member `value` of foreign structure `SDL.JoyHatEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `value`.
`VAL SDL.JoyHatEvent` | `ptr` | Pointer to foreign structure `SDL.JoyHatEvent`.

### `occSDL.inc`:3308Data type `SDL.JoyButtonEvent`

`DATA TYPE SDL.JoyButtonEvent`

Foreign structure pointer type `SDL_JoyButtonEvent`.

### `occSDL.inc`:3313Process `create.SDL.JoyButtonEvent`

`INLINE PROC create.SDL.JoyButtonEvent (RESULT SDL.JoyButtonEvent ptr)`

Allocate foreign structure `SDL.JoyButtonEvent`.

#### Parameters:

`RESULT SDL.JoyButtonEvent` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:3319Process `delete.SDL.JoyButtonEvent`

`INLINE PROC delete.SDL.JoyButtonEvent (SDL.JoyButtonEvent ptr)`

Free foreign structure `SDL.JoyButtonEvent`.

#### Parameters:

`SDL.JoyButtonEvent` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:3326Process `get.SDL.JoyButtonEvent.type`

`INLINE PROC get.SDL.JoyButtonEvent.type (RESULT BYTE value, VAL SDL.JoyButtonEvent ptr)`

Get value of member `type` of foreign structure `SDL.JoyButtonEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `type`.
`VAL SDL.JoyButtonEvent` | `ptr` | Pointer to foreign structure `SDL.JoyButtonEvent`.

### `occSDL.inc`:3333Process `set.SDL.JoyButtonEvent.type`

`INLINE PROC set.SDL.JoyButtonEvent.type (VAL BYTE value, VAL SDL.JoyButtonEvent ptr)`

Set value of member `type` of foreign structure `SDL.JoyButtonEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `type`.
`VAL SDL.JoyButtonEvent` | `ptr` | Pointer to foreign structure `SDL.JoyButtonEvent`.

### `occSDL.inc`:3340Process `get.SDL.JoyButtonEvent.which`

`INLINE PROC get.SDL.JoyButtonEvent.which (RESULT BYTE value, VAL SDL.JoyButtonEvent ptr)`

Get value of member `which` of foreign structure `SDL.JoyButtonEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `which`.
`VAL SDL.JoyButtonEvent` | `ptr` | Pointer to foreign structure `SDL.JoyButtonEvent`.

### `occSDL.inc`:3347Process `set.SDL.JoyButtonEvent.which`

`INLINE PROC set.SDL.JoyButtonEvent.which (VAL BYTE value, VAL SDL.JoyButtonEvent ptr)`

Set value of member `which` of foreign structure `SDL.JoyButtonEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `which`.
`VAL SDL.JoyButtonEvent` | `ptr` | Pointer to foreign structure `SDL.JoyButtonEvent`.

### `occSDL.inc`:3354Process `get.SDL.JoyButtonEvent.button`

`INLINE PROC get.SDL.JoyButtonEvent.button (RESULT BYTE value, VAL SDL.JoyButtonEvent ptr)`

Get value of member `button` of foreign structure `SDL.JoyButtonEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `button`.
`VAL SDL.JoyButtonEvent` | `ptr` | Pointer to foreign structure `SDL.JoyButtonEvent`.

### `occSDL.inc`:3361Process `set.SDL.JoyButtonEvent.button`

`INLINE PROC set.SDL.JoyButtonEvent.button (VAL BYTE value, VAL SDL.JoyButtonEvent ptr)`

Set value of member `button` of foreign structure `SDL.JoyButtonEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `button`.
`VAL SDL.JoyButtonEvent` | `ptr` | Pointer to foreign structure `SDL.JoyButtonEvent`.

### `occSDL.inc`:3368Process `get.SDL.JoyButtonEvent.state`

`INLINE PROC get.SDL.JoyButtonEvent.state (RESULT BYTE value, VAL SDL.JoyButtonEvent ptr)`

Get value of member `state` of foreign structure `SDL.JoyButtonEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `state`.
`VAL SDL.JoyButtonEvent` | `ptr` | Pointer to foreign structure `SDL.JoyButtonEvent`.

### `occSDL.inc`:3375Process `set.SDL.JoyButtonEvent.state`

`INLINE PROC set.SDL.JoyButtonEvent.state (VAL BYTE value, VAL SDL.JoyButtonEvent ptr)`

Set value of member `state` of foreign structure `SDL.JoyButtonEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `state`.
`VAL SDL.JoyButtonEvent` | `ptr` | Pointer to foreign structure `SDL.JoyButtonEvent`.

### `occSDL.inc`:3380Data type `SDL.ResizeEvent`

`DATA TYPE SDL.ResizeEvent`

Foreign structure pointer type `SDL_ResizeEvent`.

### `occSDL.inc`:3385Process `create.SDL.ResizeEvent`

`INLINE PROC create.SDL.ResizeEvent (RESULT SDL.ResizeEvent ptr)`

Allocate foreign structure `SDL.ResizeEvent`.

#### Parameters:

`RESULT SDL.ResizeEvent` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:3391Process `delete.SDL.ResizeEvent`

`INLINE PROC delete.SDL.ResizeEvent (SDL.ResizeEvent ptr)`

Free foreign structure `SDL.ResizeEvent`.

#### Parameters:

`SDL.ResizeEvent` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:3398Process `get.SDL.ResizeEvent.type`

`INLINE PROC get.SDL.ResizeEvent.type (RESULT BYTE value, VAL SDL.ResizeEvent ptr)`

Get value of member `type` of foreign structure `SDL.ResizeEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `type`.
`VAL SDL.ResizeEvent` | `ptr` | Pointer to foreign structure `SDL.ResizeEvent`.

### `occSDL.inc`:3405Process `set.SDL.ResizeEvent.type`

`INLINE PROC set.SDL.ResizeEvent.type (VAL BYTE value, VAL SDL.ResizeEvent ptr)`

Set value of member `type` of foreign structure `SDL.ResizeEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `type`.
`VAL SDL.ResizeEvent` | `ptr` | Pointer to foreign structure `SDL.ResizeEvent`.

### `occSDL.inc`:3412Process `get.SDL.ResizeEvent.w`

`INLINE PROC get.SDL.ResizeEvent.w (RESULT INT value, VAL SDL.ResizeEvent ptr)`

Get value of member `w` of foreign structure `SDL.ResizeEvent`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `w`.
`VAL SDL.ResizeEvent` | `ptr` | Pointer to foreign structure `SDL.ResizeEvent`.

### `occSDL.inc`:3419Process `set.SDL.ResizeEvent.w`

`INLINE PROC set.SDL.ResizeEvent.w (VAL INT value, VAL SDL.ResizeEvent ptr)`

Set value of member `w` of foreign structure `SDL.ResizeEvent`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `w`.
`VAL SDL.ResizeEvent` | `ptr` | Pointer to foreign structure `SDL.ResizeEvent`.

### `occSDL.inc`:3426Process `get.SDL.ResizeEvent.h`

`INLINE PROC get.SDL.ResizeEvent.h (RESULT INT value, VAL SDL.ResizeEvent ptr)`

Get value of member `h` of foreign structure `SDL.ResizeEvent`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `h`.
`VAL SDL.ResizeEvent` | `ptr` | Pointer to foreign structure `SDL.ResizeEvent`.

### `occSDL.inc`:3433Process `set.SDL.ResizeEvent.h`

`INLINE PROC set.SDL.ResizeEvent.h (VAL INT value, VAL SDL.ResizeEvent ptr)`

Set value of member `h` of foreign structure `SDL.ResizeEvent`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `h`.
`VAL SDL.ResizeEvent` | `ptr` | Pointer to foreign structure `SDL.ResizeEvent`.

### `occSDL.inc`:3438Data type `SDL.ExposeEvent`

`DATA TYPE SDL.ExposeEvent`

Foreign structure pointer type `SDL_ExposeEvent`.

### `occSDL.inc`:3443Process `create.SDL.ExposeEvent`

`INLINE PROC create.SDL.ExposeEvent (RESULT SDL.ExposeEvent ptr)`

Allocate foreign structure `SDL.ExposeEvent`.

#### Parameters:

`RESULT SDL.ExposeEvent` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:3449Process `delete.SDL.ExposeEvent`

`INLINE PROC delete.SDL.ExposeEvent (SDL.ExposeEvent ptr)`

Free foreign structure `SDL.ExposeEvent`.

#### Parameters:

`SDL.ExposeEvent` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:3456Process `get.SDL.ExposeEvent.type`

`INLINE PROC get.SDL.ExposeEvent.type (RESULT BYTE value, VAL SDL.ExposeEvent ptr)`

Get value of member `type` of foreign structure `SDL.ExposeEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `type`.
`VAL SDL.ExposeEvent` | `ptr` | Pointer to foreign structure `SDL.ExposeEvent`.

### `occSDL.inc`:3463Process `set.SDL.ExposeEvent.type`

`INLINE PROC set.SDL.ExposeEvent.type (VAL BYTE value, VAL SDL.ExposeEvent ptr)`

Set value of member `type` of foreign structure `SDL.ExposeEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `type`.
`VAL SDL.ExposeEvent` | `ptr` | Pointer to foreign structure `SDL.ExposeEvent`.

### `occSDL.inc`:3468Data type `SDL.QuitEvent`

`DATA TYPE SDL.QuitEvent`

Foreign structure pointer type `SDL_QuitEvent`.

### `occSDL.inc`:3473Process `create.SDL.QuitEvent`

`INLINE PROC create.SDL.QuitEvent (RESULT SDL.QuitEvent ptr)`

Allocate foreign structure `SDL.QuitEvent`.

#### Parameters:

`RESULT SDL.QuitEvent` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:3479Process `delete.SDL.QuitEvent`

`INLINE PROC delete.SDL.QuitEvent (SDL.QuitEvent ptr)`

Free foreign structure `SDL.QuitEvent`.

#### Parameters:

`SDL.QuitEvent` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:3486Process `get.SDL.QuitEvent.type`

`INLINE PROC get.SDL.QuitEvent.type (RESULT BYTE value, VAL SDL.QuitEvent ptr)`

Get value of member `type` of foreign structure `SDL.QuitEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `type`.
`VAL SDL.QuitEvent` | `ptr` | Pointer to foreign structure `SDL.QuitEvent`.

### `occSDL.inc`:3493Process `set.SDL.QuitEvent.type`

`INLINE PROC set.SDL.QuitEvent.type (VAL BYTE value, VAL SDL.QuitEvent ptr)`

Set value of member `type` of foreign structure `SDL.QuitEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `type`.
`VAL SDL.QuitEvent` | `ptr` | Pointer to foreign structure `SDL.QuitEvent`.

### `occSDL.inc`:3498Data type `SDL.UserEvent`

`DATA TYPE SDL.UserEvent`

Foreign structure pointer type `SDL_UserEvent`.

### `occSDL.inc`:3503Process `create.SDL.UserEvent`

`INLINE PROC create.SDL.UserEvent (RESULT SDL.UserEvent ptr)`

Allocate foreign structure `SDL.UserEvent`.

#### Parameters:

`RESULT SDL.UserEvent` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:3509Process `delete.SDL.UserEvent`

`INLINE PROC delete.SDL.UserEvent (SDL.UserEvent ptr)`

Free foreign structure `SDL.UserEvent`.

#### Parameters:

`SDL.UserEvent` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:3516Process `get.SDL.UserEvent.type`

`INLINE PROC get.SDL.UserEvent.type (RESULT BYTE value, VAL SDL.UserEvent ptr)`

Get value of member `type` of foreign structure `SDL.UserEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `type`.
`VAL SDL.UserEvent` | `ptr` | Pointer to foreign structure `SDL.UserEvent`.

### `occSDL.inc`:3523Process `set.SDL.UserEvent.type`

`INLINE PROC set.SDL.UserEvent.type (VAL BYTE value, VAL SDL.UserEvent ptr)`

Set value of member `type` of foreign structure `SDL.UserEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `type`.
`VAL SDL.UserEvent` | `ptr` | Pointer to foreign structure `SDL.UserEvent`.

### `occSDL.inc`:3530Process `get.SDL.UserEvent.code`

`INLINE PROC get.SDL.UserEvent.code (RESULT INT value, VAL SDL.UserEvent ptr)`

Get value of member `code` of foreign structure `SDL.UserEvent`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `code`.
`VAL SDL.UserEvent` | `ptr` | Pointer to foreign structure `SDL.UserEvent`.

### `occSDL.inc`:3537Process `set.SDL.UserEvent.code`

`INLINE PROC set.SDL.UserEvent.code (VAL INT value, VAL SDL.UserEvent ptr)`

Set value of member `code` of foreign structure `SDL.UserEvent`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `code`.
`VAL SDL.UserEvent` | `ptr` | Pointer to foreign structure `SDL.UserEvent`.

### `occSDL.inc`:3544Process `get.SDL.UserEvent.data1`

`INLINE PROC get.SDL.UserEvent.data1 (RESULT INT value, VAL SDL.UserEvent ptr)`

Get value of member `data1` of foreign structure `SDL.UserEvent`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `data1`.
`VAL SDL.UserEvent` | `ptr` | Pointer to foreign structure `SDL.UserEvent`.

### `occSDL.inc`:3551Process `set.SDL.UserEvent.data1`

`INLINE PROC set.SDL.UserEvent.data1 (VAL INT value, VAL SDL.UserEvent ptr)`

Set value of member `data1` of foreign structure `SDL.UserEvent`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `data1`.
`VAL SDL.UserEvent` | `ptr` | Pointer to foreign structure `SDL.UserEvent`.

### `occSDL.inc`:3558Process `get.SDL.UserEvent.data2`

`INLINE PROC get.SDL.UserEvent.data2 (RESULT INT value, VAL SDL.UserEvent ptr)`

Get value of member `data2` of foreign structure `SDL.UserEvent`.

#### Parameters:

`RESULT INT` | `value` | Contents of the member `data2`.
`VAL SDL.UserEvent` | `ptr` | Pointer to foreign structure `SDL.UserEvent`.

### `occSDL.inc`:3565Process `set.SDL.UserEvent.data2`

`INLINE PROC set.SDL.UserEvent.data2 (VAL INT value, VAL SDL.UserEvent ptr)`

Set value of member `data2` of foreign structure `SDL.UserEvent`.

#### Parameters:

`VAL INT` | `value` | New contents of the member `data2`.
`VAL SDL.UserEvent` | `ptr` | Pointer to foreign structure `SDL.UserEvent`.

### `occSDL.inc`:3570Data type `SDL.SysWMmsg`

`DATA TYPE SDL.SysWMmsg`

Foreign structure pointer type `SDL_SysWMmsg`.

### `occSDL.inc`:3573Data type `SDL.SysWMEvent`

`DATA TYPE SDL.SysWMEvent`

Foreign structure pointer type `SDL_SysWMEvent`.

### `occSDL.inc`:3578Process `create.SDL.SysWMEvent`

`INLINE PROC create.SDL.SysWMEvent (RESULT SDL.SysWMEvent ptr)`

Allocate foreign structure `SDL.SysWMEvent`.

#### Parameters:

`RESULT SDL.SysWMEvent` | `ptr` | Pointer to newly-allocated structure.

### `occSDL.inc`:3584Process `delete.SDL.SysWMEvent`

`INLINE PROC delete.SDL.SysWMEvent (SDL.SysWMEvent ptr)`

Free foreign structure `SDL.SysWMEvent`.

#### Parameters:

`SDL.SysWMEvent` | `ptr` | Pointer to structure to free.

### `occSDL.inc`:3591Process `get.SDL.SysWMEvent.type`

`INLINE PROC get.SDL.SysWMEvent.type (RESULT BYTE value, VAL SDL.SysWMEvent ptr)`

Get value of member `type` of foreign structure `SDL.SysWMEvent`.

#### Parameters:

`RESULT BYTE` | `value` | Contents of the member `type`.
`VAL SDL.SysWMEvent` | `ptr` | Pointer to foreign structure `SDL.SysWMEvent`.

### `occSDL.inc`:3598Process `set.SDL.SysWMEvent.type`

`INLINE PROC set.SDL.SysWMEvent.type (VAL BYTE value, VAL SDL.SysWMEvent ptr)`

Set value of member `type` of foreign structure `SDL.SysWMEvent`.

#### Parameters:

`VAL BYTE` | `value` | New contents of the member `type`.
`VAL SDL.SysWMEvent` | `ptr` | Pointer to foreign structure `SDL.SysWMEvent`.

### `occSDL.inc`:3605Process `get.SDL.SysWMEvent.msg`

`INLINE PROC get.SDL.SysWMEvent.msg (RESULT SDL.SysWMmsg value, VAL SDL.SysWMEvent ptr)`

Get value of member `msg` of foreign structure `SDL.SysWMEvent`.

#### Parameters:

`RESULT SDL.SysWMmsg` | `value` | Contents of the member `msg`.
`VAL SDL.SysWMEvent` | `ptr` | Pointer to foreign structure `SDL.SysWMEvent`.

### `occSDL.inc`:3610Data type `SDL.Event`

`DATA TYPE SDL.Event`

Foreign union pointer type `SDL.Event`.

### `occSDL.inc`:3615Process `create.SDL.Event`

`INLINE PROC create.SDL.Event (RESULT SDL.Event ptr)`

Allocate foreign union `SDL.Event`.

#### Parameters:

`RESULT SDL.Event` | `ptr` | Pointer to newly-allocated union.

### `occSDL.inc`:3621Process `delete.SDL.Event`

`INLINE PROC delete.SDL.Event (VAL SDL.Event ptr)`

Free foreign union `SDL.Event`.

#### Parameters:

`VAL SDL.Event` | `ptr` | Pointer to union to free.

### `occSDL.inc`:3629Process `get.SDL.Event.type`

`INLINE PROC get.SDL.Event.type (RESULT BYTE return.value, SDL.Event event)`

Foreign function `get_SDL_Event_type`.

#### Parameters:

`RESULT BYTE` | `return.value` | Function return value with type `Uint8`.
`SDL.Event` | `event` | Argument with type `SDL_Event *`.

### `occSDL.inc`:3636Process `SDL.PumpEvents`

`INLINE PROC SDL.PumpEvents ()`

Foreign function `SDL_PumpEvents`.

### `occSDL.inc`:3641Group `SDL.eventaction`

``

Foreign enumeration `SDL_eventaction`.

### `occSDL.inc`:3655Process `SDL.PeepEvents`

`INLINE PROC SDL.PeepEvents (RESULT INT return.value, SDL.Event events, VAL INT numevents, VAL INT action, VAL INT mask)`

Foreign function `SDL_PeepEvents`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Event` | `events` | Argument with type `SDL_Event *`.
`VAL INT` | `numevents` | Argument with type `int`.
`VAL INT` | `action` | Argument with type `SDL_eventaction`.
`VAL INT` | `mask` | Argument with type `Uint32`.

### `occSDL.inc`:3664Process `SDL.PollEvent`

`INLINE PROC SDL.PollEvent (RESULT INT return.value, SDL.Event event)`

Foreign function `SDL_PollEvent`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Event` | `event` | Argument with type `SDL_Event *`.

### `occSDL.inc`:3673Process `SDL.WaitEvent`

`INLINE PROC SDL.WaitEvent (RESULT INT return.value, SDL.Event event)`

Foreign function `SDL_WaitEvent`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Event` | `event` | Argument with type `SDL_Event *`.

### `occSDL.inc`:3682Process `SDL.PushEvent`

`INLINE PROC SDL.PushEvent (RESULT INT return.value, SDL.Event event)`

Foreign function `SDL_PushEvent`.

#### Parameters:

`RESULT INT` | `return.value` | Function return value with type `int`.
`SDL.Event` | `event` | Argument with type `SDL_Event *`.

### `occSDL.inc`:3687Constant `SDL.QUERY`

`VAL INT SDL.QUERY`

Foreign `int` constant `SDL_QUERY`.

### `occSDL.inc`:3689Constant `SDL.IGNORE`

`VAL INT SDL.IGNORE`

Foreign `int` constant `SDL_IGNORE`.

### `occSDL.inc`:3691Constant `SDL.DISABLE`

`VAL INT SDL.DISABLE`

Foreign `int` constant `SDL_DISABLE`.

### `occSDL.inc`:3693Constant `SDL.ENABLE`

`VAL INT SDL.ENABLE`

Foreign `int` constant `SDL_ENABLE`.

### `occSDL.inc`:3700Process `SDL.EventState`

`INLINE PROC SDL.EventState (RESULT BYTE return.value, VAL BYTE type, VAL INT state)`

Foreign function `SDL_EventState`.

#### Parameters:

`RESULT BYTE` | `return.value` | Function return value with type `Uint8`.
`VAL BYTE` | `type` | Argument with type `Uint8`.
`VAL INT` | `state` | Argument with type `int`.

### `occSDL.inc`:3710Process `occ.SDL.GetError`

`INLINE PROC occ.SDL.GetError ([]BYTE err.str, VAL INT err.str.len, INT str.len)`

Foreign function `occ_SDL_GetError`.

#### Parameters:

`[]BYTE` | `err.str` | Array pointer argument with element type `char`.
`VAL INT` | `err.str.len` | Argument with type `int`.
`INT` | `str.len` | Argument with type `int *`.

### `occSDL.inc`:3717Process `SDL.ClearError`

`INLINE PROC SDL.ClearError ()`

Foreign function `SDL_ClearError`.

### `occSDLhelpers.occ`:29Process `occ.SDL.zero.terminate`

`PROC occ.SDL.zero.terminate (VAL []BYTE in, RESULT MOBILE []BYTE out)`

Zero-terminate a string. This works around a bug in SWIG: strings passed to C functions aren't currently terminated properly.

### `occSDLhelpers.occ`:38Process `occ.SDL.set.rect`

`PROC occ.SDL.set.rect (SDL.Rect rect, VAL INT x, y, w, h)`

Set the values in an SDL.Rect structure.

### `occSDLhelpers.occ`:48Process `occ.SDL.blit`

`PROC occ.SDL.blit (SDL.Surface from, VAL INT from.x, from.y, w, h, SDL.Surface to, VAL INT to.x, to.y)`

Blit a rectangle from one surface to another.

### `occSDLhelpers.occ`:65Process `occ.SDL.blit.raster`

`PROC occ.SDL.blit.raster (VAL [][]INT raster, VAL INT from.x, from.y, w, h, SDL.Surface surface, VAL INT to.x, to.y)`

Blit a rectangle from a raster onto a surface.

### `occSDLjoy.occ`:270Process `occ.SDL.wait.button`

`PROC occ.SDL.wait.button (CT.SDLJSEVENT! ev, RESULT INT btn)`

Waits for a button press event, discards other events.

#### Parameters:

`CT.SDLJSEVENT!` | `ev` | Events from joystick.
`RESULT INT` | `btn` | Returned button ID (-1 if quit).

### `occSDLjoy.occ`:305Process `occ.SDL.wait.button.axes`

`PROC occ.SDL.wait.button.axes (CT.SDLJSEVENT! ev, RESULT INT btn, RESULT MOBILE []INT16 ax.res)`

Waits for a button press event and records axes positions, discards other events.

#### Parameters:

`CT.SDLJSEVENT!` | `ev` | Events from joystick.
`RESULT INT` | `btn` | Returned button ID (-1 if quit).
`RESULT MOBILE []INT16` | `ax.res` | Returned axis values.

### `occSDLjoy.occ`:343Process `occ.SDL.waitfor.button`

`PROC occ.SDL.waitfor.button (CT.SDLJSEVENT! ev, VAL INT btn)`

Waits for a particular button press, discards other events.

#### Parameters:

`CT.SDLJSEVENT!` | `ev` | Events from joystick.
`VAL INT` | `btn` | Button to wait for.

### `occSDLjoy.occ`:371Process `occ.SDL.waitfor.button.axes`

`PROC occ.SDL.waitfor.button.axes (CT.SDLJSEVENT! ev, VAL INT btn, RESULT MOBILE []INT16 ax.res)`

Waits for a particular button press and records axis values, discards other events.

#### Parameters:

`CT.SDLJSEVENT!` | `ev` | Events from joystick.
`VAL INT` | `btn` | Button to wait for.
`RESULT MOBILE []INT16` | `ax.res` | Returned axis positions.

### `occSDLjoy.occ`:405Process `occ.SDL.joy.doread`

`PROC occ.SDL.joy.doread (CT.SDLJSEVENT! ev, RESULT MOBILE []INT16 ax.vals, RESULT MOBILE []BYTE bt.vals)`

Reads the current axes and buttons for a joystick.

#### Parameters:

`CT.SDLJSEVENT!` | `ev` | Event channel-type link.
`RESULT MOBILE []INT16` | `ax.vals` | Returned axis values.
`RESULT MOBILE []BYTE` | `bt.vals` | Returned button values.

### `occSDLjoy.occ`:452Process `occ.SDL.joy.calibrate`

`PROC occ.SDL.joy.calibrate (CT.SDLJSCALIBRATE? svr, CT.SDLJSEVENT! ev.in, CT.SDLJSEVENT? ev.out)`

Provides joystick calibration and subsequent adjustment of reported values.

#### Parameters:

`CT.SDLJSCALIBRATE?` | `svr` | Server channel-type link.
`CT.SDLJSEVENT!` | `ev.in` | Joystick events in.
`CT.SDLJSEVENT?` | `ev.out` | Joystick events out.

### `occSDLjoy.occ`:621Process `occ.SDL.joy.calibrator`

`PROC occ.SDL.joy.calibrator (CT.SDLJSEVENT! ev.in, RESULT CT.SDLJSEVENT! ev.out, RESULT CT.SDLJSCALIBRATE! cal.out)`

Launches a joystick calibration process.

#### Parameters:

`CT.SDLJSEVENT!` | `ev.in` | Joystick events in.
`RESULT CT.SDLJSEVENT!` | `ev.out` | Returned joystick events out.
`RESULT CT.SDLJSCALIBRATE!` | `cal.out` | Returned calibration channel-end.

### `occSDLjoy.occ`:637Process `occ.SDL.joy.server`

`PROC occ.SDL.joy.server (CT.SDLJOY? svr)`

Provides a server process that monitors joysticks.

#### Parameters:

`CT.SDLJOY?` | `svr` | Server channel-type link.

### `occSDLjoy.occ`:711Process `occ.SDL.joy.start`

`PROC occ.SDL.joy.start (RESULT CT.SDLJOY! cli)`

Starts a new instance of the SDL joystick server process.

#### Parameters:

`RESULT CT.SDLJOY!` | `cli` | Returned link to new server process.

### `occSDLjoy.occ`:724Process `occ.SDL.joy.docalibrate`

`PROC occ.SDL.joy.docalibrate (CT.SDLJSCALIBRATE! cal, SHARED CHAN BYTE out!)`

Runs the joystick calibration routine.

#### Parameters:

`CT.SDLJSCALIBRATE!` | `cal` | Channel-type connection to calibrator process.
`SHARED CHAN BYTE` | `out` | Shared byte channel for reporting.

### `occSDLhelpers.inc`:20Process `occ.SDL.make.surface`

`INLINE PROC occ.SDL.make.surface (VAL [][]INT pixels, RESULT SDL.Surface surface)`

Turn an occam array into an SDL surface. This is a wrapper around `SDL.CreateRGBSurfaceFrom`.

#### Parameters:

`VAL [][]INT` | `pixels` | Array of pixels. The first dimension is Y; the second is X. Each `INT` is a single pixel in `#00RRGGBB` format.
`RESULT SDL.Surface` | `surface` | The resulting surface. This contains a pointer to `pixels`, so you must free it with `SDL.FreeSurface` before whatever you passed as `pixels` goes out of scope.

### `occSDLjoy.inc`:25Protocol `P.SDLJS.EVENT`

`PROTOCOL P.SDLJS.EVENT`

Joystick event protocol.

### `occSDLjoy.inc`:32Tag `change`

`change; INT; INT; MOBILE []INT16; MOBILE []BYTE`

Reporting change in joystick status.

#### Parameters:

`INT` | `ax.delta` | Bit-field indicating changes to axis values.
`INT` | `bt.delta` | Bit-field indicating changes to button values.
`MOBILE []INT16` | `axis` | 16-bit joystick axis values.
`MOBILE []BYTE` | `btns` | Byte array of joystick button values.

### `occSDLjoy.inc`:34Tag `quit`

`quit`

Joystick server process terminating.

### `occSDLjoy.inc`:38Protocol `P.SDLJS.EVENT.IN`

`PROTOCOL P.SDLJS.EVENT.IN`

Joystick event input protocol.

### `occSDLjoy.inc`:40Tag `force.event`

`force.event`

Pretend a change happened and generate a new event.

### `occSDLjoy.inc`:44Channel type `CT.SDLJSEVENT`

`CHAN TYPE CT.SDLJSEVENT`

Joystick event channel-type.

### `occSDLjoy.inc`:46Variable `in?`

`CHAN P.SDLJS.EVENT.IN`

Commands to control joystick events.

### `occSDLjoy.inc`:47Variable `out!`

`CHAN P.SDLJS.EVENT`

Joystick events.

### `occSDLjoy.inc`:51Protocol `P.SDLJSCALIBRATE.IN`

`PROTOCOL P.SDLJSCALIBRATE.IN`

Joystick calibration input protocol.

### `occSDLjoy.inc`:53Tag `calibrate`

`calibrate`

Start joystick calibration.

### `occSDLjoy.inc`:57Protocol `P.SDLJSCALIBRATE.OUT`

`PROTOCOL P.SDLJSCALIBRATE.OUT`

Joystick calibration output protocol.

### `occSDLjoy.inc`:59Tag `message`

`message; MOBILE []BYTE`

Message to be reported to the user.

### `occSDLjoy.inc`:60Tag `done`

`done`

Calibration complete.

### `occSDLjoy.inc`:64Channel type `CT.SDLJSCALIBRATE`

`CHAN TYPE CT.SDLJSCALIBRATE`

Joystick calibration channel-type.

### `occSDLjoy.inc`:66Variable `in?`

`CHAN P.SDLJSCALIBRATE.IN`

Commands to calibrator process.

### `occSDLjoy.inc`:67Variable `out!`

`CHAN P.SDLJSCALIBRATE.OUT`

Responses from calibrator process.

### `occSDLjoy.inc`:71Protocol `P.SDLJS.IN`

`PROTOCOL P.SDLJS.IN`

Joystick input protocol.

### `occSDLjoy.inc`:73Tag `enable`

`enable`

Enable joystick data capture, returns `CT.SDLJSEVENT` client channel-end.

### `occSDLjoy.inc`:74Tag `disable`

`disable`

Disable joystick data capture.

### `occSDLjoy.inc`:75Tag `query`

`query`

Query joystick (number of axes and buttons).

### `occSDLjoy.inc`:79Protocol `P.SDLJS.OUT`

`PROTOCOL P.SDLJS.OUT`

Joystick output protocol.

### `occSDLjoy.inc`:81Tag `event.chan`

`event.chan; CT.SDLJSEVENT!`

Channel-end on which events are received.

### `occSDLjoy.inc`:82Tag `query`

`query; [SDLJS.ITEMS]INT`

Number of axes and buttons.

### `occSDLjoy.inc`:86Channel type `CT.SDLJS`

`CHAN TYPE CT.SDLJS`

Joystick channel-type.

### `occSDLjoy.inc`:88Variable `in?`

`CHAN P.SDLJS.IN`

Commands to joystick.

### `occSDLjoy.inc`:89Variable `out!`

`CHAN P.SDLJS.OUT`

responses from joystick.

### `occSDLjoy.inc`:93Protocol `P.SDLJOY.IN`

`PROTOCOL P.SDLJOY.IN`

Joystick server input protocol.

### `occSDLjoy.inc`:95Tag `num.sticks`

`num.sticks`

Report number of joysticks present.

### `occSDLjoy.inc`:96Tag `query.stick`

`query.stick; INT`

Query characteristics of a particular stick.

### `occSDLjoy.inc`:97Tag `quit`

`quit`

Tell the server process to terminate.

### `occSDLjoy.inc`:98Tag `connect`

`connect; INT`

Connect to specified joystick.

### `occSDLjoy.inc`:102Protocol `P.SDLJOY.OUT`

`PROTOCOL P.SDLJOY.OUT`

Joystick server output protocol.

### `occSDLjoy.inc`:104Tag `num.sticks`

`num.sticks; INT`

Number of sticks.

### `occSDLjoy.inc`:105Tag `query`

`query; INT; [SDLJS.ITEMS]INT`

Query result.

### `occSDLjoy.inc`:106Tag `error`

`error`

General error result.

### `occSDLjoy.inc`:107Tag `joystick`

`joystick; SHARED CT.SDLJS!`

Connection to joystick handler.

### `occSDLjoy.inc`:111Channel type `CT.SDLJOY`

`CHAN TYPE CT.SDLJOY`

Joystick server channel-type.

### `occSDLjoy.inc`:113Variable `in?`

`CHAN P.SDLJOY.IN`

Commands to joystick server.

### `occSDLjoy.inc`:114Variable `out!`

`CHAN P.SDLJOY.OUT`

Responses from joystick server.